
/*****************************************************************************
*                                                                            *
*                     SOFTING Industrial Automation GmbH                     *
*                          Richard-Reitzner-Allee 6                          *
*                                D-85540 Haar                                *
*                        Phone: ++49-89-4 56 56-0                            *
*                          Fax: ++49-89-4 56 56-3 99                         *
*                                                                            *
*                            SOFTING CONFIDENTIAL                            *
*                                                                            *
*                     Copyright (C) SOFTING IA GmbH 2013                     *
*                             All Rights Reserved                            *
*                                                                            *
* NOTICE: All information contained herein is, and remains the property of   *
*   SOFTING Industrial Automation GmbH and its suppliers, if any. The intel- *
*   lectual and technical concepts contained herein are proprietary to       *
*   SOFTING Industrial Automation GmbH and its suppliers and may be covered  *
*   by German and Foreign Patents, patents in process, and are protected by  *
*   trade secret or copyright law. Dissemination of this information or      *
*   reproduction of this material is strictly forbidden unless prior         *
*   written permission is obtained from SOFTING Industrial Automation GmbH.  *
*****************************************************************************/



BLOCK function_block_6
{
        TYPE    FUNCTION;
        NUMBER  6;
}
/*---------------------------------------------------------------------*/
/*    AI function Block VARIABLE                                       */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-7)          (See PAprofile.pdf-3.3)        */
/*---------------------------------------------------------------------*/
COLLECTION      func6_AI_blk
{
        LABEL           [PI_BLOCK_OBJECT_label];
        HELP            [PI_BLOCK_OBJECT_help];
        MEMBERS
        {
            RESERVE,                       func6_AI_blk_reserve;
            OBJECT,                        func6_AI_blk_object;
            PARENT_CLASS,                  func6_AI_blk_parent_class;
            BLK_CLASS,                     func6_AI_blk_class;
            DEV_REV,                       func6_AI_blk_object_dev_rev;
            DEV_REV_COMP,                  func6_AI_blk_object_dev_rev_comp;
            DD_REV,                        func6_AI_blk_dd_rev;
            PROFILE,                       func6_AI_blk_profile;
            PROFILE_REV,                   func6_AI_blk_profile_rev;
            EXECUTION_TIME,                func6_AI_blk_execution_time;
            NUM_PARAMETERS,                func6_AI_blk_num_parameters;
            INDEX_VIEW_1,                  func6_AI_blk_index_view_1;
            NUM_VIEW_LISTS,                func6_AI_blk_num_view_lists;
        }
}
func6_AI_blk_reserve    LIKE VARIABLE   phys_blk_reserve
{
}

VARIABLE func6_AI_blk_object
{
    LABEL [PI_BLOCK_OBJECT_Block_Object_label];
    HELP [PI_BLOCK_OBJECT_Block_Object_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
        DEFAULT_VALUE 2;
        { 1, [PI_BLOCK_OBJECT_Block_Object_enum_1] },
        { 2, [PI_BLOCK_OBJECT_Block_Object_enum_2] },
        { 3, [PI_BLOCK_OBJECT_Block_Object_enum_3] }
        }
        HANDLING        READ;
}

VARIABLE func6_AI_blk_parent_class
{
    LABEL [PI_BLOCK_OBJECT_Parent_Class_label];
    HELP [PI_BLOCK_OBJECT_Parent_Class_help_1];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
        DEFAULT_VALUE 1;
        { 1, [PI_BLOCK_OBJECT_Parent_Class_enum_1_1] },
        { 2, [PI_BLOCK_OBJECT_Parent_Class_enum_2_1] },
        { 3, [PI_BLOCK_OBJECT_Parent_Class_enum_3_1] },
        { 4, [PI_BLOCK_OBJECT_Parent_Class_enum_4_1] },
        { 5, [PI_BLOCK_OBJECT_Parent_Class_enum_5_1] },
        { 6, [PI_BLOCK_OBJECT_Parent_Class_enum_8] },
        { 7, [PI_BLOCK_OBJECT_Parent_Class_enum_7_1] }
        }
        HANDLING        READ;
}

VARIABLE func6_AI_blk_class
{
    LABEL [PI_BLOCK_OBJECT_Class_label];
    HELP [PI_BLOCK_OBJECT_Class_help_1];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
        DEFAULT_VALUE 1;
        { 1, [PI_func_AI_BLOCK_OBJECT_Class_enum_1] }
        }
        HANDLING        READ;
}

func6_AI_blk_object_dev_rev       LIKE VARIABLE   phys_blk_object_dev_rev
{
}

func6_AI_blk_object_dev_rev_comp  LIKE VARIABLE   phys_blk_object_dev_rev_comp
{
}

func6_AI_blk_dd_rev             LIKE VARIABLE   phys_blk_dd_rev
{
}

func6_AI_blk_profile            LIKE VARIABLE   phys_blk_profile
{
}

func6_AI_blk_profile_rev        LIKE VARIABLE   phys_blk_profile_rev
{
}

func6_AI_blk_execution_time     LIKE VARIABLE   phys_blk_execution_time
{
}

func6_AI_blk_num_parameters     LIKE VARIABLE   phys_blk_num_parameters
{
}

func6_AI_blk_index_view_1       LIKE VARIABLE   phys_blk_index_view_1
{
}

func6_AI_blk_num_view_lists     LIKE VARIABLE   phys_blk_num_view_lists
{
}

/*---------------------------------------------------------------------*/
func6_AI_st_rev                 LIKE VARIABLE   phys_st_rev
{
}
/*---------------------------------------------------------------------*/
func6_AI_tag_desc               LIKE VARIABLE   phys_tag_desc
{
}
/*---------------------------------------------------------------------*/
func6_AI_strategy               LIKE VARIABLE   phys_strategy
{
}
/*---------------------------------------------------------------------*/
func6_AI_alert_key              LIKE VARIABLE   phys_alert_key
{
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_target_mode
{
    LABEL [PI_TARGET_MODE_label];
    HELP [PI_TARGET_MODE_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
COLLECTION      func6_AI_mode_blk                   /* index 6 DS-37 */
{
        LABEL           [PI_MODE_BLK_label];
        HELP            [PI_MODE_BLK_help];

    MEMBERS
    {
        ACTUAL,       func6_AI_actual_mode ;
        PERMITTED,    func6_AI_permitted_mode ;
        NORMAL,       func6_AI_normal_mode ;
    }
}

VARIABLE func6_AI_actual_mode
{
    LABEL [PI_MODE_BLK_Actual_label];
    HELP [PI_MODE_BLK_Actual_help];
        CLASS           CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
        { 0x01, [PI_mode_ROUT] },
        { 0x02, [PI_mode_RCAS] },
        { 0x04, [PI_mode_CAS] },
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x20, [PI_mode_LO] },
        { 0x40, [PI_mode_IMAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE func6_AI_permitted_mode
{
    LABEL [PI_MODE_BLK_Permitted_label];
    HELP [PI_MODE_BLK_Permitted_help];
    CLASS CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (1)
        {
        DEFAULT_VALUE 0x98;
        { 0x01, [PI_mode_ROUT] },
        { 0x02, [PI_mode_RCAS] },
        { 0x04, [PI_mode_CAS] },
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x20, [PI_mode_LO] },
        { 0x40, [PI_mode_IMAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE func6_AI_normal_mode
{
    LABEL [PI_MODE_BLK_Normal_label];
    HELP [PI_MODE_BLK_Normal_help];
    CLASS CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
        { 0x01, [PI_mode_ROUT] },
        { 0x02, [PI_mode_RCAS] },
        { 0x04, [PI_mode_CAS] },
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x20, [PI_mode_LO] },
        { 0x40, [PI_mode_IMAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
COLLECTION      func6_AI_alarm_sum
{
        LABEL           [PI_ALARM_SUM_label];
        HELP            [PI_ALARM_SUM_help];
    MEMBERS
    {
        CURRENT,             func6_AI_current_state_alarm_sum ;
        UNACKNOWLEDGED,      func6_AI_unacknowledged_state_alarm_sum ;
        UNREPORTED,          func6_AI_unreported_state_alarm_sum ;
        DISABLED,            func6_AI_disabled_state_alarm_sum ;
    }
}

VARIABLE func6_AI_current_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Current_label];
    HELP [PI_ALARM_SUM_Current_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }

}

VARIABLE func6_AI_unacknowledged_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Unacknowledged_label];
    HELP [PI_ALARM_SUM_Unacknowledged_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

VARIABLE func6_AI_unreported_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Unreported_label];
    HELP [PI_ALARM_SUM_Unreported_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

VARIABLE func6_AI_disabled_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Disabled_label];
    HELP [PI_ALARM_SUM_Disabled_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

/*---------------------------------------------------------------------*/
/*    Function Parameter (8,10-35)                                     */
/*---------------------------------------------------------------------*/
/* Batch Parameter (BATCH) standard for Function Blocks (DS-67)        */
/*---------------------------------------------------------------------*/
COLLECTION      func6_AI_batch                  /* index 8 */
{
    LABEL [PI_BATCH_label];
    HELP [PI_BATCH_help];
    MEMBERS
    {
        BATCH_ID,            func6_AI_batch_id ;
        RUP,                 func6_AI_batch_unit ;
        BATCH_OPERATION,     func6_AI_batch_operation ;
        PHASE,               func6_AI_batch_phase ;
    }
}

VARIABLE func6_AI_batch_id
{
    LABEL [PI_BATCH_Batch_ID_label];
    HELP [PI_BATCH_Batch_ID_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (4)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_batch_unit
{
    LABEL [PI_BATCH_Rup_label];
    HELP [PI_BATCH_Rup_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_batch_operation
{
    LABEL [PI_BATCH_Operation_label];
    HELP [PI_BATCH_Operation_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_batch_phase
{
    LABEL [PI_BATCH_Phase_label];
    HELP [PI_BATCH_Phase_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      func6_AI_out                              /* index 10 */
{
    LABEL [PI_OUT_label];
    HELP  [PI_func_AI_OUT_help];

    MEMBERS
    {
        VALUE,   func6_AI_out_value ;
        STATUS,  func6_AI_out_status ;
    }
}

VARIABLE func6_AI_out_value
{
        LABEL           [PI_OUT_Value_label];
        HELP            [PI_OUT_Value_help];
        CLASS           OUTPUT & DYNAMIC;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING
        IF (func6_AI_actual_mode == BLOCK_MODE_MAN)     /* define in gen_defs.inc */
        {
                READ & WRITE;
        }
        ELSE
        {
                READ;
        }
}

VARIABLE func6_AI_out_status
{
        LABEL           "OUT Quality";
        HELP            [PI_PRIMARY_VALUE_Status_Quality_help];
        CLASS           CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING
                IF (func6_AI_actual_mode == BLOCK_MODE_MAN)
                {
                        READ & WRITE;
                }
                ELSE
                {
                        READ;
                }
}

/*---------------------------------------------------------------------*/
COLLECTION func6_AI_pv_scale                          /*index 11*/
{
        LABEL           [PI_func_AI_PV_SCALE_label];
        HELP            [PI_func_AI_PV_SCALE_help];

        MEMBERS
        {
            UPPER_VALUE, func6_AI_pv_upper_range_value;
            LOWER_VALUE, func6_AI_pv_lower_range_value;
        }
}


VARIABLE func6_AI_pv_upper_range_value
{
    LABEL "PV Upper Value";
    HELP [PI_PV_SCALE_Upper_Value_help];
    CLASS CONTAINED;
    CONSTANT_UNIT [PI_unit_1342];
    TYPE FLOAT
    {
                DEFAULT_VALUE   100.0;
    }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_pv_lower_range_value
{
    LABEL "PV Lower Value";
    HELP [PI_PV_SCALE_Lower_Value_help];
    CLASS CONTAINED;
    CONSTANT_UNIT [PI_unit_1342];
    TYPE FLOAT
    {
                DEFAULT_VALUE   0.0;
    }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      func6_AI_out_scale                   /* index 12 */
{
    LABEL [PI_OUT_SCALE_label];
    HELP [PI_func_AI_OUT_SCALE_help];
    MEMBERS
    {
        UPPER_VALUE,     func6_AI_out_upper_range_value ;
        LOWER_VALUE,     func6_AI_out_lower_range_value ;
        SCALE_UNIT,      func6_AI_out_scale_unit ;
        DEC_PT,          func6_AI_out_scale_decimal_point ;
    }
}

VARIABLE func6_AI_out_upper_range_value
{
    LABEL "OUT Upper Value";
    HELP [PI_OUT_SCALE_Upper_Value_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.005;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_out_lower_range_value
{
    LABEL "OUT Lower Value";
    HELP [PI_OUT_SCALE_Lower_Value_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   -0.005;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_out_scale_unit
{
    LABEL [PI_PRIMARY_VALUE_UNIT_label];
    HELP [PI_PRIMARY_VALUE_UNIT_help];
        CLASS           CONTAINED ;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE     1001;         /* C */
                OVAL_VOLUME_FLOW_UNITS,
                OVAL_MASS_FLOW_UNITS,
                OVAL_DENSITY_UNITS,
                OVAL_TEMPERATURE_UNIT
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_out_scale_decimal_point
{
    LABEL [PI_OUT_SCALE_Decimal_Point_label];
    HELP [PI_OUT_SCALE_Decimal_Point_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
        DEFAULT_VALUE 2;
        { 0, [PI_OUT_SCALE_Decimal_Point_enum_0] },
        { 1, [PI_OUT_SCALE_Decimal_Point_enum_1] },
        { 2, [PI_OUT_SCALE_Decimal_Point_enum_2] },
        { 3, [PI_OUT_SCALE_Decimal_Point_enum_3] },
        { 4, [PI_OUT_SCALE_Decimal_Point_enum_4] },
        { 5, [PI_OUT_SCALE_Decimal_Point_enum_5] },
        { 6, [PI_OUT_SCALE_Decimal_Point_enum_6] },
        { 7, [PI_OUT_SCALE_Decimal_Point_enum_7] }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func6_AI_lin_type                              /* index 13 */
{
    LABEL [PI_LIN_TYPE_label];
    HELP [PI_LIN_TYPE_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;                      /* see PAprofile.pdf-3.8 */
        { 0, [PI_LIN_TYPE_enum_0], [PI_LIN_TYPE_enum_0] },
        { 1, [PI_LIN_TYPE_enum_1] },
        { 10, [PI_LIN_TYPE_enum_10], [PI_LIN_TYPE_enum_10_help] },
        { 20, [PI_LIN_TYPE_enum_20] },
        { 21, [PI_LIN_TYPE_enum_21] },
        { 50, [PI_LIN_TYPE_enum_50] },
        { 51, [PI_LIN_TYPE_enum_51] },
        { 52, [PI_LIN_TYPE_enum_52] },
        { 53, [PI_LIN_TYPE_enum_53] },
        { 54, [PI_LIN_TYPE_enum_54] },
        { 55, [PI_LIN_TYPE_enum_55] },
        { 100, [PI_LIN_TYPE_enum_100] },
        { 101, [PI_LIN_TYPE_enum_101] },
        { 102, [PI_LIN_TYPE_enum_102] },
        { 103, [PI_LIN_TYPE_enum_103] },
        { 104, [PI_LIN_TYPE_enum_104] },
        { 105, [PI_LIN_TYPE_enum_105] },
        { 106, [PI_LIN_TYPE_enum_106] },
        { 107, [PI_LIN_TYPE_enum_107] },
        { 108, [PI_LIN_TYPE_enum_108] },
        { 109, [PI_LIN_TYPE_enum_109] },
        { 110, [PI_LIN_TYPE_enum_110] },
        { 111, [PI_LIN_TYPE_enum_111] },
        { 112, [PI_LIN_TYPE_enum_112] },
        { 113, [PI_LIN_TYPE_enum_113] },
        { 114, [PI_LIN_TYPE_enum_114] },
        { 115, [PI_LIN_TYPE_enum_115] },
        { 116, [PI_LIN_TYPE_enum_116] },
        { 117, [PI_LIN_TYPE_enum_117] },
        { 118, [PI_LIN_TYPE_enum_118] },
        { 119, [PI_LIN_TYPE_enum_119] },
        { 120, [PI_LIN_TYPE_enum_120] },
        { 121, [PI_LIN_TYPE_enum_121] },
        { 122, [PI_LIN_TYPE_enum_122] },
        { 123, [PI_LIN_TYPE_enum_123] },
        { 124, [PI_LIN_TYPE_enum_124] },
        { 125, [PI_LIN_TYPE_enum_125] },
        { 126, [PI_LIN_TYPE_enum_126] },
        { 127, [PI_LIN_TYPE_enum_127] },
        { 128, [PI_LIN_TYPE_enum_128] },
        { 129, [PI_LIN_TYPE_enum_129] },
        { 130, [PI_LIN_TYPE_enum_130] },
        { 131, [PI_LIN_TYPE_enum_131] },
        { 132, [PI_LIN_TYPE_enum_132] },
        { 133, [PI_LIN_TYPE_enum_133] },
        { 134, [PI_LIN_TYPE_enum_134] },
        { 135, [PI_LIN_TYPE_enum_135] },
        { 136, [PI_LIN_TYPE_enum_136] },
        { 137, [PI_LIN_TYPE_enum_137] },
        { 138, [PI_LIN_TYPE_enum_138] },
        { 139, [PI_LIN_TYPE_enum_139] },
        { 140, [PI_LIN_TYPE_enum_140] },
        { 141, [PI_LIN_TYPE_enum_141] },
        { 142, [PI_LIN_TYPE_enum_142] },
        { 143, [PI_LIN_TYPE_enum_143] },
        { 144, [PI_LIN_TYPE_enum_144] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_channel                               /* index 14 */
{
    LABEL [PI_CHANNEL_label];
    HELP [PI_CHANNEL_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   0x011D;
                {0x0111, "Volume Flow" },
                {0x0115, "Mass Flow"},
                {0x0119, "Density"},
                {0x011D, "Temperature"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func6_AI_pv_ftime                              /* index 16 */
{
    LABEL [PI_func_AI_PV_FTIME_label];
    HELP [PI_func_AI_PV_FTIME_help];
        CLASS           CONTAINED;
    CONSTANT_UNIT [PI_unit_1054];
    TYPE FLOAT
    {
                DEFAULT_VALUE   0.0;            /* 0-24s */
        MIN_VALUE 0.0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_fsafe_type                             /* index 17 */
{
    LABEL [PI_FSAFE_TYPE_label];
    HELP [PI_FSAFE_TYPE_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
                DEFAULT_VALUE    1;
        { 0, [PI_FSAFE_TYPE_enum_0] },
        { 1, [PI_FSAFE_TYPE_enum_1] },
        { 2, [PI_FSAFE_TYPE_enum_2] }
        }
        HANDLING  READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_fsafe_value                            /* index 18 */
{
    LABEL [PI_FSAFE_VALUE_label];
    HELP [PI_FSAFE_VALUE_help];
        CLASS     CONTAINED;
        TYPE      FLOAT
        {
                DEFAULT_VALUE  0.0;
        }
        VALIDITY IF (func6_AI_fsafe_type == 0) { TRUE; } ELSE { FALSE; }
        HANDLING  READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_alarm_hys                             /* index 19 */
{
    LABEL [PI_ALARM_HYS_label];
    HELP [PI_ALARM_HYS_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
        MIN_VALUE 0.0;
                DEFAULT_VALUE  0.5;
        }
        CONSTANT_UNIT    "%";
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_hi_hi_lim                             /* index 21 */
{
    LABEL [PI_HI_HI_LIM_label];
    HELP [PI_HI_HI_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    100.0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_hi_lim                                /* index 23 */
{
    LABEL [PI_HI_LIM_label];
    HELP [PI_HI_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    99.5;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_lo_lim                                /* index 25 */
{
    LABEL [PI_LO_LIM_label];
    HELP [PI_LO_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    0.5;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func6_AI_lo_lo_lim                             /* index 27 */
{
    LABEL [PI_LO_LO_LIM_label];
    HELP [PI_LO_LO_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    0.0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION func6_AI_simulate                                /* index 34 */
{
    LABEL [PI_SIMULATE_label];
    HELP [PI_func_AI_SIMULATE_help];
    MEMBERS
    {
        SIMULATE_STATUS,  func6_AI_simulate_status ;
        SIMULATE_VALUE,   func6_AI_simulate_value ;
        SIMULATE_ENABLED, func6_AI_simulation_enabled ;
    }
}

VARIABLE func6_AI_simulate_status
{
    LABEL "Simulate Quality";
    HELP [PI_SIMULATE_Status_Quality_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING        READ & WRITE;
}


VARIABLE func6_AI_simulate_value
{
    LABEL [PI_SIMULATE_Value_label];
    HELP [PI_func_AI_SIMULATE_Value_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func6_AI_simulation_enabled
{
    LABEL [PI_SIMULATE_Enabled_label];
    HELP [PI_SIMULATE_Enabled_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
        { 0, [PI_disabled] },
        { 1, [PI_enabled] }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func6_AI_out_unit_text                         /* index 35 */
{
    LABEL [PI_func_AI_OUT_UNIT_TEXT_label];
    HELP [PI_func_AI_OUT_UNIT_TEXT_help];
        CLASS CONTAINED ;
        TYPE ASCII(16) ;
        HANDLING READ & WRITE ;
}

/*---------------------------------------------------------------------*/
/*    Function Block COMMAND (AI)                                      */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-8)                                         */
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_blk
{
        BLOCK function_block_6;
        INDEX 0;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_blk_reserve,
                        func6_AI_blk_object,
                        func6_AI_blk_parent_class,
                        func6_AI_blk_class,
                        func6_AI_blk_object_dev_rev,
                        func6_AI_blk_object_dev_rev_comp,
                        func6_AI_blk_dd_rev,
                        func6_AI_blk_profile,
                        func6_AI_blk_profile_rev,
                        func6_AI_blk_execution_time,
                        func6_AI_blk_num_parameters,
                        func6_AI_blk_index_view_1,
                        func6_AI_blk_num_view_lists
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_st_rev
{
        BLOCK function_block_6;
        INDEX 1;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_st_rev
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_tag_desc
{
        BLOCK function_block_6;
        INDEX 2;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_tag_desc
                }
        }
}

COMMAND write_func6_AI_tag_desc
{
        BLOCK function_block_6;
        INDEX 2;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_tag_desc
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_strategy
{
        BLOCK function_block_6;
        INDEX 3;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_strategy
                }
        }
}

COMMAND write_func6_AI_strategy
{
        BLOCK function_block_6;
        INDEX 3;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_strategy
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_alert_key
{
        BLOCK function_block_6;
        INDEX 4;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_alert_key
                }
        }
}

COMMAND write_func6_AI_alert_key
{
        BLOCK function_block_6;
        INDEX 4;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_alert_key
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_target_mode
{
        BLOCK function_block_6;
        INDEX 5;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_target_mode
                }
        }
}

COMMAND write_func6_AI_target_mode
{
        BLOCK function_block_6;
        INDEX 5;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_target_mode
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_mode
{
        BLOCK function_block_6;
        INDEX 6;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                         func6_AI_actual_mode,
                         func6_AI_permitted_mode,
                         func6_AI_normal_mode
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_alarm
{
        BLOCK function_block_6;
        INDEX 7;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_current_state_alarm_sum,
                        func6_AI_unacknowledged_state_alarm_sum,
                        func6_AI_unreported_state_alarm_sum,
                        func6_AI_disabled_state_alarm_sum
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_batch_information
{
        BLOCK function_block_6;
        INDEX 8;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_batch_id,
                        func6_AI_batch_unit,
                        func6_AI_batch_operation,
                        func6_AI_batch_phase
                }
        }
}

COMMAND write_func6_AI_batch_information
{
        BLOCK function_block_6;
        INDEX 8;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_batch_id,
                        func6_AI_batch_unit,
                        func6_AI_batch_operation,
                        func6_AI_batch_phase
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
/*    Function Parameter (10-35)                                       */
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_out
{
        BLOCK function_block_6;
        INDEX 10;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_out_value,
                        func6_AI_out_status
                }
        }
}

COMMAND write_func6_AI_out
{
        BLOCK function_block_6;
        INDEX 10;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_out_value,
                        func6_AI_out_status
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_pv
{
        BLOCK function_block_6;
        INDEX 11;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_pv_upper_range_value,
                        func6_AI_pv_lower_range_value
                }
        }
}

COMMAND write_func6_AI_pv
{
        BLOCK function_block_6;
        INDEX 11;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_pv_upper_range_value,
                        func6_AI_pv_lower_range_value
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_out_scale
{
        BLOCK function_block_6;
        INDEX 12;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_out_upper_range_value,
                        func6_AI_out_lower_range_value,
                        func6_AI_out_scale_unit,
                        func6_AI_out_scale_decimal_point
                }
        }
}

COMMAND write_func6_AI_out_scale
{
        BLOCK function_block_6;
        INDEX 12;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_out_upper_range_value,
                        func6_AI_out_lower_range_value,
                        func6_AI_out_scale_unit,
                        func6_AI_out_scale_decimal_point
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_lin_type
{
        BLOCK function_block_6;
        INDEX 13;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_lin_type
                }
        }
}

COMMAND write_func6_AI_lin_type
{
        BLOCK function_block_6;
        INDEX 13;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_lin_type
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_channel
{
        BLOCK function_block_6;
        INDEX 14;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_channel
                }
        }
}

COMMAND write_func6_AI_channel
{
        BLOCK function_block_6;
        INDEX 14;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_channel
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_pv_ftime
{
        BLOCK function_block_6;
        INDEX 16;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_pv_ftime
                }
        }
}

COMMAND write_func6_AI_pv_ftime
{
        BLOCK function_block_6;
        INDEX 16;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_pv_ftime
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_fsafe_type
{
        BLOCK function_block_6;
        INDEX 17;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_fsafe_type
                }
        }
}

COMMAND write_func6_AI_fsafe_type
{
        BLOCK function_block_6;
        INDEX 17;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_fsafe_type
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_fsafe_value
{
        BLOCK function_block_6;
        INDEX 18;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_fsafe_value
                }
        }
}

COMMAND write_func6_AI_fsafe_value
{
        BLOCK function_block_6;
        INDEX 18;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_fsafe_value
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_alarm_hys
{
        BLOCK function_block_6;
        INDEX 19;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_alarm_hys
                }
        }
}


COMMAND write_func6_AI_alarm_hys
{
        BLOCK function_block_6;
        INDEX 19;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_alarm_hys
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_hi_hi_lim
{
        BLOCK function_block_6;
        INDEX 21;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_hi_hi_lim
                }
        }
}

COMMAND write_func6_AI_hi_hi_lim
{
        BLOCK function_block_6;
        INDEX 21;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_hi_hi_lim
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_hi_lim
{
        BLOCK function_block_6;
        INDEX 23;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_hi_lim
                }
        }
}

COMMAND write_func6_AI_hi_lim
{
        BLOCK function_block_6;
        INDEX 23;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_hi_lim
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_lo_lim
{
        BLOCK function_block_6;
        INDEX 25;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_lo_lim
                }
        }
}

COMMAND write_func6_AI_lo_lim
{
        BLOCK function_block_6;
        INDEX 25;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_lo_lim
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_lo_lo_lim
{
        BLOCK function_block_6;
        INDEX 27;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_lo_lo_lim
                }
        }
}

COMMAND write_func6_AI_lo_lo_lim
{
        BLOCK function_block_6;
        INDEX 27;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_lo_lo_lim
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func6_AI_simulate
{
        BLOCK function_block_6;
        INDEX 34;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_simulate_status,
                        func6_AI_simulate_value,
                        func6_AI_simulation_enabled
                }
        }
}

COMMAND write_func6_AI_simulate
{
        BLOCK function_block_6;
        INDEX 34;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_simulate_status,
                        func6_AI_simulate_value,
                        func6_AI_simulation_enabled
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/

COMMAND read_func6_AI_out_unit_text
{
        BLOCK function_block_6;
        INDEX 35;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func6_AI_out_unit_text
                }
        }
}

COMMAND write_func6_AI_out_unit_text
{
        BLOCK function_block_6;
        INDEX 35;
        OPERATION WRITE ;
        TRANSACTION
        {
                REQUEST
                {
                        func6_AI_out_unit_text
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
/*---------------------------------------------------------------------*/
/* Function Block 6: AI                                                */
/*---------------------------------------------------------------------*/
/*
UNIT AI_OUT_UNIT
{
        func6_AI_out_scale_unit:

        func6_AI_out_value,                \
        func6_AI_out_scale_eu_100,         \
        func6_AI_out_scale_eu_0,           \
        func6_AI_hi_hi_lim,                \
        func6_AI_hi_lim,                   \
        func6_AI_lo_lim,                   \
        func6_AI_lo_lo_lim,                \
        func6_AI_hi_hi_alm_value,          \
        func6_AI_hi_alm_value,             \
        func6_AI_lo_alm_value,             \
        func6_AI_lo_lo_alm_value,          \
        func6_AI_fsafe_value
}
*/
