
/*****************************************************************************
*                                                                            *
*                     SOFTING Industrial Automation GmbH                     *
*                          Richard-Reitzner-Allee 6                          *
*                                D-85540 Haar                                *
*                        Phone: ++49-89-4 56 56-0                            *
*                          Fax: ++49-89-4 56 56-3 99                         *
*                                                                            *
*                            SOFTING CONFIDENTIAL                            *
*                                                                            *
*                     Copyright (C) SOFTING IA GmbH 2013                     *
*                             All Rights Reserved                            *
*                                                                            *
* NOTICE: All information contained herein is, and remains the property of   *
*   SOFTING Industrial Automation GmbH and its suppliers, if any. The intel- *
*   lectual and technical concepts contained herein are proprietary to       *
*   SOFTING Industrial Automation GmbH and its suppliers and may be covered  *
*   by German and Foreign Patents, patents in process, and are protected by  *
*   trade secret or copyright law. Dissemination of this information or      *
*   reproduction of this material is strictly forbidden unless prior         *
*   written permission is obtained from SOFTING Industrial Automation GmbH.  *
*****************************************************************************/



BLOCK transducer_block_1
{
        TYPE    TRANSDUCER;
        NUMBER  1;
}

/*------------------------------------------------------------------*/
/*    Transducer Block VARIABLE                                     */
/*------------------------------------------------------------------*/
/*    Standard Parameter (0-7)          (See PAprofile.pdf-3.3)     */
/*------------------------------------------------------------------*/
COLLECTION      trans1_blk                                  /* index 0, DS-32, 12 parameter, 20 byte */
{
        LABEL           [PI_BLOCK_OBJECT_label];
        HELP            [PI_BLOCK_OBJECT_help];

        MEMBERS
        {
            RESERVE,                       trans1_blk_reserve;
            OBJECT,                        trans1_blk_object;
            PARENT_CLASS,                  trans1_blk_parent_class;
            BLK_CLASS,                     trans1_blk_class;
            DEV_REV,                       trans1_blk_object_dev_rev;
            DEV_REV_COMP,                  trans1_blk_object_dev_rev_comp;
            DD_REV,                        trans1_blk_dd_rev;
            PROFILE,                       trans1_blk_profile;
            PROFILE_REV,                   trans1_blk_profile_rev;
            EXECUTION_TIME,                trans1_blk_execution_time;
            NUM_PARAMETERS,                trans1_blk_num_parameters;
            INDEX_VIEW_1,                  trans1_blk_index_view_1;
            NUM_VIEW_LISTS,                trans1_blk_num_view_lists;
        }
}

VARIABLE trans1_blk_reserve
{
        LABEL           [PI_BLOCK_OBJECT_Reserved_label];
        HELP            [PI_BLOCK_OBJECT_Reserved_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1);
        HANDLING        READ;
}

VARIABLE trans1_blk_object
{
        LABEL           [PI_BLOCK_OBJECT_Block_Object_label];
        HELP            [PI_BLOCK_OBJECT_Block_Object_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE 3;
                { 1, [PI_BLOCK_OBJECT_Block_Object_enum_1] },
                { 2, [PI_BLOCK_OBJECT_Block_Object_enum_2] },
                { 3, [PI_BLOCK_OBJECT_Block_Object_enum_3] }
        }
        HANDLING        READ;
}

VARIABLE trans1_blk_parent_class
{
        LABEL           [PI_BLOCK_OBJECT_Parent_Class_label];
        HELP            [PI_BLOCK_OBJECT_Parent_Class_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
                DEFAULT_VALUE   3;
                { 1, [PI_BLOCK_OBJECT_Parent_Class_enum_1] },
                { 2, [PI_BLOCK_OBJECT_Parent_Class_enum_2] },
                { 3, [PI_BLOCK_OBJECT_Parent_Class_enum_3] },
                { 4, [PI_BLOCK_OBJECT_Parent_Class_enum_4] },
                { 5, [PI_BLOCK_OBJECT_Parent_Class_enum_5] },
                { 6, [PI_BLOCK_OBJECT_Parent_Class_enum_6] },
                { 7, [PI_BLOCK_OBJECT_Parent_Class_enum_7] },
                { 8, [PI_BLOCK_OBJECT_Parent_Class_enum_8] },
                { 9, [PI_BLOCK_OBJECT_Parent_Class_enum_9] }
        }
        HANDLING        READ;
}

VARIABLE trans1_blk_class
{
        LABEL           [PI_BLOCK_OBJECT_Class_label];
        HELP            [PI_BLOCK_OBJECT_Class_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
                DEFAULT_VALUE   3;
                { 1, [PI_BLOCK_OBJECT_Class_enum_1] },
                { 2, [PI_BLOCK_OBJECT_Class_enum_2] },
                { 3, [PI_BLOCK_OBJECT_Class_enum_3] },
                { 4, [PI_BLOCK_OBJECT_Class_enum_4] },
                { 5, [PI_BLOCK_OBJECT_Class_enum_5] },
                { 6, [PI_BLOCK_OBJECT_Class_enum_6] },
                { 7, [PI_BLOCK_OBJECT_Class_enum_7] }
        }
        HANDLING        READ;
}

VARIABLE trans1_blk_object_dev_rev
{
       LABEL            [PI_BLOCK_OBJECT_Dev_Rev_label];
       HELP             [PI_BLOCK_OBJECT_Dev_Rev_help];

       CLASS            CONTAINED;
       TYPE             UNSIGNED_INTEGER(2)
       {
                DEFAULT_VALUE 1;
       }
       HANDLING         READ;
}

VARIABLE trans1_blk_object_dev_rev_comp
{
      LABEL             [PI_BLOCK_OBJECT_Dev_Rev_Comp_label];
      HELP              [PI_BLOCK_OBJECT_Dev_Rev_Comp_help];

      CLASS             CONTAINED;
      TYPE              UNSIGNED_INTEGER(2)
      {
                DEFAULT_VALUE 1;
      }
      HANDLING          READ;
}

VARIABLE trans1_blk_dd_rev
{
        LABEL           [PI_BLOCK_OBJECT_DD_Revision_label];
        HELP            [PI_BLOCK_OBJECT_DD_Revision_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER(2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

VARIABLE trans1_blk_profile
{
        LABEL           [PI_BLOCK_OBJECT_Profile_label];
        HELP            [PI_BLOCK_OBJECT_Profile_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE 0x4002;
                {       0x4001, [PI_BLOCK_OBJECT_Profile_enum_0x4001] },
                {       0x4002, [PI_BLOCK_OBJECT_Profile_enum_0x4002] },
                {       0x4081, [PI_BLOCK_OBJECT_Profile_enum_0x4081] },
                {       0x4082, [PI_BLOCK_OBJECT_Profile_enum_0x4082] }
        }
        HANDLING        READ;
}

VARIABLE trans1_blk_profile_rev
{
        LABEL           [PI_BLOCK_OBJECT_Profile_Revision_label];
        HELP            [PI_BLOCK_OBJECT_Profile_Revision_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE 0x0302;
                {       0x0200, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0200] },
                {       0x0300, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0300] },
                {       0x0301, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0301] },
                {       0x0302, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0302] }
        }
        HANDLING        READ;
}

VARIABLE trans1_blk_execution_time
{
        LABEL           [PI_BLOCK_OBJECT_Execution_Time_label];
        HELP            [PI_BLOCK_OBJECT_Execution_Time_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER(1);
        HANDLING        READ;
}

VARIABLE trans1_blk_num_parameters
{
        LABEL           [PI_BLOCK_OBJECT_Number_of_Parameters_label];
        HELP            [PI_BLOCK_OBJECT_Number_of_Parameters_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2);
        HANDLING        READ;
}

VARIABLE trans1_blk_index_view_1
{
        LABEL           [PI_BLOCK_OBJECT_Address_of_VIEW_1_Slot_label];
        HELP            [PI_BLOCK_OBJECT_Address_of_VIEW_1_Slot_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2);
        HANDLING        READ;
}

VARIABLE trans1_blk_num_view_lists
{
        LABEL           [PI_BLOCK_OBJECT_Number_of_Views_label];
        HELP            [PI_BLOCK_OBJECT_Number_of_Views_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1);
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_st_rev                                      /* index 1 */
{
        LABEL           [PI_ST_REV_label];
        HELP            [PI_ST_REV_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE trans1_tag_desc                                    /* index 2 */
{
        LABEL           [PI_TAG_DESC_label];
        HELP            [PI_TAG_DESC_help];

        CLASS           CONTAINED;
        TYPE            ASCII (32)
        {
                DEFAULT_VALUE  " ";
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE trans1_strategy                                    /* index 3 */
{
        LABEL           [PI_STRATEGY_label];
        HELP            [PI_STRATEGY_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE trans1_alert_key                                   /* index 4 */
{
        LABEL           [PI_ALERT_KEY_label];
        HELP            [PI_ALERT_KEY_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE trans1_target_mode                                 /* index 5 */
{
        LABEL           [PI_TARGET_MODE_label];
        HELP            [PI_TARGET_MODE_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
                {       0x08, [PI_mode_AUTO] },
                {       0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
COLLECTION      trans1_mode_blk                             /* index 6 DS-37 */
{
        LABEL           [PI_MODE_BLK_label];
        HELP            [PI_MODE_BLK_help];

        MEMBERS
        {
            ACTUAL,       trans1_actual_mode ;
            PERMITTED,    trans1_permitted_mode ;
            NORMAL,       trans1_normal_mode ;
        }
}

VARIABLE trans1_actual_mode
{
        LABEL           [PI_MODE_BLK_Actual_label];
        HELP            [PI_MODE_BLK_Actual_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
                {       0x08, [PI_mode_AUTO] },
                {       0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE trans1_permitted_mode
{
        LABEL           [PI_MODE_BLK_Permitted_label];
        HELP            [PI_MODE_BLK_Permitted_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (1)
        {
                DEFAULT_VALUE 0x88;
                {       0x01, [PI_mode_ROUT] },
                {       0x02, [PI_mode_RCAS] },
                {       0x04, [PI_mode_CAS] },
                {       0x08, [PI_mode_AUTO] },
                {       0x10, [PI_mode_MAN] },
                {       0x20, [PI_mode_LO] },
                {       0x40, [PI_mode_IMAN] },
                {       0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE trans1_normal_mode
{
        LABEL           [PI_MODE_BLK_Normal_label];
        HELP            [PI_MODE_BLK_Normal_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
                {       0x08, [PI_mode_AUTO] },
                {       0x10, [PI_mode_MAN] },
                {       0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
COLLECTION      trans1_alarm_sum                            /* index 7 */
{
        LABEL           [PI_ALARM_SUM_label];
        HELP            [PI_ALARM_SUM_help];

        MEMBERS
        {
            CURRENT,             trans1_current_state_alarm_sum ;
            UNACKNOWLEDGED,      trans1_unacknowledged_state_alarm_sum ;
            UNREPORTED,          trans1_unreported_state_alarm_sum ;
            DISABLED,            trans1_disabled_state_alarm_sum ;
        }
}

VARIABLE trans1_current_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Current_label];
        HELP            [PI_ALARM_SUM_Current_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                {           0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                {           0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

VARIABLE trans1_unacknowledged_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Unacknowledged_label];
        HELP            [PI_ALARM_SUM_Unacknowledged_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                {           0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                {           0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

VARIABLE trans1_unreported_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Unreported_label];
        HELP            [PI_ALARM_SUM_Unreported_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                {           0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                {           0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

VARIABLE trans1_disabled_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Disabled_label];
        HELP            [PI_ALARM_SUM_Disabled_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                {           0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                {           0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_calibr_factor                               /* index 8 */
{
        LABEL           [PI_CALIBR_FACTOR_label];
        HELP            [PI_CALIBR_FACTOR_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   56.05967;
            MIN_VALUE       0.0 ;
            MAX_VALUE       999.999 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_low_flow_cutoff                             /* index 9 */
{
        LABEL           [PI_LOW_FLOW_CUTOFF_label];
        HELP            [PI_LOW_FLOW_CUTOFF_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   0.3;
            MIN_VALUE       0.0 ;
            MAX_VALUE       5.0 ;

        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_measurement_mode                            /* index 10 */
{
        LABEL           [PI_MEASUREMENT_MODE_label];
        HELP            [PI_MEASUREMENT_MODE_help];

        CLASS           CONTAINED ;
        TYPE            ENUMERATED (1)
        {
            DEFAULT_VALUE   0;
            {           0, [PI_MEASUREMENT_MODE_enum_0] },
            {           1, [PI_MEASUREMENT_MODE_enum_1] }
        }
        HANDLING        READ  & WRITE ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_flow_direction                              /* index 11 */
{
        LABEL           [PI_FLOW_DIRECTION_label];
        HELP            [PI_FLOW_DIRECTION_help];

        CLASS           CONTAINED ;
        TYPE            ENUMERATED (1)
        {
            DEFAULT_VALUE   0;
            {           0, [PI_FLOW_DIRECTION_enum_0] },
            {           1, [PI_FLOW_DIRECTION_enum_1] }
        }
        HANDLING        READ  & WRITE ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_zero_point                                  /* index 12 */
{
        LABEL           [PI_ZERO_POINT_label];
        HELP            [PI_ZERO_POINT_help];

        CLASS           CONTAINED ;
        TYPE            FLOAT;
        HANDLING        READ  & WRITE ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_zero_point_adjust                           /* index 13 */
{
        LABEL           [PI_ZERO_POINT_ADJUST_label];
        HELP            [PI_ZERO_POINT_ADJUST_help];

        CLASS           CONTAINED ;
        TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ  & WRITE ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_zero_point_unit                             /* index 14 */
{
        LABEL           "Zero Point Unit";
        HELP            [PI_PRIMARY_VALUE_UNIT_help];

        CLASS           CONTAINED ;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   1322;
        }
        HANDLING        READ  & WRITE ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_nominal_size                                /* index 15 */
{
        LABEL           [PI_NOMINAL_SIZE_label];
        HELP            [PI_NOMINAL_SIZE_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   25.0;
            MIN_VALUE       1.0 ;
            MAX_VALUE       150.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_nominal_size_units                          /* index 16 */
{
        LABEL           [PI_NOMINAL_SIZE_UNITS_label];
        HELP            [PI_NOMINAL_SIZE_UNITS_help];

        CLASS           CONTAINED;
        TYPE ENUMERATED(2)
        {
            DEFAULT_VALUE 1013;
            { 1013, [PI_unit_1013], [PI_unit_1013_help] },
            { 1019, [PI_unit_1019], [PI_unit_1019_help] }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      trans1_volume_flow                          /* index 17, DS101 */
{
        LABEL           [PI_VOLUME_FLOW_label];
        HELP            [PI_trans_FlowE_VOLUME_FLOW_help];

        MEMBERS
        {
            VALUE,   trans1_volume_flow_value ;
            STATUS,  trans1_volume_flow_status ;
        }
}

VARIABLE trans1_volume_flow_value
{
        LABEL                   "Volume Flow"         \
                                "|de|Volumendurchflu" \
                                "|fr|Dbit volume"    \
                                "|it|Portata volume"  \
                                "|es|Caudal volumen";
        HELP            [PI_VOLUME_FLOW_Value_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

VARIABLE trans1_volume_flow_status
{
        LABEL           "Volume Flow Quality";
        HELP            [PI_MASS_FLOW_Status_Quality_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_volume_flow_units                           /* index 18 */
{
        LABEL           "Volume Flow Unit";
        HELP            [PI_MASS_FLOW_UNITS_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   1349;
                OVAL_VOLUME_FLOW_UNITS
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_volume_flow_lo_limit                        /* index 19 */
{
        LABEL           "Volume Flow Lower Value Min";
        HELP            [PI_LOWER_SENSOR_LIMIT_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   -72.0;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_volume_flow_hi_limit                        /* index 20 */
{
        LABEL           "Volume Flow Upper Value Max";
        HELP            [PI_UPPER_SENSOR_LIMIT_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   72.0;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      trans1_mass_flow                            /* index 21, DS101 */
{
        LABEL           [PI_MASS_FLOW_label];
        HELP            [PI_trans_FlowCM_MASS_FLOW_help];

        MEMBERS
        {
            VALUE,   trans1_mass_flow_value ;
            STATUS,  trans1_mass_flow_status ;
        }
}

VARIABLE trans1_mass_flow_value
{
        LABEL           [PI_MASS_FLOW_Value_label];
        HELP            [PI_MASS_FLOW_Value_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

VARIABLE trans1_mass_flow_status
{
        LABEL           "Mass Flow Quality";
        HELP            [PI_MASS_FLOW_Status_Quality_help];

        CLASS CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_mass_flow_units                             /* index 22 */
{
        LABEL           "Mass Flow Unit";
        HELP            [PI_MASS_FLOW_UNITS_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   1322;
                OVAL_MASS_FLOW_UNITS
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_mass_flow_lo_limit                          /* index 23 */
{
        LABEL           "Mass Flow Lower Value Min";
        HELP            [PI_LOWER_SENSOR_LIMIT_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   -6.0;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_mass_flow_hi_limit                          /* index 24 */
{
        LABEL           "Mass Flow Upper Value Max";
        HELP            [PI_UPPER_SENSOR_LIMIT_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   6.0;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      trans1_density                              /* index 25, DS101 */
{
        LABEL           [PI_trans_FlowCM_DENSITY_label];
        HELP            [PI_trans_FlowCM_DENSITY_help];

        MEMBERS
        {
            VALUE,   trans1_pv_density_value ;
            STATUS,  trans1_pv_density_status ;
        }
}

VARIABLE trans1_pv_density_value
{
        LABEL           [PI_trans_FlowCM_DENSITY_Value_label];
        HELP            [PI_trans_FlowCM_DENSITY_Value_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

VARIABLE trans1_pv_density_status
{
        LABEL           "Density Quality";
        HELP            [PI_MASS_FLOW_Status_Quality_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_density_units                               /* index 26 */
{
        LABEL           [PI_trans_FlowCM_DENSITY_UNITS_label];
        HELP            [PI_trans_FlowCM_DENSITY_UNITS_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   1103;
                OVAL_DENSITY_UNITS
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_density_lo_limit                            /* index 27 */
{
        LABEL           "Density Lower Value Min";
        HELP            [PI_LOWER_SENSOR_LIMIT_help];

        CLASS CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   0.0;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_density_hi_limit                            /* index 28 */
{
        LABEL           "Density Upper Value Max";
        HELP            [PI_UPPER_SENSOR_LIMIT_help];

        CLASS CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   5.0;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      trans1_temperature                          /* index 29, DS101 */
{
        LABEL           [PI_TEMPERATURE_label];
        HELP            [PI_trans_FlowCM_TEMPERATURE_help];

        MEMBERS
        {
            VALUE,   trans1_temperature_value ;
            STATUS,  trans1_temperature_status ;
        }
}

VARIABLE trans1_temperature_value
{
        LABEL           [PI_TEMPERATURE_Value_label];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

VARIABLE trans1_temperature_status
{
        LABEL           "Temperature Quality";
        HELP            [PI_PRIMARY_VALUE_Status_Quality_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_temperature_units                           /* index 30 */
{
        LABEL           [PI_trans_FlowCM_TEMPERATURE_UNITS_label];
        HELP            [PI_trans_FlowCM_TEMPERATURE_UNITS_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   1000;
                OVAL_TEMPERATURE_UNIT
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_temperature_lo_limit                        /* index 31 */
{
        LABEL           "Temperature Lower Value Min";
        HELP            [PI_LOWER_SENSOR_LIMIT_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   73.2;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_temperature_hi_limit                        /* index 32 */
{
        LABEL           "Temperature Upper Value Max";
        HELP            [PI_UPPER_SENSOR_LIMIT_help];

        CLASS           CONTAINED;
        TYPE            FLOAT
        {
            DEFAULT_VALUE   473.2;
            MIN_VALUE       -9999999.0 ;
            MAX_VALUE        9999999.0 ;
        }
        HANDLING        READ & WRITE;
}



/*---------------------------------------------------------------------*/
/*---------------------------------------------------------------------*/
VARIABLE trans1_model                                       /* index 53 */
{
        LABEL           "model";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   130;
                {130, "ULTRAmassMKII"}
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_tag                                         /* index 54 */
{
        LABEL           "tag";
        CLASS           CONTAINED;
        TYPE            ASCII (8)
        {
                DEFAULT_VALUE   "        ";
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_date                                        /* index 55 */
{
        LABEL           "date";
        CLASS           CONTAINED;
        TYPE            ASCII (8)
        {
                DEFAULT_VALUE   "00,00,00";
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sensor_dev_id                               /* index 56 */
{
        LABEL           "sensor dev id";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (4)
        {
                DEFAULT_VALUE   0;
                MIN_VALUE       0 ;
                MAX_VALUE       16777215 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_final_asmbly_num                            /* index 57 */
{
        LABEL           "final asmbly num";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (4)
        {
                DEFAULT_VALUE   0;
                MIN_VALUE       0 ;
                MAX_VALUE       16777215 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sensor_s_n                                  /* index 58 */
{
        LABEL           "sensor s n";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (4)
        {
                DEFAULT_VALUE   0;
                MIN_VALUE       0 ;
                MAX_VALUE       16777215 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sensor_model                                /* index 59 */
{
        LABEL           "sensor model";
        CLASS           CONTAINED;
        TYPE            ASCII (8)
        {
                DEFAULT_VALUE   "        ";
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_flange_rating                               /* index 60 */
{
        LABEL           "flange rating";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   7;
                {7, "JIS 10K"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sensor_material                             /* index 61 */
{
        LABEL           "sensor material";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   19;
                {19, "SUS-316L"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_flow_damp                                   /* index 62 */
{
        LABEL           "flow damp";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.8;
                MIN_VALUE       0.0 ;
                MAX_VALUE       200.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_vol_flow_coef                               /* index 63 */
{
        LABEL           "vol flow coef";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   1.0;
                MIN_VALUE       -999999.0 ;
                MAX_VALUE       999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_dens_damp                                   /* index 64 */
{
        LABEL           "dens damp";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   4.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       200.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_temp_damp                                   /* index 65 */
{
        LABEL           "temp damp";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   4.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       200.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_1_assign                              /* index 66 */
{
        LABEL           "pulse 1 assign";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                {0, "Mass Flow" },
                {4, "Volume Flow" }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_1_freq_factor                         /* index 67 */
{
        LABEL           "pulse 1 freq factor";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   1000.0;
                MIN_VALUE       0.1 ;
                MAX_VALUE       10000.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_1_rate_factor                         /* index 68 */
{
        LABEL           "pulse 1 rate factor";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   3.0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_1_lowcut                              /* index 69 */
{
        LABEL           "pulse 1 lowcut";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       10.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_totalizer_control_1                         /* index 70 */
{
        LABEL           "totalizer control 1";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                {0, "No function"},
                {1, "Start"},
                {2, "Stop"},
                {4, "Reset"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_2_assign                              /* index 71 */
{
        LABEL           "pulse 2 assign";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                {0, "Mass Flow" },
                {4, "Volume Flow" }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_2_freq_factor                         /* index 72 */
{
        LABEL           "pulse 2 freq factor";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   1000.0;
                MIN_VALUE       0.1 ;
                MAX_VALUE       10000.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_2_rate_factor                         /* index 73 */
{
        LABEL           "pulse 2 rate factor";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   3.0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_pulse_2_lowcut                              /* index 74 */
{
        LABEL           "pulse 2 lowcut";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       10.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_totalizer_control_2                         /* index 75 */
{
        LABEL           "totalizer control 2";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                {0, "No function"},
                {1, "Start"},
                {2, "Stop"},
                {4, "Reset"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_f_total_1                                   /* index 76 */
{
        LABEL           "f total 1";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_r_total_1                                   /* index 77 */
{
        LABEL           "r total 1";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_diff_total_1                                /* index 78 */
{
        LABEL           "diff total 1";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_f_total_2                                   /* index 79 */
{
        LABEL           "f total 2";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_r_total_2                                   /* index 80 */
{
        LABEL           "r total 2";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_diff_total_2                                /* index 81 */
{
        LABEL           "diff total 2";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_slug_high_limit                             /* index 82 */
{
        LABEL           "slug high limit";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   10.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       10.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_slug_low_limit                              /* index 83 */
{
        LABEL           "slug low limit";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       10.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_slug_duration                               /* index 84 */
{
        LABEL           "slug duration";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       60.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_dens_compensation                           /* index 85 */
{
        LABEL           "dens compensation";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER(1)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_standard_temp                               /* index 86 */
{
        LABEL           "standard temp";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   293.2;
                MIN_VALUE       -999.99 ;
                MAX_VALUE       999.99 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_expansion_coef                              /* index 87 */
{
        LABEL           "expansion coef";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.00024;
                MIN_VALUE       -999999.0 ;
                MAX_VALUE       999999.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_settled_density                             /* index 88 */
{
        LABEL           "settled density";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER(1)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_density_value                               /* index 89 */
{
        LABEL           "density value";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   1.0;
                MIN_VALUE       0.0 ;
                MAX_VALUE       5.0 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sensor_type                                 /* index 90 */
{
        LABEL           "sensor type";
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                {0,  "CA"},
                {16, "CB"},
                {32, "CS"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sk20                                        /* index 91 */
{
        LABEL           "sk20";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   56.05967;
                MIN_VALUE       0.0 ;
                MAX_VALUE       999.999 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_skm                                         /* index 92 */
{
        LABEL           "skm";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   1.0;
                MIN_VALUE       -9.99999 ;
                MAX_VALUE       9.99999 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_skt                                         /* index 93 */
{
        LABEL           "skt";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.000444;
                MIN_VALUE       -9.99 ;
                MAX_VALUE       9.99 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_flow_cal_temp                               /* index 94 */
{
        LABEL           "flow cal temp";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   293.2;
                MIN_VALUE       -220.0 ;
                MAX_VALUE       493.2 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_flow_cal_freq                               /* index 95 */
{
        LABEL           "flow cal freq";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   150.0;
                MIN_VALUE       1.0 ;
                MAX_VALUE       999.999 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_fkt                                         /* index 96 */
{
        LABEL           "fkt";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
                MIN_VALUE       -9.99 ;
                MAX_VALUE       9.99 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_dens_wat                                    /* index 97 */
{
        LABEL           "dens wat";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.9973;
                MIN_VALUE       0.0 ;
                MAX_VALUE       9.99999 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_dens_cal_temp                               /* index 98 */
{
        LABEL           "dens cal temp";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   293.2;
                MIN_VALUE       -220.0 ;
                MAX_VALUE       493.2 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_dens_cal_freq                               /* index 99 */
{
        LABEL           "dens cal freq";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   150.0;
                MIN_VALUE       1.0 ;
                MAX_VALUE       999.9 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_l_p_o                                       /* index 100 */
{
        LABEL           "l p o";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_r_p_o                                       /* index 101 */
{
        LABEL           "r p o";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_drive_freq                                  /* index 102 */
{
        LABEL           "drive freq";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_drive_output                                /* index 103 */
{
        LABEL           "drive output";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_phase_diff                                  /* index 104 */
{
        LABEL           "phase diff";
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_sensor_status                               /* index 105 */
{
        LABEL           "sensor status";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_self_diagnosis                              /* index 106 */
{
        LABEL           "self diagnosis";
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE   0;
                MIN_VALUE       0 ;
                MAX_VALUE       4 ;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE trans1_self_diagnosis_status_entry                 /* index 107 */
{
        LABEL           "self diagnosis_status_entry";
        CLASS           CONTAINED;
        TYPE            ASCII (10);//OCTET (10);
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/



/*---------------------------------------------------------------------*/
/*    Transducer Block COMMAND                                         */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-8)                                         */
/*---------------------------------------------------------------------*/
COMMAND read_trans1_blk
{
        BLOCK transducer_block_1;
        INDEX 0;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_blk_reserve,
                        trans1_blk_object,
                        trans1_blk_parent_class,
                        trans1_blk_class,
                        trans1_blk_object_dev_rev,
                        trans1_blk_object_dev_rev_comp,
                        trans1_blk_dd_rev,
                        trans1_blk_profile,
                        trans1_blk_profile_rev,
                        trans1_blk_execution_time,
                        trans1_blk_num_parameters,
                        trans1_blk_index_view_1,
                        trans1_blk_num_view_lists
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_st_rev
{
        BLOCK transducer_block_1;
        INDEX 1;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_st_rev
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_tag_desc
{
        BLOCK transducer_block_1;
        INDEX 2;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_tag_desc
                }
        }
}

COMMAND write_trans1_tag_desc
{
        BLOCK transducer_block_1;
        INDEX 2;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_tag_desc
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_strategy
{
        BLOCK transducer_block_1;
        INDEX 3;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_strategy
                }
        }
}

COMMAND write_trans1_strategy
{
        BLOCK transducer_block_1;
        INDEX 3;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_strategy
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_alert_key
{
        BLOCK transducer_block_1;
        INDEX 4;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_alert_key
                }
        }
}

COMMAND write_trans1_alert_key
{
        BLOCK transducer_block_1;
        INDEX 4;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_alert_key
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_target_mode
{
        BLOCK transducer_block_1;
        INDEX 5;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_target_mode
                }
        }
}

COMMAND write_trans1_target_mode
{
        BLOCK transducer_block_1;
        INDEX 5;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_target_mode
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_mode
{
        BLOCK transducer_block_1;
        INDEX 6;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                         trans1_actual_mode,
                         trans1_permitted_mode,
                         trans1_normal_mode
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_alarm
{
        BLOCK transducer_block_1;
        INDEX 7;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_current_state_alarm_sum,
                        trans1_unacknowledged_state_alarm_sum,
                        trans1_unreported_state_alarm_sum,
                        trans1_disabled_state_alarm_sum
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_trans1_calibr_factor
{
        BLOCK transducer_block_1;
        INDEX 8;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_calibr_factor
                }
        }
}
COMMAND write_trans1_calibr_factor
{
        BLOCK transducer_block_1;
        INDEX 8;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_calibr_factor
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_low_flow_cutoff
{
        BLOCK transducer_block_1;
        INDEX 9;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_low_flow_cutoff
                }
        }
}
COMMAND write_trans1_low_flow_cutoff
{
        BLOCK transducer_block_1;
        INDEX 9;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_low_flow_cutoff
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_measurement_mode
{
        BLOCK transducer_block_1;
        INDEX 10;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_measurement_mode
                }
        }
}
COMMAND write_trans1_measurement_mode
{
        BLOCK transducer_block_1;
        INDEX 10;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_measurement_mode
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_flow_direction
{
        BLOCK transducer_block_1;
        INDEX 11;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_flow_direction
                }
        }
}
COMMAND write_trans1_flow_direction
{
        BLOCK transducer_block_1;
        INDEX 11;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_flow_direction
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_zero_point
{
        BLOCK transducer_block_1;
        INDEX 12;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_zero_point
                }
        }
}
COMMAND write_trans1_zero_point
{
        BLOCK transducer_block_1;
        INDEX 12;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_zero_point
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_zero_point_adjust
{
        BLOCK transducer_block_1;
        INDEX 13;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_zero_point_adjust
                }
        }
}
COMMAND write_trans1_zero_point_adjust
{
        BLOCK transducer_block_1;
        INDEX 13;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_zero_point_adjust
                }
                REPLY
                {
                }
        }
}



/*---------------------------------------------------------------------*/
COMMAND read_trans1_zero_point_unit
{
        BLOCK transducer_block_1;
        INDEX 14;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_zero_point_unit
                }
        }
}
COMMAND write_trans1_zero_point_unit
{
        BLOCK transducer_block_1;
        INDEX 14;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_zero_point_unit
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_nominal_size
{
        BLOCK transducer_block_1;
        INDEX 15;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_nominal_size
                }
        }
}
COMMAND write_trans1_nominal_size
{
        BLOCK transducer_block_1;
        INDEX 15;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_nominal_size
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_nominal_size_units
{
        BLOCK transducer_block_1;
        INDEX 16;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_nominal_size_units
                }
        }
}
COMMAND write_trans1_nominal_size_units
{
        BLOCK transducer_block_1;
        INDEX 16;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_nominal_size_units
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read__trans1_volume_flow
{
        BLOCK transducer_block_1;
        INDEX 17;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_volume_flow_value,
                        trans1_volume_flow_status
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_volume_flow_units
{
        BLOCK transducer_block_1;
        INDEX 18;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_volume_flow_units
                }
        }
}
COMMAND write_trans1_volume_flow_units
{
        BLOCK transducer_block_1;
        INDEX 18;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_volume_flow_units
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_volume_flow_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 19;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_volume_flow_lo_limit
                }
        }
}
COMMAND write_trans1_volume_flow_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 19;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_volume_flow_lo_limit
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_volume_flow_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 20;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_volume_flow_hi_limit
                }
        }
}
COMMAND write_trans1_volume_flow_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 20;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_volume_flow_hi_limit
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_mass_flow
{
        BLOCK transducer_block_1;
        INDEX 21;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_mass_flow_value,
                        trans1_mass_flow_status
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_mass_flow_units
{
        BLOCK transducer_block_1;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_mass_flow_units
                }
        }
}
COMMAND write_trans1_mass_flow_units
{
        BLOCK transducer_block_1;
        INDEX 22;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_mass_flow_units
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_mass_flow_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 23;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_mass_flow_lo_limit
                }
        }
}
COMMAND write_trans1_mass_flow_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 23;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_mass_flow_lo_limit
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_mass_flow_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 24;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_mass_flow_hi_limit
                }
        }
}
COMMAND write_trans1_mass_flow_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 24;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_mass_flow_hi_limit
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_density
{
        BLOCK transducer_block_1;
        INDEX 25;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pv_density_value,
                        trans1_pv_density_status
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_density_units
{
        BLOCK transducer_block_1;
        INDEX 26;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_density_units
                }
        }
}

COMMAND write_trans1_density_units
{
        BLOCK transducer_block_1;
        INDEX 26;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_density_units
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_density_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 27;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_density_lo_limit
                }
        }
}
COMMAND write_trans1_density_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 27;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_density_lo_limit
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_density_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 28;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_density_hi_limit
                }
        }
}
COMMAND write_trans1_density_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 28;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_density_hi_limit
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_temperature
{
        BLOCK transducer_block_1;
        INDEX 29;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_temperature_value,
                        trans1_temperature_status
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_temperature_units
{
        BLOCK transducer_block_1;
        INDEX 30;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_temperature_units
                }
        }
}
COMMAND write_trans1_temperature_units
{
        BLOCK transducer_block_1;
        INDEX 30;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_temperature_units
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_temperature_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 31;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_temperature_lo_limit
                }
        }
}
COMMAND write_trans1_temperature_lo_limit
{
        BLOCK transducer_block_1;
        INDEX 31;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_temperature_lo_limit
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_temperature_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 32;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_temperature_hi_limit
                }
        }
}
COMMAND write_trans1_temperature_hi_limit
{
        BLOCK transducer_block_1;
        INDEX 32;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_temperature_hi_limit
                }
                REPLY
                {
                }
        }
}


/*---------------------------------------------------------------------*/
COMMAND read_trans1_model
{
        BLOCK transducer_block_1;
        INDEX 53;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_model
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_tag
{
        BLOCK transducer_block_1;
        INDEX 54;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_tag
                }
        }
}

COMMAND write_trans1_tag
{
        BLOCK transducer_block_1;
        INDEX 54;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_tag
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_date
{
        BLOCK transducer_block_1;
        INDEX 55;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_date
                }
        }
}

COMMAND write_trans1_date
{
        BLOCK transducer_block_1;
        INDEX 55;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_date
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sensor_dev_id
{
        BLOCK transducer_block_1;
        INDEX 56;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sensor_dev_id
                }
        }
}

COMMAND write_trans1_sensor_dev_id
{
        BLOCK transducer_block_1;
        INDEX 56;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_sensor_dev_id
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_final_asmbly_num
{
        BLOCK transducer_block_1;
        INDEX 57;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_final_asmbly_num
                }
        }
}

COMMAND write_trans1_final_asmbly_num
{
        BLOCK transducer_block_1;
        INDEX 57;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_final_asmbly_num
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sensor_s_n
{
        BLOCK transducer_block_1;
        INDEX 58;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sensor_s_n
                }
        }
}

COMMAND write_trans1_sensor_s_n
{
        BLOCK transducer_block_1;
        INDEX 58;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_sensor_s_n
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sensor_model
{
        BLOCK transducer_block_1;
        INDEX 59;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sensor_model
                }
        }
}

COMMAND write_trans1_sensor_model
{
        BLOCK transducer_block_1;
        INDEX 59;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_sensor_model
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_flange_rating
{
        BLOCK transducer_block_1;
        INDEX 60;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_flange_rating
                }
        }
}

COMMAND write_trans1_flange_rating
{
        BLOCK transducer_block_1;
        INDEX 60;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_flange_rating
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sensor_material
{
        BLOCK transducer_block_1;
        INDEX 61;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sensor_material
                }
        }
}

COMMAND write_trans1_sensor_material
{
        BLOCK transducer_block_1;
        INDEX 61;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_sensor_material
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_flow_damp
{
        BLOCK transducer_block_1;
        INDEX 62;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_flow_damp
                }
        }
}

COMMAND write_trans1_flow_damp
{
        BLOCK transducer_block_1;
        INDEX 62;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_flow_damp
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_vol_flow_coef
{
        BLOCK transducer_block_1;
        INDEX 63;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_vol_flow_coef
                }
        }
}

COMMAND write_trans1_vol_flow_coef
{
        BLOCK transducer_block_1;
        INDEX 63;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_vol_flow_coef
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_dens_damp
{
        BLOCK transducer_block_1;
        INDEX 64;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_dens_damp
                }
        }
}

COMMAND write_trans1_dens_damp
{
        BLOCK transducer_block_1;
        INDEX 64;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_dens_damp
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_temp_damp
{
        BLOCK transducer_block_1;
        INDEX 65;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_temp_damp
                }
        }
}

COMMAND write_trans1_temp_damp
{
        BLOCK transducer_block_1;
        INDEX 65;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_temp_damp
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_1_assign
{
        BLOCK transducer_block_1;
        INDEX 66;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_1_assign
                }
        }
}

COMMAND write_trans1_pulse_1_assign
{
        BLOCK transducer_block_1;
        INDEX 66;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_1_assign
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_1_freq_factor
{
        BLOCK transducer_block_1;
        INDEX 67;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_1_freq_factor
                }
        }
}

COMMAND write_trans1_pulse_1_freq_factor
{
        BLOCK transducer_block_1;
        INDEX 67;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_1_freq_factor
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_1_rate_factor
{
        BLOCK transducer_block_1;
        INDEX 68;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_1_rate_factor
                }
        }
}

COMMAND write_trans1_pulse_1_rate_factor
{
        BLOCK transducer_block_1;
        INDEX 68;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_1_rate_factor
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_1_lowcut
{
        BLOCK transducer_block_1;
        INDEX 69;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_1_lowcut
                }
        }
}

COMMAND write_trans1_pulse_1_lowcut
{
        BLOCK transducer_block_1;
        INDEX 69;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_1_lowcut
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_totalizer_control_1
{
        BLOCK transducer_block_1;
        INDEX 70;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_totalizer_control_1
                }
        }
}

COMMAND write_trans1_totalizer_control_1
{
        BLOCK transducer_block_1;
        INDEX 70;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_totalizer_control_1
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_2_assign
{
        BLOCK transducer_block_1;
        INDEX 71;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_2_assign
                }
        }
}

COMMAND write_trans1_pulse_2_assign
{
        BLOCK transducer_block_1;
        INDEX 71;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_2_assign
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_2_freq_factor
{
        BLOCK transducer_block_1;
        INDEX 72;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_2_freq_factor
                }
        }
}

COMMAND write_trans1_pulse_2_freq_factor
{
        BLOCK transducer_block_1;
        INDEX 72;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_2_freq_factor
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_2_rate_factor
{
        BLOCK transducer_block_1;
        INDEX 73;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_2_rate_factor
                }
        }
}

COMMAND write_trans1_pulse_2_rate_factor
{
        BLOCK transducer_block_1;
        INDEX 73;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_2_rate_factor
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_pulse_2_lowcut
{
        BLOCK transducer_block_1;
        INDEX 74;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_pulse_2_lowcut
                }
        }
}

COMMAND write_trans1_pulse_2_lowcut
{
        BLOCK transducer_block_1;
        INDEX 74;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_pulse_2_lowcut
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_totalizer_control_2
{
        BLOCK transducer_block_1;
        INDEX 75;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_totalizer_control_2
                }
        }
}

COMMAND write_trans1_totalizer_control_2
{
        BLOCK transducer_block_1;
        INDEX 75;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_totalizer_control_2
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_f_total_1
{
        BLOCK transducer_block_1;
        INDEX 76;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_f_total_1
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_r_total_1
{
        BLOCK transducer_block_1;
        INDEX 77;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_r_total_1
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_diff_total_1
{
        BLOCK transducer_block_1;
        INDEX 78;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_diff_total_1
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_f_total_2
{
        BLOCK transducer_block_1;
        INDEX 79;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_f_total_2
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_r_total_2
{
        BLOCK transducer_block_1;
        INDEX 80;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_r_total_2
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_diff_total_2
{
        BLOCK transducer_block_1;
        INDEX 81;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_diff_total_2
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_slug_high_limit
{
        BLOCK transducer_block_1;
        INDEX 82;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_slug_high_limit
                }
        }
}

COMMAND write_trans1_slug_high_limit
{
        BLOCK transducer_block_1;
        INDEX 82;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_slug_high_limit
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_slug_low_limit
{
        BLOCK transducer_block_1;
        INDEX 83;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_slug_low_limit
                }
        }
}

COMMAND write_trans1_slug_low_limit
{
        BLOCK transducer_block_1;
        INDEX 83;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_slug_low_limit
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_slug_duration
{
        BLOCK transducer_block_1;
        INDEX 84;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_slug_duration
                }
        }
}

COMMAND write_trans1_slug_duration
{
        BLOCK transducer_block_1;
        INDEX 84;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_slug_duration
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_dens_compensation
{
        BLOCK transducer_block_1;
        INDEX 85;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_dens_compensation
                }
        }
}

COMMAND write_trans1_dens_compensation
{
        BLOCK transducer_block_1;
        INDEX 85;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_dens_compensation
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_standard_temp
{
        BLOCK transducer_block_1;
        INDEX 86;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_standard_temp
                }
        }
}

COMMAND write_trans1_standard_temp
{
        BLOCK transducer_block_1;
        INDEX 86;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_standard_temp
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_expansion_coef
{
        BLOCK transducer_block_1;
        INDEX 87;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_expansion_coef
                }
        }
}

COMMAND write_trans1_expansion_coef
{
        BLOCK transducer_block_1;
        INDEX 87;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_expansion_coef
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_settled_density
{
        BLOCK transducer_block_1;
        INDEX 88;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_settled_density
                }
        }
}

COMMAND write_trans1_settled_density
{
        BLOCK transducer_block_1;
        INDEX 88;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_settled_density
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_density_value
{
        BLOCK transducer_block_1;
        INDEX 89;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_density_value
                }
        }
}

COMMAND write_trans1_density_value
{
        BLOCK transducer_block_1;
        INDEX 89;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_density_value
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sensor_type
{
        BLOCK transducer_block_1;
        INDEX 90;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sensor_type
                }
        }
}

COMMAND write_trans1_sensor_type
{
        BLOCK transducer_block_1;
        INDEX 90;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_sensor_type
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sk20
{
        BLOCK transducer_block_1;
        INDEX 91;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sk20
                }
        }
}

COMMAND write_trans1_sk20
{
        BLOCK transducer_block_1;
        INDEX 91;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_sk20
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_skm
{
        BLOCK transducer_block_1;
        INDEX 92;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_skm
                }
        }
}

COMMAND write_trans1_skm
{
        BLOCK transducer_block_1;
        INDEX 92;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_skm
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_skt
{
        BLOCK transducer_block_1;
        INDEX 93;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_skt
                }
        }
}

COMMAND write_trans1_skt
{
        BLOCK transducer_block_1;
        INDEX 93;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_skt
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_flow_cal_temp
{
        BLOCK transducer_block_1;
        INDEX 94;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_flow_cal_temp
                }
        }
}

COMMAND write_trans1_flow_cal_temp
{
        BLOCK transducer_block_1;
        INDEX 94;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_flow_cal_temp
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_flow_cal_freq
{
        BLOCK transducer_block_1;
        INDEX 95;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_flow_cal_freq
                }
        }
}

COMMAND write_trans1_flow_cal_freq
{
        BLOCK transducer_block_1;
        INDEX 95;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_flow_cal_freq
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_fkt
{
        BLOCK transducer_block_1;
        INDEX 96;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_fkt
                }
        }
}

COMMAND write_trans1_fkt
{
        BLOCK transducer_block_1;
        INDEX 96;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_fkt
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_dens_wat
{
        BLOCK transducer_block_1;
        INDEX 97;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_dens_wat
                }
        }
}

COMMAND write_trans1_dens_wat
{
        BLOCK transducer_block_1;
        INDEX 97;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_dens_wat
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_dens_cal_temp
{
        BLOCK transducer_block_1;
        INDEX 98;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_dens_cal_temp
                }
        }
}

COMMAND write_trans1_dens_cal_temp
{
        BLOCK transducer_block_1;
        INDEX 98;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_dens_cal_temp
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_dens_cal_freq
{
        BLOCK transducer_block_1;
        INDEX 99;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_dens_cal_freq
                }
        }
}

COMMAND write_trans1_dens_cal_freq
{
        BLOCK transducer_block_1;
        INDEX 99;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_dens_cal_freq
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_l_p_o
{
        BLOCK transducer_block_1;
        INDEX 100;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_l_p_o
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_r_p_o
{
        BLOCK transducer_block_1;
        INDEX 101;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_r_p_o
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_drive_freq
{
        BLOCK transducer_block_1;
        INDEX 102;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_drive_freq
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_drive_output
{
        BLOCK transducer_block_1;
        INDEX 103;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_drive_output
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_phase_diff
{
        BLOCK transducer_block_1;
        INDEX 104;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_phase_diff
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_sensor_status
{
        BLOCK transducer_block_1;
        INDEX 105;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_sensor_status
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_self_diagnosis
{
        BLOCK transducer_block_1;
        INDEX 106;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_self_diagnosis
                }
        }
}

COMMAND write_trans1_self_diagnosis
{
        BLOCK transducer_block_1;
        INDEX 106;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        trans1_self_diagnosis
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_trans1_self_diagnosis_status
{
        BLOCK transducer_block_1;
        INDEX 107;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        trans1_self_diagnosis_status_entry
                }
        }
}

/*---------------------------------------------------------------------*/

