
/*****************************************************************************
*                                                                            *
*                     SOFTING Industrial Automation GmbH                     *
*                          Richard-Reitzner-Allee 6                          *
*                                D-85540 Haar                                *
*                        Phone: ++49-89-4 56 56-0                            *
*                          Fax: ++49-89-4 56 56-3 99                         *
*                                                                            *
*                            SOFTING CONFIDENTIAL                            *
*                                                                            *
*                     Copyright (C) SOFTING IA GmbH 2013                     *
*                             All Rights Reserved                            *
*                                                                            *
* NOTICE: All information contained herein is, and remains the property of   *
*   SOFTING Industrial Automation GmbH and its suppliers, if any. The intel- *
*   lectual and technical concepts contained herein are proprietary to       *
*   SOFTING Industrial Automation GmbH and its suppliers and may be covered  *
*   by German and Foreign Patents, patents in process, and are protected by  *
*   trade secret or copyright law. Dissemination of this information or      *
*   reproduction of this material is strictly forbidden unless prior         *
*   written permission is obtained from SOFTING Industrial Automation GmbH.  *
*****************************************************************************/


BLOCK physical_block
{
        TYPE    PHYSICAL;
        NUMBER  1;
}

/*---------------------------------------------------------------------*/
/*    Physical Block VARIABLE                                          */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-7)          (See PAprofile.pdf-3.3)        */
/*---------------------------------------------------------------------*/
COLLECTION      phys_blk
{
        LABEL           [PI_BLOCK_OBJECT_label];
        HELP            [PI_BLOCK_OBJECT_help];

    MEMBERS
    {
        RESERVE,                       phys_blk_reserve;
        OBJECT,                        phys_blk_object;
        PARENT_CLASS,                  phys_blk_parent_class;
        BLK_CLASS,                     phys_blk_class;
        DEV_REV,                       phys_blk_object_dev_rev;
        DEV_REV_COMP,                  phys_blk_object_dev_rev_comp;
        DD_REV,                        phys_blk_dd_rev;
        PROFILE,                       phys_blk_profile;
        PROFILE_REV,                   phys_blk_profile_rev;
        EXECUTION_TIME,                phys_blk_execution_time;
        NUM_PARAMETERS,                phys_blk_num_parameters;
        INDEX_VIEW_1,                  phys_blk_index_view_1;
        NUM_VIEW_LISTS,                phys_blk_num_view_lists;
    }
}

VARIABLE phys_blk_reserve               /* index 0, DS-32, 12 parameter, 20 byte */
{
        LABEL           [PI_BLOCK_OBJECT_Reserved_label];
        HELP            [PI_BLOCK_OBJECT_Reserved_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1);
        HANDLING        READ;
}

VARIABLE phys_blk_object
{
        LABEL           [PI_BLOCK_OBJECT_Block_Object_label];
        HELP            [PI_BLOCK_OBJECT_Block_Object_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   1;
                { 1, [PI_BLOCK_OBJECT_Block_Object_enum_1] },
                { 2, [PI_BLOCK_OBJECT_Block_Object_enum_2] },
                { 3, [PI_BLOCK_OBJECT_Block_Object_enum_3] }
        }
        HANDLING        READ;
}

VARIABLE phys_blk_parent_class
{
        LABEL           [PI_BLOCK_OBJECT_Parent_Class_label];
        HELP            [PI_phys_BLOCK_OBJECT_Parent_Class_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
                DEFAULT_VALUE   1;
                { 1, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_1] },
                { 2, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_2] },
                { 3, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_3] },
                { 4, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_4] },
                { 5, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_5] },
                { 6, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_6] },
                { 127, [PI_phys_BLOCK_OBJECT_Parent_Class_enum_127] }
        }
        HANDLING        READ;
}

VARIABLE phys_blk_class
{
        LABEL           [PI_BLOCK_OBJECT_Class_label];
        HELP            [PI_phys_BLOCK_OBJECT_Class_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
                DEFAULT_VALUE   250;
                { 250, [PI_not_used] }
        }
        HANDLING        READ;
}

VARIABLE phys_blk_object_dev_rev
{
       LABEL            [PI_BLOCK_OBJECT_Dev_Rev_label];
       HELP             [PI_BLOCK_OBJECT_Dev_Rev_help];

       CLASS            CONTAINED;
       TYPE             UNSIGNED_INTEGER(2)
       {
                DEFAULT_VALUE 1;
       }
       HANDLING         READ;
}

VARIABLE phys_blk_object_dev_rev_comp
{
      LABEL             [PI_BLOCK_OBJECT_Dev_Rev_Comp_label];
      HELP              [PI_BLOCK_OBJECT_Dev_Rev_Comp_help];

      CLASS             CONTAINED;
      TYPE              UNSIGNED_INTEGER(2)
      {
                DEFAULT_VALUE 1;
      }
      HANDLING          READ;
}


VARIABLE phys_blk_dd_rev
{
        LABEL           [PI_BLOCK_OBJECT_DD_Revision_label];
        HELP            [PI_BLOCK_OBJECT_DD_Revision_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER(2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}

VARIABLE phys_blk_profile
{
        LABEL           [PI_BLOCK_OBJECT_Profile_label];
        HELP            [PI_BLOCK_OBJECT_Profile_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE 0x4002;
                { 0x4001, [PI_BLOCK_OBJECT_Profile_enum_0x4001] },
                { 0x4002, [PI_BLOCK_OBJECT_Profile_enum_0x4002] },
                { 0x4081, [PI_BLOCK_OBJECT_Profile_enum_0x4081] },
                { 0x4082, [PI_BLOCK_OBJECT_Profile_enum_0x4082] }
        }
        HANDLING        READ;
}

VARIABLE phys_blk_profile_rev
{
        LABEL           [PI_BLOCK_OBJECT_Profile_Revision_label];
        HELP            [PI_BLOCK_OBJECT_Profile_Revision_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE 0x302;
                { 0x0200, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0200] },
                { 0x0300, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0300] },
                { 0x0301, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0301] },
                { 0x0302, [PI_BLOCK_OBJECT_Profile_Revision_enum_0x0302] }
        }
        HANDLING        READ;
}

VARIABLE phys_blk_execution_time
{
        LABEL           [PI_BLOCK_OBJECT_Execution_Time_label];
        HELP            [PI_BLOCK_OBJECT_Execution_Time_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER(1);
        HANDLING        READ;
}

VARIABLE phys_blk_num_parameters
{
        LABEL           [PI_BLOCK_OBJECT_Number_of_Parameters_label];
        HELP            [PI_BLOCK_OBJECT_Number_of_Parameters_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2);
        HANDLING        READ;
}

VARIABLE phys_blk_index_view_1
{
        LABEL           [PI_BLOCK_OBJECT_Address_of_VIEW_1_Slot_label];
        HELP            [PI_BLOCK_OBJECT_Address_of_VIEW_1_Slot_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2);
        HANDLING        READ;
}

VARIABLE phys_blk_num_view_lists
{
        LABEL           [PI_BLOCK_OBJECT_Number_of_Views_label];
        HELP            [PI_BLOCK_OBJECT_Number_of_Views_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1);
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE phys_st_rev                            /* index 1 */
{
        LABEL           [PI_ST_REV_label];
        HELP            [PI_ST_REV_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_tag_desc                          /* index 2 */
{
        LABEL           [PI_TAG_DESC_label];
        HELP            [PI_TAG_DESC_help];

        CLASS           CONTAINED;
        TYPE            VISIBLE(32)
        {
                DEFAULT_VALUE  " ";
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_strategy                          /* index 3 */
{
        LABEL           [PI_STRATEGY_label];
        HELP            [PI_STRATEGY_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_alert_key                         /* index 4 */
{
        LABEL           [PI_ALERT_KEY_label];
        HELP            [PI_ALERT_KEY_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_target_mode                       /* index 5 */
{
        LABEL           [PI_TARGET_MODE_label];
        HELP            [PI_TARGET_MODE_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
                { 0x08, [PI_mode_AUTO] },
                { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
COLLECTION      phys_mode_blk                   /* index 6 DS-37 */
{
        LABEL           [PI_MODE_BLK_label];
        HELP            [PI_MODE_BLK_help];

    MEMBERS
    {
        ACTUAL,       phys_actual_mode ;
        PERMITTED,    phys_permitted_mode ;
        NORMAL,       phys_normal_mode ;
    }
}

VARIABLE phys_actual_mode
{
        LABEL           [PI_MODE_BLK_Actual_label];
        HELP            [PI_MODE_BLK_Actual_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
                { 0x08, [PI_mode_AUTO] },
                { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE phys_permitted_mode
{
        LABEL           [PI_MODE_BLK_Permitted_label];
        HELP            [PI_MODE_BLK_Permitted_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (1)
        {
                DEFAULT_VALUE 0x88;
                { 0x01, [PI_mode_ROUT] },
                { 0x02, [PI_mode_RCAS] },
                { 0x04, [PI_mode_CAS] },
                { 0x08, [PI_mode_AUTO] },
                { 0x10, [PI_mode_MAN] },
                { 0x20, [PI_mode_LO] },
                { 0x40, [PI_mode_IMAN] },
                { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE phys_normal_mode
{
        LABEL           [PI_MODE_BLK_Normal_label];
        HELP            [PI_MODE_BLK_Normal_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
                { 0x08, [PI_mode_AUTO] },
                { 0x10, [PI_mode_MAN] },
                { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
COLLECTION      phys_alarm_sum                  /* index 7, DS-42, only support ST_REV update event*/
{
        LABEL           [PI_ALARM_SUM_label];
        HELP            [PI_ALARM_SUM_help];

        MEMBERS
        {
            CURRENT,             phys_current_state_alarm_sum ;
            UNACKNOWLEDGED,      phys_unacknowledged_state_alarm_sum ;
            UNREPORTED,          phys_unreported_state_alarm_sum ;
            DISABLED,            phys_disabled_state_alarm_sum ;
        }
}

VARIABLE phys_current_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Current_label];
        HELP            [PI_ALARM_SUM_Current_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

VARIABLE phys_unacknowledged_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Unacknowledged_label];
        HELP            [PI_ALARM_SUM_Unacknowledged_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

VARIABLE phys_unreported_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Unreported_label];
        HELP            [PI_ALARM_SUM_Unreported_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}

VARIABLE phys_disabled_state_alarm_sum
{
        LABEL           [PI_ALARM_SUM_Disabled_label];
        HELP            [PI_ALARM_SUM_Disabled_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
                { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
/*    Physical Parameter (8-25)         (See PAprofile.pdf-3.11)       */
/*---------------------------------------------------------------------*/
VARIABLE phys_software_rev                      /* index 8 */
{
        LABEL           [PI_phys_SOFTWARE_REVISION_label];
        HELP            [PI_phys_SOFTWARE_REVISION_help];

        CLASS           CONTAINED;
        TYPE            ASCII (16)
        {
                DEFAULT_VALUE    "V1.03.0.02      ";
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_hardware_rev                      /* index 9 */
{
        LABEL           [PI_phys_HARDWARE_REVISION_label];
        HELP            [PI_phys_HARDWARE_REVISION_help];

        CLASS           CONTAINED;
        TYPE            ASCII (16)
        {
                DEFAULT_VALUE    "V1.01           ";
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_device_man_id                     /* index 10 */
{
        LABEL           [PI_DEVICE_MAN_ID_label];
        HELP            [PI_DEVICE_MAN_ID_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   100;
                {100,   "Oval"}
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_device_id                         /* index 11 */
{
        LABEL           [PI_phys_DEVICE_ID_label];
        HELP            [PI_phys_DEVICE_ID_help];

        CLASS           CONTAINED;
        TYPE            ASCII (16)
        {
                DEFAULT_VALUE "Oval-Application";
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_device_ser_num                    /* index 12 */
{
        LABEL           [PI_phys_DEVICE_SER_NUM_label];
        HELP            [PI_phys_DEVICE_SER_NUM_help];

        CLASS           CONTAINED;
        TYPE            ASCII (16)
        {
                DEFAULT_VALUE   "FBK V2.00 2_40_0";
        }
        HANDLING        READ;
}

/*----------------------------------------------------------------------------*/
#define DIA_HW_ELECTR        0x01000000 /* 0x00000001 */
#define DIA_HW_MECH          0x02000000 /* 0x00000002 */
#define DIA_TEMP_MOTOR       0x04000000 /* 0x00000004 */
#define DIA_TEMP_ELECTR      0x08000000 /* 0x00000008 */
#define DIA_MEM_CHKSUM       0x10000000 /* 0x00000010 */
#define DIA_MEASUREMENT      0x20000000 /* 0x00000020 */
#define DIA_NOT_INIT         0x40000000 /* 0x00000040 */
#define DIA_INIT_ERR         0x80000000 /* 0x00000080 */
#define DIA_ZERO_ERR         0x00010000 /* 0x00000100 */
#define DIA_SUPPLY           0x00020000 /* 0x00000200 */
#define DIA_CONF_INVAL       0x00040000 /* 0x00000400 */
#define DIA_WARMSTART        0x00080000 /* 0x00000800 */
#define DIA_COLDSTART        0x00100000 /* 0x00001000 */
#define DIA_MAINTENANCE      0x00200000 /* 0x00002000 */
#define DIA_CHARACT          0x00400000 /* 0x00004000 */
#define DIA_IDENT_VIOL       0x00800000 /* 0x00008000 */
#define DIA_DEV_FAILURE      0x00000100
#define DIA_MAINTEN_DEM      0x00000200
#define DIA_FUNCTION_CHECK   0x00000400
#define DIA_INVAL_PROC_COND  0x00000800
#define EXTENSION_AVAILABLE  0x00000080 /* 0x80000000 */

/*-------------------------------------------------------------------------*/
VARIABLE phys_diagnosis                         /* index 13 */
{
        LABEL           [PI_phys_DIAGNOSIS_label];
        HELP            [PI_phys_DIAGNOSIS_help];

        CLASS           CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (4)
        {
              { 0, [PI_phys_DIAGNOSIS_enum_0], [PI_empty] },
              { DIA_HW_ELECTR, [PI_DIAGNOSIS_enum_DIA_HW_ELECTR], [PI_empty] },
              { DIA_HW_MECH, [PI_DIAGNOSIS_enum_DIA_HW_MECH], [PI_empty] },
              { DIA_TEMP_MOTOR, [PI_DIAGNOSIS_enum_DIA_TEMP_MOTOR], [PI_empty] },
              { DIA_TEMP_ELECTR, [PI_DIAGNOSIS_enum_DIA_TEMP_ELECTR], [PI_empty] },
              { DIA_MEM_CHKSUM, [PI_DIAGNOSIS_enum_DIA_MEM_CHKSUM], [PI_empty] },
              { DIA_MEASUREMENT, [PI_DIAGNOSIS_enum_DIA_MEASUREMENT], [PI_empty] },
              { DIA_NOT_INIT, [PI_DIAGNOSIS_enum_DIA_NOT_INIT], [PI_empty] },
              { DIA_INIT_ERR, [PI_DIAGNOSIS_enum_DIA_INIT_ERR], [PI_empty] },
              { DIA_ZERO_ERR, [PI_DIAGNOSIS_enum_DIA_ZERO_ERR], [PI_empty] },
              { DIA_SUPPLY, [PI_DIAGNOSIS_enum_DIA_SUPPLY], [PI_empty] },
              { DIA_CONF_INVAL, [PI_DIAGNOSIS_enum_DIA_CONF_INVAL], [PI_empty] },
              { DIA_WARMSTART, [PI_DIAGNOSIS_enum_DIA_WARMSTART], [PI_empty] },
              { DIA_COLDSTART, [PI_DIAGNOSIS_enum_DIA_COLDSTART], [PI_empty] },
              { DIA_MAINTENANCE, [PI_DIAGNOSIS_enum_DIA_MAINTENANCE], [PI_empty] },
              { DIA_CHARACT, [PI_DIAGNOSIS_enum_DIA_CHARACT], [PI_empty] },
              { DIA_IDENT_VIOL, [PI_DIAGNOSIS_enum_DIA_IDENT_VIOL], [PI_DIAGNOSIS_enum_DIA_IDENT_VIOL_help] },
              { DIA_DEV_FAILURE, [PI_DIAGNOSIS_enum_DIA_DEV_FAILURE], [PI_DIAGNOSIS_enum_DIA_DEV_FAILURE_help] },
              { DIA_MAINTEN_DEM, [PI_DIAGNOSIS_enum_DIA_MAINTEN_DEM], [PI_DIAGNOSIS_enum_DIA_MAINTEN_DEM] },
              { DIA_FUNCTION_CHECK, [PI_DIAGNOSIS_enum_DIA_FUNCTION_CHECK], [PI_DIAGNOSIS_enum_DIA_FUNCTION_CHECK_help] },
              { DIA_INVAL_PROC_COND, [PI_DIAGNOSIS_enum_DIA_INVAL_PROC_COND], [PI_DIAGNOSIS_enum_DIA_INVAL_PROC_COND_help] },
              { EXTENSION_AVAILABLE, [PI_DIAGNOSIS_enum_EXTENSION_AVAILABLE], [PI_empty] }
        }
        HANDLING        READ;
}
/*----------------------------------------------------------------------------*/
VARIABLE phys_diagnosis_mask                    /* index 15 */
{
        LABEL           [PI_phys_DIAGNOSIS_MASK_label];
        HELP            [PI_phys_DIAGNOSIS_MASK_help];

        CLASS           CONTAINED;
        TYPE            BIT_ENUMERATED (4)
        {
                DEFAULT_VALUE 0x00000000;
                { 0, [PI_phys_DIAGNOSIS_enum_0], [PI_empty] },
                { DIA_HW_ELECTR, [PI_DIAGNOSIS_enum_DIA_HW_ELECTR], [PI_empty] },
                { DIA_HW_MECH, [PI_DIAGNOSIS_enum_DIA_HW_MECH], [PI_empty] },
                { DIA_TEMP_MOTOR, [PI_DIAGNOSIS_enum_DIA_TEMP_MOTOR], [PI_empty] },
                { DIA_TEMP_ELECTR, [PI_DIAGNOSIS_enum_DIA_TEMP_ELECTR], [PI_empty] },
                { DIA_MEM_CHKSUM, [PI_DIAGNOSIS_enum_DIA_MEM_CHKSUM], [PI_empty] },
                { DIA_MEASUREMENT, [PI_DIAGNOSIS_enum_DIA_MEASUREMENT], [PI_empty] },
                { DIA_NOT_INIT, [PI_DIAGNOSIS_enum_DIA_NOT_INIT], [PI_empty] },
                { DIA_INIT_ERR, [PI_DIAGNOSIS_enum_DIA_INIT_ERR], [PI_empty] },
                { DIA_ZERO_ERR, [PI_DIAGNOSIS_enum_DIA_ZERO_ERR], [PI_empty] },
                { DIA_SUPPLY, [PI_DIAGNOSIS_enum_DIA_SUPPLY], [PI_empty] },
                { DIA_CONF_INVAL, [PI_DIAGNOSIS_enum_DIA_CONF_INVAL], [PI_empty] },
                { DIA_WARMSTART, [PI_DIAGNOSIS_enum_DIA_WARMSTART], [PI_empty] },
                { DIA_COLDSTART, [PI_DIAGNOSIS_enum_DIA_COLDSTART], [PI_empty] },
                { DIA_MAINTENANCE, [PI_DIAGNOSIS_enum_DIA_MAINTENANCE], [PI_empty] },
                { DIA_CHARACT, [PI_DIAGNOSIS_enum_DIA_CHARACT], [PI_empty] },
                { DIA_IDENT_VIOL, [PI_DIAGNOSIS_enum_DIA_IDENT_VIOL], [PI_DIAGNOSIS_enum_DIA_IDENT_VIOL_help] },
                { DIA_DEV_FAILURE, [PI_DIAGNOSIS_enum_DIA_DEV_FAILURE], [PI_DIAGNOSIS_enum_DIA_DEV_FAILURE_help] },
                { DIA_MAINTEN_DEM, [PI_DIAGNOSIS_enum_DIA_MAINTEN_DEM], [PI_DIAGNOSIS_enum_DIA_MAINTEN_DEM] },
                { DIA_FUNCTION_CHECK, [PI_DIAGNOSIS_enum_DIA_FUNCTION_CHECK], [PI_DIAGNOSIS_enum_DIA_FUNCTION_CHECK_help] },
                { DIA_INVAL_PROC_COND, [PI_DIAGNOSIS_enum_DIA_INVAL_PROC_COND], [PI_DIAGNOSIS_enum_DIA_INVAL_PROC_COND_help] },
                { EXTENSION_AVAILABLE, [PI_DIAGNOSIS_enum_EXTENSION_AVAILABLE], [PI_empty] }
        }
        HANDLING        READ;
}

VARIABLE phys_diagnosis_extension_0_3
{
        LABEL           [PI_phys_DIAGNOSIS_EXTENSION_0_3_label];
        HELP            [PI_phys_DIAGNOSIS_EXTENSION_0_3_help];

        CLASS           CONTAINED;
/* USE BIT_ENUMERATED for your specific diagnosis information !!! */
        TYPE            BIT_ENUMERATED(4)
        {
             DEFAULT_VALUE 0x00000000;

             { 0x00000000, [PI_phys_DIAGNOSIS_enum_0] , [PI_empty] },
             { 0x01000000, "Analog Output 1 Saturated", [PI_empty] },
             { 0x02000000, "Analog Output 2 Saturated", [PI_empty] },
             { 0x04000000, "Pulse Output 1 Saturated ", [PI_empty] },
             { 0x08000000, "Pulse Output 2 Saturated ", [PI_empty] },
             { 0x10000000, "Drive Input Out of Range ", [PI_empty] },
             { 0x20000000, "Scale Over               ", [PI_empty] },
             { 0x40000000, "Temperature Out of Range ", [PI_empty] },
             { 0x80000000, "Density Outside Limits   ", [PI_empty] },
             { 0x00010000, "P.O Sig Error            ", [PI_empty] },
             { 0x00020000, "Temp Connect Error       ", [PI_empty] },
             { 0x00040000, "P.O Connect Error        ", [PI_empty] },
             { 0x00080000, "EEPROM Checksum Error    ", [PI_empty] },
             { 0x00100000, "Data Update Error        ", [PI_empty] },
             { 0x00200000, "Xmtr Interface Failure 0 ", [PI_empty] },
             { 0x00400000, "Xmtr Interface Failure 1 ", [PI_empty] },
             { 0x00800000, "Xmtr Interface Failure 2 ", [PI_empty] },
             { 0x00000100, "Xmtr Interface Failure 3 ", [PI_empty] },
             { 0x00000200, "Xmtr Interface Failure 4 ", [PI_empty] },
             { 0x00000400, "Analog 1 Set Alarm       ", [PI_empty] },
             { 0x00000800, "Analog 2 Set Alarm       ", [PI_empty] },
             { 0x00001000, "H/L Alarm Point Set Alarm", [PI_empty] },
             { 0x00002000, "Auto Zero Failed         ", [PI_empty] },
             { 0x00004000, "Stability Check Failed   ", [PI_empty] },
             { 0x00008000, "Slug Flow                ", [PI_empty] },
             { 0x00000001, "Xmtr Temperature Alarm   ", [PI_empty] },
             { 0x00000002, "Analog Output 1 Fixed    ", [PI_empty] },
             { 0x00000004, "Analog Output 2 Fixed    ", [PI_empty] },
             { 0x00000008, "Pulse Output 1 Fixed     ", [PI_empty] },
             { 0x00000010, "Pulse Output 2 Fixed     ", [PI_empty] },
             { 0x00000020, "Status Output Fixed      ", [PI_empty] },
             { 0x00000040, "0% Sig Lock              ", [PI_empty] },
             { 0x00000080, "Calibration in Progress  ", [PI_empty] }
        }
        HANDLING        READ;
}
VARIABLE phys_diagnosis_extension_4_5
{
        LABEL           [PI_phys_DIAGNOSIS_EXTENSION_4_5_label];
        HELP            [PI_phys_DIAGNOSIS_EXTENSION_4_5_help];

        CLASS           CONTAINED;
        TYPE            BIT_ENUMERATED(2)
        {
             DEFAULT_VALUE 0x0000;

             { 0x0000, [PI_phys_DIAGNOSIS_enum_0]  , [PI_empty] },
             { 0x0100, "Stab Check in Progress    ", [PI_empty] },
             { 0x0200, "H/L Alarm Triggered       ", [PI_empty] },
             { 0x0400, "Key Volume Set in Progress", [PI_empty] },
             { 0x0800, "Self-Diagnosis            ", [PI_empty] },
             { 0x1000, "Installation              ", [PI_empty] },
             { 0x2000, "Maintenance Test          ", [PI_empty] },
             { 0x4000, "Factory Data Operating    ", [PI_empty] },
             { 0x8000, "Xmtr Operating-Time Over  ", [PI_empty] },
             { 0x0001, "Xmtr Warm Up              ", [PI_empty] },
             { 0x0002, "Xmtr Power OK             ", [PI_empty] },
             { 0x0004, "No HART communication     ", [PI_empty] }
        }
        HANDLING        READ;
}
/*ARRAY phys_diagnosis_extension
{
        LABEL           [PI_phys_DIAGNOSIS_EXTENSION_label];
        HELP            [PI_phys_DIAGNOSIS_EXTENSION_help];

        TYPE            phys_diagnosis_extension_entry;
        NUMBER_OF_ELEMENTS 6;
}*/

VARIABLE phys_diagnosis_extension_mask_0_3
{
        LABEL           [PI_phys_DIAGNOSIS_MASK_EXTENSION_0_3_label];
        HELP            [PI_phys_DIAGNOSIS_MASK_EXTENSION_0_3_help];

        CLASS           CONTAINED;
/* USE BIT_ENUMERATED for your specific diagnosis information !!! */
/*      TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE   0;
        }*/
        TYPE            BIT_ENUMERATED(4)
        {
             DEFAULT_VALUE 0x00000000;

             { 0x00000000, [PI_phys_DIAGNOSIS_enum_0] , [PI_empty] },
             { 0x01000000, "Analog Output 1 Saturated", [PI_empty] },
             { 0x02000000, "Analog Output 2 Saturated", [PI_empty] },
             { 0x04000000, "Pulse Output 1 Saturated ", [PI_empty] },
             { 0x08000000, "Pulse Output 2 Saturated ", [PI_empty] },
             { 0x10000000, "Drive Input Out of Range ", [PI_empty] },
             { 0x20000000, "Scale Over               ", [PI_empty] },
             { 0x40000000, "Temperature Out of Range ", [PI_empty] },
             { 0x80000000, "Density Outside Limits   ", [PI_empty] },
             { 0x00010000, "P.O Sig Error            ", [PI_empty] },
             { 0x00020000, "Temp Connect Error       ", [PI_empty] },
             { 0x00040000, "P.O Connect Error        ", [PI_empty] },
             { 0x00080000, "EEPROM Checksum Error    ", [PI_empty] },
             { 0x00100000, "Data Update Error        ", [PI_empty] },
             { 0x00200000, "Xmtr Interface Failure 0 ", [PI_empty] },
             { 0x00400000, "Xmtr Interface Failure 1 ", [PI_empty] },
             { 0x00800000, "Xmtr Interface Failure 2 ", [PI_empty] },
             { 0x00000100, "Xmtr Interface Failure 3 ", [PI_empty] },
             { 0x00000200, "Xmtr Interface Failure 4 ", [PI_empty] },
             { 0x00000400, "Analog 1 Set Alarm       ", [PI_empty] },
             { 0x00000800, "Analog 2 Set Alarm       ", [PI_empty] },
             { 0x00001000, "H/L Alarm Point Set Alarm", [PI_empty] },
             { 0x00002000, "Auto Zero Failed         ", [PI_empty] },
             { 0x00004000, "Stability Check Failed   ", [PI_empty] },
             { 0x00008000, "Slug Flow                ", [PI_empty] },
             { 0x00000001, "Xmtr Temperature Alarm   ", [PI_empty] },
             { 0x00000002, "Analog Output 1 Fixed    ", [PI_empty] },
             { 0x00000004, "Analog Output 2 Fixed    ", [PI_empty] },
             { 0x00000008, "Pulse Output 1 Fixed     ", [PI_empty] },
             { 0x00000010, "Pulse Output 2 Fixed     ", [PI_empty] },
             { 0x00000020, "Status Output Fixed      ", [PI_empty] },
             { 0x00000040, "0% Sig Lock              ", [PI_empty] },
             { 0x00000080, "Calibration in Progress  ", [PI_empty] }
        }
        HANDLING        READ;
}
VARIABLE phys_diagnosis_extension_mask_4_5
{
        LABEL           [PI_phys_DIAGNOSIS_MASK_EXTENSION_4_5_label];
        HELP            [PI_phys_DIAGNOSIS_MASK_EXTENSION_4_5_help];

        CLASS           CONTAINED;
        TYPE            BIT_ENUMERATED(2)
        {
             DEFAULT_VALUE 0x0000;

             { 0x0000, [PI_phys_DIAGNOSIS_enum_0]  , [PI_empty] },
             { 0x0100, "Stab Check in Progress    ", [PI_empty] },
             { 0x0200, "H/L Alarm Triggered       ", [PI_empty] },
             { 0x0400, "Key Volume Set in Progress", [PI_empty] },
             { 0x0800, "Self-Diagnosis            ", [PI_empty] },
             { 0x1000, "Installation              ", [PI_empty] },
             { 0x2000, "Maintenance Test          ", [PI_empty] },
             { 0x4000, "Factory Data Operating    ", [PI_empty] },
             { 0x8000, "Xmtr Operating-Time Over  ", [PI_empty] },
             { 0x0001, "Xmtr Warm Up              ", [PI_empty] },
             { 0x0002, "Xmtr Power OK             ", [PI_empty] },
             { 0x0004, "No HART communication     ", [PI_empty] }
        }
        HANDLING        READ;
}
/*ARRAY phys_diagnosis_extension_mask
{
        LABEL           [PI_phys_DIAGNOSIS_MASK_EXTENSION_label];
        HELP            [PI_phys_DIAGNOSIS_MASK_EXTENSION_help];

        TYPE            phys_diagnosis_extension_mask_entry;
        NUMBER_OF_ELEMENTS 6;
}*/

/*---------------------------------------------------------------------*/
VARIABLE phys_device_certification              /* index 17, optional */
{
        LABEL           [PI_phys_DEVICE_CERTIFICATION_label];
        HELP            [PI_phys_DEVICE_CERTIFICATION_help];

        CLASS           CONTAINED;
        TYPE            ASCII (32)
        {
                DEFAULT_VALUE "                                ";
        }
        HANDLING        READ;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_write_locking                     /* index 18, optional */
{
        LABEL           [PI_WRITE_LOCKING_label];
        HELP            [PI_WRITE_LOCKING_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED(2)
        {
                DEFAULT_VALUE   2457;
                { 2457, [PI_WRITE_LOCKING_enum_2457] },
                { 0,    [PI_WRITE_LOCKING_enum_0] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_factory_reset                     /* index 19, optional */
{
        LABEL           [PI_FACTORY_RESET_label];
        HELP            [PI_phys_FACTORY_RESET_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE 0;
                { 0,    [PI_phys_FACTORY_RESET_enum_0] },
                { 1,    [PI_FACTORY_RESET_label] },
                { 2506, [PI_FACTORY_RESET_enum_2506] },
                { 2712, [PI_FACTORY_RESET_enum_2712] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_descriptor                        /* index 20, optional */
{
        LABEL           [PI_phys_DESCRIPTOR_label];
        HELP            [PI_phys_DESCRIPTOR_help];

        CLASS           CONTAINED;
        TYPE            ASCII (32)
        {
                DEFAULT_VALUE   " ";
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_device_message                    /* index 21, optional */
{
        LABEL           [PI_phys_DEVICE_MESSAGE_label];
        HELP            [PI_phys_DEVICE_MESSAGE_help];

        CLASS           CONTAINED;
        TYPE            ASCII (32)
        {
                DEFAULT_VALUE   " ";
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_device_install_date               /* index 22, optional */
{
        LABEL           [PI_phys_DEVICE_INSTAL_DATE_label];
        HELP            [PI_phys_DEVICE_INSTAL_DATE_help];

        CLASS           CONTAINED;
        TYPE            ASCII (16)
        {
                DEFAULT_VALUE "17.07.2013";
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_local_op_ena                      /* index 23 */
{
        LABEL           [PI_phys_LOCAL_OP_ENA_label];
        HELP            [PI_phys_LOCAL_OP_ENA_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   1;
                { 0,   [PI_disabled] },
                { 1,   [PI_enabled] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE phys_ident_number_select               /* index 24 */
{
        LABEL           [PI_IDENT_NUMBER_SELECTOR_label];
        HELP            [PI_IDENT_NUMBER_SELECTOR_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   1;
                { 0,   [PI_phys_IDENT_NUMBER_SELECTOR_enum_0] },
                { 1,   [PI_IDENT_NUMBER_SELECTOR_enum_1] },
                { 127, [PI_phys_IDENT_NUMBER_SELECTOR_enum_127] }
        }
        HANDLING  READ & WRITE;
}
/*---------------------------------------------------------------------*/
COLLECTION      phys_feature                    /* index 26 */
{
        LABEL           [PI_phys_FEATURE_label];
        HELP            [PI_phys_FEATURE_help];

        MEMBERS
        {
            SUPPORTED,      phys_feature_supported ;
            ENABLED,        phys_feature_enabled ;
        }
}

VARIABLE phys_feature_supported
{
        LABEL           [PI_phys_FEATURE_Supported_label];
        CLASS           CONTAINED;
        TYPE            BIT_ENUMERATED (4)
        {
                DEFAULT_VALUE 0x03000000;
                { 0x01000000, [PI_FEATURE_Supported_enum_0x01], [PI_phys_FEATURE_Supported_enum_0x01_help] },
                { 0x02000000, [PI_FEATURE_Supported_enum_0x02], [PI_phys_FEATURE_Supported_enum_0x02_help] }
        }
        HANDLING        READ;
}

VARIABLE phys_feature_enabled
{
        LABEL           [PI_phys_FEATURE_Enabled_label];
        CLASS           CONTAINED;
        TYPE            BIT_ENUMERATED (4)
        {
                DEFAULT_VALUE 0x03000000;
                { 0x01000000, [PI_FEATURE_Supported_enum_0x01], [PI_phys_FEATURE_Enabled_enum_0x01_help] },
                { 0x02000000, [PI_FEATURE_Supported_enum_0x02], [PI_phys_FEATURE_Enabled_enum_0x02_help] }
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
VARIABLE phys_cond_status_diag                  /* index 27 */
{
        LABEL           [PI_phys_COND_STATUS_DIAG_label];
        HELP            [PI_phys_COND_STATUS_DIAG_help];

        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE 1;
                { 0, [PI_phys_COND_STATUS_DIAG_enum_0] },
                { 1, [PI_phys_COND_STATUS_DIAG_enum_1] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
COLLECTION phys_diag_event_switch
{
    LABEL [PI_phys_DIAG_EVENT_SWITCH_label];
    HELP [PI_phys_DIAG_EVENT_SWITCH_help];
    MEMBERS
    {
        Status_Link_1_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag;
        Status_Link_1_Status, phys_DIAG_EVENT_SWITCH_Status_Link_1_Status;
        Status_Link_2_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag;
        Status_Link_2_Status, phys_DIAG_EVENT_SWITCH_Status_Link_2_Status;
        Status_Link_3_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag;
        Status_Link_3_Status, phys_DIAG_EVENT_SWITCH_Status_Link_3_Status;
        Status_Link_4_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag;
        Status_Link_4_Status, phys_DIAG_EVENT_SWITCH_Status_Link_4_Status;
        Status_Link_5_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag;
        Status_Link_5_Status, phys_DIAG_EVENT_SWITCH_Status_Link_5_Status;
        Status_Link_6_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag;
        Status_Link_6_Status, phys_DIAG_EVENT_SWITCH_Status_Link_6_Status;
        Status_Link_7_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag;
        Status_Link_7_Status, phys_DIAG_EVENT_SWITCH_Status_Link_7_Status;
        Status_Link_8_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag;
        Status_Link_8_Status, phys_DIAG_EVENT_SWITCH_Status_Link_8_Status;
        Status_Link_9_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag;
        Status_Link_9_Status, phys_DIAG_EVENT_SWITCH_Status_Link_9_Status;
        Status_Link_10_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag;
        Status_Link_10_Status, phys_DIAG_EVENT_SWITCH_Status_Link_10_Status;
        Status_Link_11_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag;
        Status_Link_11_Status, phys_DIAG_EVENT_SWITCH_Status_Link_11_Status;
        Status_Link_12_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag;
        Status_Link_12_Status, phys_DIAG_EVENT_SWITCH_Status_Link_12_Status;
        Status_Link_13_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag;
        Status_Link_13_Status, phys_DIAG_EVENT_SWITCH_Status_Link_13_Status;
        Status_Link_14_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag;
        Status_Link_14_Status, phys_DIAG_EVENT_SWITCH_Status_Link_14_Status;
        Status_Link_15_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag;
        Status_Link_15_Status, phys_DIAG_EVENT_SWITCH_Status_Link_15_Status;
        Status_Link_16_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag;
        Status_Link_16_Status, phys_DIAG_EVENT_SWITCH_Status_Link_16_Status;
        Status_Link_17_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag;
        Status_Link_17_Status, phys_DIAG_EVENT_SWITCH_Status_Link_17_Status;
        Status_Link_18_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag;
        Status_Link_18_Status, phys_DIAG_EVENT_SWITCH_Status_Link_18_Status;
        Status_Link_19_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag;
        Status_Link_19_Status, phys_DIAG_EVENT_SWITCH_Status_Link_19_Status;
        Status_Link_20_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag;
        Status_Link_20_Status, phys_DIAG_EVENT_SWITCH_Status_Link_20_Status;
        Status_Link_21_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag;
        Status_Link_21_Status, phys_DIAG_EVENT_SWITCH_Status_Link_21_Status;
        Status_Link_22_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag;
        Status_Link_22_Status, phys_DIAG_EVENT_SWITCH_Status_Link_22_Status;
        Status_Link_23_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag;
        Status_Link_23_Status, phys_DIAG_EVENT_SWITCH_Status_Link_23_Status;
        Status_Link_24_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag;
        Status_Link_24_Status, phys_DIAG_EVENT_SWITCH_Status_Link_24_Status;
        Status_Link_25_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag;
        Status_Link_25_Status, phys_DIAG_EVENT_SWITCH_Status_Link_25_Status;
        Status_Link_26_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag;
        Status_Link_26_Status, phys_DIAG_EVENT_SWITCH_Status_Link_26_Status;
        Status_Link_27_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag;
        Status_Link_27_Status, phys_DIAG_EVENT_SWITCH_Status_Link_27_Status;
        Status_Link_28_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag;
        Status_Link_28_Status, phys_DIAG_EVENT_SWITCH_Status_Link_28_Status;
        Status_Link_29_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag;
        Status_Link_29_Status, phys_DIAG_EVENT_SWITCH_Status_Link_29_Status;
        Status_Link_30_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag;
        Status_Link_30_Status, phys_DIAG_EVENT_SWITCH_Status_Link_30_Status;
        Status_Link_31_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag;
        Status_Link_31_Status, phys_DIAG_EVENT_SWITCH_Status_Link_31_Status;
        Status_Link_32_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag;
        Status_Link_32_Status, phys_DIAG_EVENT_SWITCH_Status_Link_32_Status;
        Status_Link_33_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag;
        Status_Link_33_Status, phys_DIAG_EVENT_SWITCH_Status_Link_33_Status;
        Status_Link_34_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag;
        Status_Link_34_Status, phys_DIAG_EVENT_SWITCH_Status_Link_34_Status;
        Status_Link_35_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag;
        Status_Link_35_Status, phys_DIAG_EVENT_SWITCH_Status_Link_35_Status;
        Status_Link_36_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag;
        Status_Link_36_Status, phys_DIAG_EVENT_SWITCH_Status_Link_36_Status;
        Status_Link_37_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag;
        Status_Link_37_Status, phys_DIAG_EVENT_SWITCH_Status_Link_37_Status;
        Status_Link_38_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag;
        Status_Link_38_Status, phys_DIAG_EVENT_SWITCH_Status_Link_38_Status;
        Status_Link_39_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag;
        Status_Link_39_Status, phys_DIAG_EVENT_SWITCH_Status_Link_39_Status;
        Status_Link_40_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag;
        Status_Link_40_Status, phys_DIAG_EVENT_SWITCH_Status_Link_40_Status;
        Status_Link_41_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag;
        Status_Link_41_Status, phys_DIAG_EVENT_SWITCH_Status_Link_41_Status;
        Status_Link_42_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag;
        Status_Link_42_Status, phys_DIAG_EVENT_SWITCH_Status_Link_42_Status;
        Status_Link_43_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag;
        Status_Link_43_Status, phys_DIAG_EVENT_SWITCH_Status_Link_43_Status;
        Status_Link_44_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag;
        Status_Link_44_Status, phys_DIAG_EVENT_SWITCH_Status_Link_44_Status;
        Status_Link_45_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag;
        Status_Link_45_Status, phys_DIAG_EVENT_SWITCH_Status_Link_45_Status;
        Status_Link_46_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag;
        Status_Link_46_Status, phys_DIAG_EVENT_SWITCH_Status_Link_46_Status;
        Status_Link_47_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag;
        Status_Link_47_Status, phys_DIAG_EVENT_SWITCH_Status_Link_47_Status;
        Status_Link_48_Diag, phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag;
        Status_Link_48_Status, phys_DIAG_EVENT_SWITCH_Status_Link_48_Status;
        Slot, phys_diag_event_switch_slot;
        Index, phys_diag_event_switch_index;
    }
}


VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_label];
    CLASS CONTAINED;
    TYPE ENUMERATED(1)
    {
        { 0, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_enum_0] },
        { 1, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_enum_1] },
        { 2, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_enum_2] },
        { 3, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_enum_3] },
        { 4, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_enum_4] },
        { 5, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag_enum_5] }
    }
}

VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_label];
    CLASS CONTAINED;
    TYPE ENUMERATED(1)
    {
        { 0, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_0] },
        { 1, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_1] },
        { 2, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_2] },
        { 3, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_3] },
        { 4, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_4] },
        { 5, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_5] },
        { 6, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_6] },
        { 7, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_7] },
        { 8, [PI_phys_DIAG_EVENT_SWITCH_Status_Link_1_Status_enum_8] }
    }
}

phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_2_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_2_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_3_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_3_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_4_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_4_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_5_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_5_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_6_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_6_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_7_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_7_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_8_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_8_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_9_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_9_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_10_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_10_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_11_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_11_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_12_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_12_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_13_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_13_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_14_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_14_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_15_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_15_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_16_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_16_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_17_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_17_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_18_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_18_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_19_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_19_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_20_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_20_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_21_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_21_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_22_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_22_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_23_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_23_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_24_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_24_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_25_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_25_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_26_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_26_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_27_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_27_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_28_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_28_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_29_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_29_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_30_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_30_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_31_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_31_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_32_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_32_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_33_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_33_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_34_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_34_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_35_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_35_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_36_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_36_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_37_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_37_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_38_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_38_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_39_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_39_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_40_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_40_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_41_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_41_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_42_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_42_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_43_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_43_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_44_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_44_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_45_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_45_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_46_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_46_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_47_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_47_Status_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag_label];
}

phys_DIAG_EVENT_SWITCH_Status_Link_48_Status LIKE VARIABLE phys_DIAG_EVENT_SWITCH_Status_Link_1_Status
{
    REDEFINE LABEL [PI_phys_DIAG_EVENT_SWITCH_Status_Link_48_Status_label];
}



VARIABLE phys_diag_event_switch_slot
{
        LABEL           [PI_phys_DIAG_EVENT_SWITCH_Slot_label];
        HELP            [PI_phys_DIAG_EVENT_SWITCH_Slot_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE 0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE phys_diag_event_switch_index
{
        LABEL           [PI_phys_DIAG_EVENT_SWITCH_Index_label];
        HELP            [PI_phys_DIAG_EVENT_SWITCH_Index_help];

        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (1)
        {
                DEFAULT_VALUE 0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
/*    Physical Block COMMAND                                           */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-7)          (See PAprofile.pdf-3.3)        */
/*---------------------------------------------------------------------*/
COMMAND read_phys_blk                   /*See PAprofile.pdf-3.7.2*/
{
        BLOCK physical_block;
        INDEX 0;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_blk_reserve,
                        phys_blk_object,
                        phys_blk_parent_class,
                        phys_blk_class,
                        phys_blk_object_dev_rev,
                        phys_blk_object_dev_rev_comp,
                        phys_blk_dd_rev,
                        phys_blk_profile,
                        phys_blk_profile_rev,
                        phys_blk_execution_time,
                        phys_blk_num_parameters,
                        phys_blk_index_view_1,
                        phys_blk_num_view_lists
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_st_rev
{
        BLOCK physical_block;
        INDEX 1;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_st_rev
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_tag_desc
{
        BLOCK physical_block;
        INDEX 2;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_tag_desc
                }
        }
}

COMMAND write_phys_tag_desc
{
        BLOCK physical_block;
        INDEX 2;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_tag_desc
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_strategy
{
        BLOCK physical_block;
        INDEX 3;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_strategy
                }
        }
}

COMMAND write_phys_strategy
{
        BLOCK physical_block;
        INDEX 3;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_strategy
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_alert_key
{
        BLOCK physical_block;
        INDEX 4;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_alert_key
                }
        }
}

COMMAND write_phys_alert_key
{
        BLOCK physical_block;
        INDEX 4;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_alert_key
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_target_mode
{
        BLOCK physical_block;
        INDEX 5;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_target_mode
                }
        }
}

COMMAND write_phys_target_mode
{
        BLOCK physical_block;
        INDEX 5;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_target_mode
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_mode                  /*See PAprofile.pdf-3.7.7*/
{
        BLOCK physical_block;
        INDEX 6;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                         phys_actual_mode,
                         phys_permitted_mode,
                         phys_normal_mode
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_alarm                 /*See PAprofile.pdf-3.7.12*/
{
        BLOCK physical_block;
        INDEX 7;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_current_state_alarm_sum,
                        phys_unacknowledged_state_alarm_sum,
                        phys_unreported_state_alarm_sum,
                        phys_disabled_state_alarm_sum
                }
        }
}
/*---------------------------------------------------------------------*/
/*    Physical Parameter (8-25)         (See PAprofile.pdf-3.11)       */
/*---------------------------------------------------------------------*/
COMMAND read_phys_software_rev
{
        BLOCK physical_block;
        INDEX 8;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_software_rev
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_hardware_rev
{
        BLOCK physical_block;
        INDEX 9;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_hardware_rev
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_device_man_id
{
        BLOCK physical_block;
        INDEX 10;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_device_man_id
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_device_id
{
        BLOCK physical_block;
        INDEX 11;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_device_id
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_device_ser_num
{
        BLOCK physical_block;
        INDEX 12;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_device_ser_num
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_diagnosis
{
        BLOCK physical_block;
        INDEX 13;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_diagnosis
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_diagnosis_extension
{
    BLOCK physical_block;
    INDEX 14;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            phys_diagnosis_extension_0_3,
            phys_diagnosis_extension_4_5
        }
    }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_diagnosis_mask
{
        BLOCK physical_block;
        INDEX 15;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_diagnosis_mask
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_diagnosis_extension_mask
{
    BLOCK physical_block;
    INDEX 16;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            phys_diagnosis_extension_mask_0_3,
            phys_diagnosis_extension_mask_4_5
        }
    }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_device_certification
{
        BLOCK physical_block;
        INDEX 17;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_device_certification
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_write_locking
{
        BLOCK physical_block;
        INDEX 18;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_write_locking
                }
        }
}

COMMAND write_phys_write_locking
{
        BLOCK physical_block;
        INDEX 18;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_write_locking
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_factory_reset
{
        BLOCK physical_block;
        INDEX 19;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_factory_reset
                }
        }
}

COMMAND write_phys_factory_reset
{
        BLOCK physical_block;
        INDEX 19;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_factory_reset
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_descriptor
{
        BLOCK physical_block;
        INDEX 20;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_descriptor
                }
        }
}

COMMAND write_phys_descriptor
{
        BLOCK physical_block;
        INDEX 20;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_descriptor
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_device_message
{
        BLOCK physical_block;
        INDEX 21;
        OPERATION  READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_device_message
                }
        }
}

COMMAND write_phys_device_message
{
        BLOCK physical_block;
        INDEX 21;
        OPERATION  WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_device_message
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_device_install_date
{
        BLOCK physical_block;
        INDEX 22;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_device_install_date
                }
        }
}

COMMAND write_phys_device_install_date
{
        BLOCK physical_block;
        INDEX 22;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_device_install_date
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_local_op_ena
{
        BLOCK physical_block;
        INDEX 23;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_local_op_ena
                }
        }
}

COMMAND write_phys_local_op_ena
{
        BLOCK physical_block;
        INDEX 23;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_local_op_ena
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_ident_number_select
{
        BLOCK physical_block;
        INDEX 24;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_ident_number_select
                }
        }
}

COMMAND write_phys_ident_number_select
{
        BLOCK physical_block;
        INDEX 24;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_ident_number_select
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_feature
{
        BLOCK physical_block;
        INDEX 26;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_feature_supported,
                        phys_feature_enabled
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_phys_cond_status_diag
{
        BLOCK physical_block;
        INDEX 27;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        phys_cond_status_diag
                }
        }
}

COMMAND write_phys_cond_status_diag
{
        BLOCK physical_block;
        INDEX 27;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        phys_cond_status_diag
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/

COMMAND read_phys_diag_event_switch
{
    BLOCK physical_block;
    INDEX 28;
    OPERATION READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_1_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_2_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_3_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_4_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_5_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_6_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_7_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_8_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_9_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_10_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_11_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_12_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_13_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_14_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_15_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_16_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_17_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_18_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_19_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_20_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_21_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_22_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_23_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_24_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_25_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_26_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_27_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_28_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_29_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_30_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_31_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_32_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_33_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_34_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_35_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_36_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_37_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_38_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_39_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_40_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_41_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_42_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_43_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_44_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_45_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_46_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_47_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_48_Status <0x0f>,
            phys_diag_event_switch_slot,
            phys_diag_event_switch_index
        }
    }
}

COMMAND phys_DIAG_EVENT_SWITCH_write
{
    BLOCK physical_block;
    INDEX 28;
    OPERATION WRITE;
    TRANSACTION
    {
        REQUEST
        {
            phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_1_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_2_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_3_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_4_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_5_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_6_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_7_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_8_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_9_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_10_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_11_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_12_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_13_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_14_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_15_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_16_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_17_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_18_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_19_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_20_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_21_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_22_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_23_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_24_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_25_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_26_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_27_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_28_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_29_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_30_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_31_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_32_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_33_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_34_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_35_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_36_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_37_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_38_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_39_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_40_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_41_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_42_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_43_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_44_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_45_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_46_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_47_Status <0x0f>,
            phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag <0xf0>,
            phys_DIAG_EVENT_SWITCH_Status_Link_48_Status <0x0f>,
            phys_diag_event_switch_slot,
            phys_diag_event_switch_index
        }
        REPLY
        {
        }
    }
}
/*---------------------------------------------------------------------*/
