
/*****************************************************************************
*                                                                            *
*                     SOFTING Industrial Automation GmbH                     *
*                          Richard-Reitzner-Allee 6                          *
*                                D-85540 Haar                                *
*                        Phone: ++49-89-4 56 56-0                            *
*                          Fax: ++49-89-4 56 56-3 99                         *
*                                                                            *
*                            SOFTING CONFIDENTIAL                            *
*                                                                            *
*                     Copyright (C) SOFTING IA GmbH 2013                     *
*                             All Rights Reserved                            *
*                                                                            *
* NOTICE: All information contained herein is, and remains the property of   *
*   SOFTING Industrial Automation GmbH and its suppliers, if any. The intel- *
*   lectual and technical concepts contained herein are proprietary to       *
*   SOFTING Industrial Automation GmbH and its suppliers and may be covered  *
*   by German and Foreign Patents, patents in process, and are protected by  *
*   trade secret or copyright law. Dissemination of this information or      *
*   reproduction of this material is strictly forbidden unless prior         *
*   written permission is obtained from SOFTING Industrial Automation GmbH.  *
*****************************************************************************/


BLOCK function_block_4
{
        TYPE    FUNCTION;
        NUMBER  4;
}
/*---------------------------------------------------------------------*/
/*    TOT function Block VARIABLE                                      */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-7)          (See PAprofile.pdf-3.3)        */
/*---------------------------------------------------------------------*/
COLLECTION      func4_TOT_blk
{
        LABEL           [PI_BLOCK_OBJECT_label];
        HELP            [PI_BLOCK_OBJECT_help];
    MEMBERS
    {
        RESERVE,                       func4_TOT_blk_reserve;
        OBJECT,                        func4_TOT_blk_object;
        PARENT_CLASS,                  func4_TOT_blk_parent_class;
        BLK_CLASS,                     func4_TOT_blk_class;
        DEV_REV,                       func4_TOT_blk_object_dev_rev;
        DEV_REV_COMP,                  func4_TOT_blk_object_dev_rev_comp;
        DD_REV,                        func4_TOT_blk_dd_rev;
        PROFILE,                       func4_TOT_blk_profile;
        PROFILE_REV,                   func4_TOT_blk_profile_rev;
        EXECUTION_TIME,                func4_TOT_blk_execution_time;
        NUM_PARAMETERS,                func4_TOT_blk_num_parameters;
        INDEX_VIEW_1,                  func4_TOT_blk_index_view_1;
        NUM_VIEW_LISTS,                func4_TOT_blk_num_view_lists;
    }
}

func4_TOT_blk_reserve    LIKE VARIABLE   phys_blk_reserve
{
}

VARIABLE func4_TOT_blk_object
{
    LABEL [PI_BLOCK_OBJECT_Block_Object_label];
    HELP [PI_BLOCK_OBJECT_Block_Object_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
        DEFAULT_VALUE 2;
        { 1, [PI_BLOCK_OBJECT_Block_Object_enum_1] },
        { 2, [PI_BLOCK_OBJECT_Block_Object_enum_2] },
        { 3, [PI_BLOCK_OBJECT_Block_Object_enum_3] }
        }
        HANDLING        READ;
}

VARIABLE func4_TOT_blk_parent_class
{
    LABEL [PI_BLOCK_OBJECT_Parent_Class_label];
    HELP [PI_BLOCK_OBJECT_Parent_Class_help_1];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
        DEFAULT_VALUE 5;
        { 1, [PI_BLOCK_OBJECT_Parent_Class_enum_1_1] },
        { 2, [PI_BLOCK_OBJECT_Parent_Class_enum_2_1] },
        { 3, [PI_BLOCK_OBJECT_Parent_Class_enum_3_1] },
        { 4, [PI_BLOCK_OBJECT_Parent_Class_enum_4_1] },
        { 5, [PI_BLOCK_OBJECT_Parent_Class_enum_5_1] },
        { 6, [PI_BLOCK_OBJECT_Parent_Class_enum_8] },
        { 7, [PI_BLOCK_OBJECT_Parent_Class_enum_7_1] }
        }
        HANDLING        READ;
}

VARIABLE func4_TOT_blk_class
{
    LABEL [PI_BLOCK_OBJECT_Class_label];
    HELP [PI_BLOCK_OBJECT_Class_help_1];
        CLASS           CONTAINED;
        TYPE            ENUMERATED(1)
        {
        DEFAULT_VALUE 8;
        { 8, [PI_func_TOT_BLOCK_OBJECT_Class_enum_8] }
        }
        HANDLING        READ;
}

VARIABLE func4_TOT_blk_object_dev_rev
{
       LABEL            [PI_BLOCK_OBJECT_Dev_Rev_label];
       HELP             [PI_BLOCK_OBJECT_Dev_Rev_help];

       CLASS            CONTAINED;
       TYPE             UNSIGNED_INTEGER(2)
       {
                DEFAULT_VALUE 1;
       }
       HANDLING         READ;
}

VARIABLE func4_TOT_blk_object_dev_rev_comp
{
      LABEL             [PI_BLOCK_OBJECT_Dev_Rev_Comp_label];
      HELP              [PI_BLOCK_OBJECT_Dev_Rev_Comp_help];

      CLASS             CONTAINED;
      TYPE              UNSIGNED_INTEGER(2)
      {
                DEFAULT_VALUE 1;
      }
      HANDLING          READ;
}

func4_TOT_blk_dd_rev             LIKE VARIABLE   phys_blk_dd_rev
{
}

func4_TOT_blk_profile            LIKE VARIABLE   phys_blk_profile
{
}

func4_TOT_blk_profile_rev        LIKE VARIABLE   phys_blk_profile_rev
{
}

func4_TOT_blk_execution_time     LIKE VARIABLE   phys_blk_execution_time
{
}

func4_TOT_blk_num_parameters     LIKE VARIABLE   phys_blk_num_parameters
{
}

func4_TOT_blk_index_view_1       LIKE VARIABLE   phys_blk_index_view_1
{
}

func4_TOT_blk_num_view_lists     LIKE VARIABLE   phys_blk_num_view_lists
{
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_st_rev
{
    LABEL [PI_ST_REV_label];
    HELP [PI_ST_REV_help];
    CLASS CONTAINED;
    HANDLING READ;
    TYPE UNSIGNED_INTEGER(2)
    {
        DEFAULT_VALUE 0;
    }
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_tag_desc
{
    LABEL [PI_TAG_DESC_label];
    HELP [PI_TAG_DESC_help];
    CLASS CONTAINED;
    TYPE VISIBLE(32)
    {
        DEFAULT_VALUE " ";
    }
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_strategy
{
    LABEL [PI_STRATEGY_label];
    HELP [PI_STRATEGY_help];
    CLASS CONTAINED;
    TYPE UNSIGNED_INTEGER(2)
    {
        DEFAULT_VALUE 0;
    }
}
/*---------------------------------------------------------------------*/
func4_TOT_alert_key              LIKE VARIABLE   phys_alert_key
{
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_target_mode
{
    LABEL [PI_TARGET_MODE_label];
    HELP [PI_TARGET_MODE_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
COLLECTION      func4_TOT_mode_blk
{
        LABEL           [PI_MODE_BLK_label];
        HELP            [PI_MODE_BLK_help];
    MEMBERS
    {
        ACTUAL,       func4_TOT_actual_mode ;
        PERMITTED,    func4_TOT_permitted_mode ;
        NORMAL,       func4_TOT_normal_mode ;
    }
}

VARIABLE func4_TOT_actual_mode
{
    LABEL [PI_MODE_BLK_Actual_label];
    HELP [PI_MODE_BLK_Actual_help];
        CLASS           CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
        { 0x01, [PI_mode_ROUT] },
        { 0x02, [PI_mode_RCAS] },
        { 0x04, [PI_mode_CAS] },
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x20, [PI_mode_LO] },
        { 0x40, [PI_mode_IMAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE func4_TOT_permitted_mode
{
    LABEL [PI_MODE_BLK_Permitted_label];
    HELP [PI_MODE_BLK_Permitted_help];
    CLASS CONTAINED & DYNAMIC;
        TYPE            BIT_ENUMERATED (1)
        {
        DEFAULT_VALUE 0x98;
        { 0x01, [PI_mode_ROUT] },
        { 0x02, [PI_mode_RCAS] },
        { 0x04, [PI_mode_CAS] },
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x20, [PI_mode_LO] },
        { 0x40, [PI_mode_IMAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

VARIABLE func4_TOT_normal_mode
{
    LABEL [PI_MODE_BLK_Normal_label];
    HELP [PI_MODE_BLK_Normal_help];
    CLASS CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0x08;
        { 0x01, [PI_mode_ROUT] },
        { 0x02, [PI_mode_RCAS] },
        { 0x04, [PI_mode_CAS] },
        { 0x08, [PI_mode_AUTO] },
        { 0x10, [PI_mode_MAN] },
        { 0x20, [PI_mode_LO] },
        { 0x40, [PI_mode_IMAN] },
        { 0x80, [PI_mode_OUT_OF_SERVICE] }
        }
        HANDLING        READ;
}

/*---------------------------------------------------------------------*/
COLLECTION      func4_TOT_alarm_sum
{
        LABEL           [PI_ALARM_SUM_label];
        HELP            [PI_ALARM_SUM_help];
    MEMBERS
    {
        CURRENT,             func4_TOT_current_state_alarm_sum ;
        UNACKNOWLEDGED,      func4_TOT_unacknowledged_state_alarm_sum ;
        UNREPORTED,          func4_TOT_unreported_state_alarm_sum ;
        DISABLED,            func4_TOT_disabled_state_alarm_sum ;
    }
}

VARIABLE func4_TOT_current_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Current_label];
    HELP [PI_ALARM_SUM_Current_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

VARIABLE func4_TOT_unacknowledged_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Unacknowledged_label];
    HELP [PI_ALARM_SUM_Unacknowledged_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

VARIABLE func4_TOT_unreported_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Unreported_label];
    HELP [PI_ALARM_SUM_Unreported_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

VARIABLE func4_TOT_disabled_state_alarm_sum
{
    LABEL [PI_ALARM_SUM_Disabled_label];
    HELP [PI_ALARM_SUM_Disabled_help];
    CLASS CONTAINED & DYNAMIC;
    HANDLING READ;
    TYPE BIT_ENUMERATED(2)
    {
        DEFAULT_VALUE 0;
        { 0x0000, [PI_ALARM_SUM_Current_enum_0x0000] },
        { 0x0200, [PI_ALARM_SUM_Current_enum_0x0200] },
        { 0x0400, [PI_ALARM_SUM_Current_enum_0x0400] },
        { 0x0800, [PI_ALARM_SUM_Current_enum_0x0800] },
        { 0x1000, [PI_ALARM_SUM_Current_enum_0x1000] },
        { 0x8000, [PI_ALARM_SUM_Current_enum_0x8000] }
    }
}

/*---------------------------------------------------------------------*/
/*    Function Parameter (8,10-35)                                     */
/*---------------------------------------------------------------------*/
/* Batch Parameter (BATCH) standard for Function Blocks (DS-67)        */
/*---------------------------------------------------------------------*/
COLLECTION      func4_TOT_batch                           /* index 8 */
{
    LABEL [PI_BATCH_label];
    HELP [PI_BATCH_help];
    MEMBERS
    {
        BATCH_ID,            func4_TOT_batch_id ;
        RUP,                 func4_TOT_batch_unit ;
        BATCH_OPERATION,     func4_TOT_batch_operation ;
        PHASE,               func4_TOT_batch_phase ;
    }
}

VARIABLE func4_TOT_batch_id
{
    LABEL [PI_BATCH_Batch_ID_label];
    HELP [PI_BATCH_Batch_ID_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (4)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func4_TOT_batch_unit
{
    LABEL [PI_BATCH_Rup_label];
    HELP [PI_BATCH_Rup_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func4_TOT_batch_operation
{
    LABEL [PI_BATCH_Operation_label];
    HELP [PI_BATCH_Operation_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

VARIABLE func4_TOT_batch_phase
{
    LABEL [PI_BATCH_Phase_label];
    HELP [PI_BATCH_Phase_help];
        CLASS           CONTAINED;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE   0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
COLLECTION      func4_TOT_total                              /* index 10 */
{
    LABEL [PI_func_TOT_TOTAL_label];
    HELP [PI_func_TOT_TOTAL_help];
    MEMBERS
    {
        VALUE,   func4_TOT_total_value ;
        STATUS,  func4_TOT_total_status ;
    }
}
VARIABLE func4_TOT_total_value
{
    LABEL [PI_func_TOT_TOTAL_Value_label];
    CLASS OUTPUT;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING
        IF (func4_TOT_actual_mode == BLOCK_MODE_MAN)     /* define in gen_defs.inc */
        {
                READ & WRITE;
        }
        ELSE
        {
                READ;
        }
}

VARIABLE func4_TOT_total_status
{
    LABEL [PI_PRIMARY_VALUE_Status_Quality_label];
    HELP [PI_PRIMARY_VALUE_Status_Quality_help];
        CLASS           CONTAINED & DYNAMIC;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
                STATUS_LIST_ALL
        }
        HANDLING
                IF (func4_TOT_actual_mode == BLOCK_MODE_MAN)
                {
                        READ & WRITE;
                }
                ELSE
                {
                        READ;
                }
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_unit_tot                                /* index 11 */
{
    LABEL [PI_UNIT_TOT_label];
    HELP [PI_UNIT_TOT_label];
        CLASS           CONTAINED;
    TYPE ENUMERATED(2)
        {
                DEFAULT_VALUE   1038;          /* 1038 */
                OVAL_TOT_UNITS
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_channel                                 /* index 12 */
{
    LABEL [PI_CHANNEL_label];
    HELP [PI_CHANNEL_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (2)
        {
                DEFAULT_VALUE   0x0111;
                {0x0111, "Volume Flow" },
                {0x0115, "Mass Flow"}
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_set_tot                                 /* index 13 */
{
    LABEL [PI_func_TOT_SET_TOT_label];
    HELP [PI_func_TOT_SET_TOT_help];
    CLASS INPUT;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
        { 0, [PI_func_TOT_SET_TOT_enum_0], [PI_func_TOT_SET_TOT_enum_0_help] },
        { 1, [PI_reset], [PI_func_TOT_SET_TOT_enum_1_help] },
        { 2, [PI_SET_TOT_enum_2], [PI_func_TOT_SET_TOT_enum_2_help] }

        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_mode_tot                                /* index 14 */
{
    LABEL [PI_func_TOT_MODE_TOT_label];
    HELP [PI_func_TOT_MODE_TOT_help];
    CLASS INPUT;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
        { 0, [PI_func_TOT_MODE_TOT_enum_0], [PI_func_TOT_MODE_TOT_enum_0_help] },
        { 1, [PI_func_TOT_MODE_TOT_enum_1], [PI_func_TOT_MODE_TOT_enum_1_help] },
        { 2, [PI_func_TOT_MODE_TOT_enum_2], [PI_func_TOT_MODE_TOT_enum_2_help] },
        { 3, [PI_func_TOT_MODE_TOT_enum_3], [PI_func_TOT_MODE_TOT_enum_3_help] }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_fail_tot                                /* index 15 */
{
    LABEL [PI_func_TOT_FAIL_TOT_label];
    HELP [PI_func_TOT_FAIL_TOT_help];
        CLASS           CONTAINED;
        TYPE            ENUMERATED (1)
        {
                DEFAULT_VALUE   0;
        { 0, [PI_func_TOT_FAIL_TOT_enum_0], [PI_func_TOT_FAIL_TOT_enum_0_help] },
        { 1, [PI_func_TOT_FAIL_TOT_enum_1], [PI_func_TOT_FAIL_TOT_enum_1_help] },
        { 2, [PI_func_TOT_FAIL_TOT_enum_2], [PI_func_TOT_FAIL_TOT_enum_2_help] }
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_preset_tot                              /* index 16 */
{
    LABEL [PI_func_TOT_PRESET_TOT_label];
    HELP [PI_func_TOT_PRESET_TOT_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE   0.0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_alarm_hys                             /* index 17 */
{
    LABEL [PI_ALARM_HYS_label];
    HELP [PI_ALARM_HYS_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE  0.5;
                MIN_VALUE 0.0;
        }
        CONSTANT_UNIT    "%";
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_hi_hi_lim                             /* index 18 */
{
    LABEL [PI_HI_HI_LIM_label];
    HELP [PI_HI_HI_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    100.0;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_hi_lim                                /* index 19 */
{
    LABEL [PI_HI_LIM_label];
    HELP [PI_HI_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    99.5;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_lo_lim                                /* index 20 */
{
    LABEL [PI_LO_LIM_label];
    HELP [PI_LO_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    0.5;
        }
        HANDLING        READ & WRITE;
}
/*---------------------------------------------------------------------*/
VARIABLE func4_TOT_lo_lo_lim                             /* index 21 */
{
    LABEL [PI_LO_LO_LIM_label];
    HELP [PI_LO_LO_LIM_help];
        CLASS           CONTAINED;
        TYPE            FLOAT
        {
                DEFAULT_VALUE    0.0;
        }
        HANDLING        READ & WRITE;
}

/*---------------------------------------------------------------------*/
/*    Function Block COMMAND                                           */
/*---------------------------------------------------------------------*/
/*    Standard Parameter (0-8)                                         */
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_blk
{
        BLOCK function_block_4;
        INDEX 0;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_blk_reserve,
                        func4_TOT_blk_object,
                        func4_TOT_blk_parent_class,
                        func4_TOT_blk_class,
                        func4_TOT_blk_object_dev_rev,
                        func4_TOT_blk_object_dev_rev_comp,
                        func4_TOT_blk_dd_rev,
                        func4_TOT_blk_profile,
                        func4_TOT_blk_profile_rev,
                        func4_TOT_blk_execution_time,
                        func4_TOT_blk_num_parameters,
                        func4_TOT_blk_index_view_1,
                        func4_TOT_blk_num_view_lists
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_st_rev
{
        BLOCK function_block_4;
        INDEX 1;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_st_rev
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_tag_desc
{
        BLOCK function_block_4;
        INDEX 2;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_tag_desc
                }
        }
}

COMMAND write_func4_TOT_tag_desc
{
        BLOCK function_block_4;
        INDEX 2;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_tag_desc
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_strategy
{
        BLOCK function_block_4;
        INDEX 3;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_strategy
                }
        }
}

COMMAND write_func4_TOT_strategy
{
        BLOCK function_block_4;
        INDEX 3;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_strategy
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_alert_key
{
        BLOCK function_block_4;
        INDEX 4;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_alert_key
                }
        }
}

COMMAND write_func4_TOT_alert_key
{
        BLOCK function_block_4;
        INDEX 4;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_alert_key
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_target_mode
{
        BLOCK function_block_4;
        INDEX 5;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_target_mode
                }
        }
}

COMMAND write_func4_TOT_target_mode
{
        BLOCK function_block_4;
        INDEX 5;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_target_mode
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_mode
{
        BLOCK function_block_4;
        INDEX 6;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                         func4_TOT_actual_mode,
                         func4_TOT_permitted_mode,
                         func4_TOT_normal_mode
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_alarm
{
        BLOCK function_block_4;
        INDEX 7;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_current_state_alarm_sum,
                        func4_TOT_unacknowledged_state_alarm_sum,
                        func4_TOT_unreported_state_alarm_sum,
                        func4_TOT_disabled_state_alarm_sum
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_batch_information
{
        BLOCK function_block_4;
        INDEX 8;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_batch_id,
                        func4_TOT_batch_unit,
                        func4_TOT_batch_operation,
                        func4_TOT_batch_phase
                }
        }
}

COMMAND write_func4_TOT_batch_information
{
        BLOCK function_block_4;
        INDEX 8;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_batch_id,
                        func4_TOT_batch_unit,
                        func4_TOT_batch_operation,
                        func4_TOT_batch_phase
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
/*    Function Parameter (10-35)                                       */
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_total
{
        BLOCK function_block_4;
        INDEX 10;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_total_value,
                        func4_TOT_total_status
                }
        }
}

COMMAND write_func4_TOT_total
{
        BLOCK function_block_4;
        INDEX 10;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_total_value,
                        func4_TOT_total_status
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_unit_tot
{
        BLOCK function_block_4;
        INDEX 11;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_unit_tot
                }
        }
}

COMMAND write_func4_TOT_unit_tot
{
        BLOCK function_block_4;
        INDEX 11;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_unit_tot
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_channel
{
        BLOCK function_block_4;
        INDEX 12;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_channel
                }
        }
}

COMMAND write_func4_TOT_channel
{
        BLOCK function_block_4;
        INDEX 12;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_channel
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_set_tot
{
        BLOCK function_block_4;
        INDEX 13;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_set_tot
                }
        }
}

COMMAND write_func4_TOT_set_tot
{
        BLOCK function_block_4;
        INDEX 13;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_set_tot
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_mode_tot
{
        BLOCK function_block_4;
        INDEX 14;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_mode_tot
                }
        }
}

COMMAND write_func4_TOT_mode_tot
{
        BLOCK function_block_4;
        INDEX 14;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_mode_tot
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_fail_tot
{
        BLOCK function_block_4;
        INDEX 15;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_fail_tot
                }
        }
}

COMMAND write_func4_TOT_fail_tot
{
        BLOCK function_block_4;
        INDEX 15;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_fail_tot
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_preset_tot
{
        BLOCK function_block_4;
        INDEX 16;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_preset_tot
                }
        }
}

COMMAND write_func4_TOT_preset_tot
{
        BLOCK function_block_4;
        INDEX 16;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_preset_tot
                }
                REPLY
                {
                }
        }
}

/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_alarm_hys
{
        BLOCK function_block_4;
        INDEX 17;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_alarm_hys
                }
        }
}


COMMAND write_func4_TOT_alarm_hys
{
        BLOCK function_block_4;
        INDEX 17;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_alarm_hys
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_hi_hi_lim
{
        BLOCK function_block_4;
        INDEX 18;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_hi_hi_lim
                }
        }
}

COMMAND write_func4_TOT_hi_hi_lim
{
        BLOCK function_block_4;
        INDEX 18;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_hi_hi_lim
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_hi_lim
{
        BLOCK function_block_4;
        INDEX 19;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_hi_lim
                }
        }
}

COMMAND write_func4_TOT_hi_lim
{
        BLOCK function_block_4;
        INDEX 19;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_hi_lim
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_lo_lim
{
        BLOCK function_block_4;
        INDEX 20;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_lo_lim
                }
        }
}

COMMAND write_func4_TOT_lo_lim
{
        BLOCK function_block_4;
        INDEX 20;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_lo_lim
                }
                REPLY
                {
                }
        }
}
/*---------------------------------------------------------------------*/
COMMAND read_func4_TOT_lo_lo_lim
{
        BLOCK function_block_4;
        INDEX 21;
        OPERATION READ;
        TRANSACTION
        {
                REQUEST
                {
                }
                REPLY
                {
                        func4_TOT_lo_lo_lim
                }
        }
}

COMMAND write_func4_TOT_lo_lo_lim
{
        BLOCK function_block_4;
        INDEX 21;
        OPERATION WRITE;
        TRANSACTION
        {
                REQUEST
                {
                        func4_TOT_lo_lo_lim
                }
                REPLY
                {
                }
        }
}


