
/*****************************************************************************
*                                                                            *
*                     SOFTING Industrial Automation GmbH                     *
*                          Richard-Reitzner-Allee 6                          *
*                                D-85540 Haar                                *
*                        Phone: ++49-89-4 56 56-0                            *
*                          Fax: ++49-89-4 56 56-3 99                         *
*                                                                            *
*                            SOFTING CONFIDENTIAL                            *
*                                                                            *
*                     Copyright (C) SOFTING IA GmbH 2013                     *
*                             All Rights Reserved                            *
*                                                                            *
* NOTICE: All information contained herein is, and remains the property of   *
*   SOFTING Industrial Automation GmbH and its suppliers, if any. The intel- *
*   lectual and technical concepts contained herein are proprietary to       *
*   SOFTING Industrial Automation GmbH and its suppliers and may be covered  *
*   by German and Foreign Patents, patents in process, and are protected by  *
*   trade secret or copyright law. Dissemination of this information or      *
*   reproduction of this material is strictly forbidden unless prior         *
*   written permission is obtained from SOFTING Industrial Automation GmbH.  *
*****************************************************************************/

#define BLOCK_MODE_MAN                          0x10

#define   OVAL_MASS_FLOW_UNITS                                \
          {1318, [PI_unit_1318],   [PI_unit_1318_help]      },      \
          {1319, [PI_unit_1319],   [PI_unit_1319_help]      },      \
          {1320, [PI_unit_1320],   [PI_unit_1320_help]      },      \
          {1322, [PI_unit_1322],   [PI_unit_1322_help]      },      \
          {1323, [PI_unit_1323],   [PI_unit_1323_help]      },      \
          {1324, [PI_unit_1324],   [PI_unit_1324_help]      },      \
          {1325, [PI_unit_1325],   [PI_unit_1325_help]      },      \
          {1327, [PI_unit_1327],   [PI_unit_1327_help]      },      \
          {1328, [PI_unit_1328],   [PI_unit_1328_help]      },      \
          {1329, [PI_unit_1329],   [PI_unit_1329_help]      },      \
          {1330, [PI_unit_1330],   [PI_unit_1330_help]      },      \
          {1331, [PI_unit_1331],   [PI_unit_1331_help]      },      \
          {1332, [PI_unit_1332],   [PI_unit_1332_help]      },      \
          {1333, [PI_unit_1333],   [PI_unit_1333_help]      },      \
          {1335, [PI_unit_1335],   [PI_unit_1335_help]      },      \
          {1336, [PI_unit_1336],   [PI_unit_1336_help]      },      \
          {1337, [PI_unit_1337],   [PI_unit_1337_help]      }



#define   OVAL_VOLUME_FLOW_UNITS                              \
          {1347, [PI_unit_1347],   [PI_unit_1347_help]      },      \
          {1348, [PI_unit_1348],   [PI_unit_1348_help]      },      \
          {1349, [PI_unit_1349],   [PI_unit_1349_help]      },      \
          {1350, [PI_unit_1350],   [PI_unit_1350_help]      },      \
          {1351, [PI_unit_1351],   [PI_unit_1351_help]      },      \
          {1352, [PI_unit_1352],   [PI_unit_1352_help]      },      \
          {1353, [PI_unit_1353],   [PI_unit_1353_help]      },      \
          {1354, [PI_unit_1354],   [PI_unit_1354_help]      },      \
          {1356, [PI_unit_1356],   [PI_unit_1356_help]      },      \
          {1357, [PI_unit_1357],   [PI_unit_1357_help]      },      \
          {1358, [PI_unit_1358],   [PI_unit_1358_help]      },      \
          {1363, [PI_unit_1363],   [PI_unit_1363_help]      },      \
          {1365, [PI_unit_1365],   [PI_unit_1365_help]      },      \
          {1368, [PI_unit_1368],   [PI_unit_1368_help]      },      \
          {1369, [PI_unit_1369],   [PI_unit_1369_help]      },      \
          {1370, [PI_unit_1370],   [PI_unit_1370_help]      },      \
          {1371, [PI_unit_1371],   [PI_unit_1371_help]      },      \
          {1372, [PI_unit_1372],   [PI_unit_1372_help]      },      \
          {1373, [PI_unit_1373],   [PI_unit_1373_help]      },      \
          {1374, [PI_unit_1374],   [PI_unit_1374_help]      },      \
          {1563, [PI_unit_1563],   [PI_unit_1563_help]      },      \
          {1577, [PI_unit_1577],   [PI_unit_1577_help]      },      \
          {1578, [PI_unit_1578],   [PI_unit_1578_help]      }

#define   OVAL_TEMPERATURE_UNIT                               \
          {1000, [PI_unit_1000],   [PI_unit_1000_help]      },      \
          {1001, [PI_unit_1001],   [PI_unit_1001_help]      },      \
          {1002, [PI_unit_1002],   [PI_unit_1002_help]      },      \
          {1003, [PI_unit_1003],   [PI_unit_1003_help]      }


#define   OVAL_DENSITY_UNITS                                  \
          {1097, [PI_unit_1097],   [PI_unit_1097_help]      },      \
          {1103, [PI_unit_1103],   [PI_unit_1103_help]      },      \
          {1104, [PI_unit_1104],   [PI_unit_1104_help]      },      \
          {1107, [PI_unit_1107],   [PI_unit_1107_help]      },      \
          {1108, [PI_unit_1108],   [PI_unit_1108_help]      },      \
          {1100, [PI_unit_1100],   [PI_unit_1100_help]      },      \
          {1114, [PI_unit_1114],   [PI_unit_1114_help]      }

#define   OVAL_TOT_UNITS                                      \
          {1034, [PI_unit_1034],   [PI_unit_1034_help]      },      \
          {1038, [PI_unit_1038],   [PI_unit_1038_help]      },      \
          {1040, [PI_unit_1040],   [PI_unit_1040_help]      },      \
          {1043, [PI_unit_1043],   [PI_unit_1043_help]      },      \
          {1048, [PI_unit_1048],   [PI_unit_1048_help]      },      \
          {1049, [PI_unit_1049],   [PI_unit_1049_help]      },      \
          {1051, [PI_unit_1051],   [PI_unit_1051_help]      },      \
          {1088, [PI_unit_1088],   [PI_unit_1088_help]      },      \
          {1089, [PI_unit_1089],   [PI_unit_1089_help]      },      \
          {1092, [PI_unit_1092],   [PI_unit_1092_help]      },      \
          {1094, [PI_unit_1094],   [PI_unit_1094_help]      },      \
          {1095, [PI_unit_1095],   [PI_unit_1095_help]      }

