/*****************************************************************************
*                                                                            *
*                     SOFTING Industrial Automation GmbH                     *
*                          Richard-Reitzner-Allee 6                          *
*                                D-85540 Haar                                *
*                        Phone: ++49-89-4 56 56-0                            *
*                          Fax: ++49-89-4 56 56-3 99                         *
*                                                                            *
*                            SOFTING CONFIDENTIAL                            *
*                                                                            *
*                     Copyright (C) SOFTING IA GmbH 2013                     *
*                             All Rights Reserved                            *
*                                                                            *
* NOTICE: All information contained herein is, and remains the property of   *
*   SOFTING Industrial Automation GmbH and its suppliers, if any. The intel- *
*   lectual and technical concepts contained herein are proprietary to       *
*   SOFTING Industrial Automation GmbH and its suppliers and may be covered  *
*   by German and Foreign Patents, patents in process, and are protected by  *
*   trade secret or copyright law. Dissemination of this information or      *
*   reproduction of this material is strictly forbidden unless prior         *
*   written permission is obtained from SOFTING Industrial Automation GmbH.  *
*****************************************************************************/


MANUFACTURER 0x64,
DEVICE_TYPE 0,
DEVICE_REVISION 1,
DD_REVISION 1


/* #include <standard.dct> */
#include "gen_defs.inc"
#include "status.inc"
#include "physb.inc"
#include "aifb_1.inc"
#include "aifb_2.inc"
#include "aifb_3.inc"
#include "aifb_6.inc"
#include "totfb_1.inc"
#include "totfb_2.inc"
#include "hmtb.inc"


/************************************************************************/
/*  Daten lesen vom Gert zum PC                                        */
/************************************************************************/

MENU download_variables
{
    LABEL   [menu_load_to_PC];
    ITEMS
    {
        phys_blk_reserve,
        phys_blk_object,
        phys_blk_parent_class,
        phys_blk_class,
        phys_blk_object_dev_rev,
        phys_blk_object_dev_rev_comp,
        phys_blk_dd_rev,
        phys_blk_profile,
        phys_blk_profile_rev,
        phys_blk_execution_time,
        phys_blk_num_parameters,
        phys_blk_index_view_1,
        phys_blk_num_view_lists,
        phys_st_rev,
        phys_tag_desc,
        phys_strategy,
        phys_alert_key,
        phys_target_mode,
        phys_actual_mode,
        phys_permitted_mode,
        phys_normal_mode,
        phys_current_state_alarm_sum,
        phys_unacknowledged_state_alarm_sum,
        phys_unreported_state_alarm_sum,
        phys_disabled_state_alarm_sum,
        phys_software_rev,
        phys_hardware_rev,
        phys_device_man_id,
        phys_device_id,
        phys_device_ser_num,
        phys_diagnosis,
        phys_diagnosis_mask,
        phys_diagnosis_extension_0_3,
        phys_diagnosis_extension_4_5,
        phys_diagnosis_extension_mask_0_3,
        phys_diagnosis_extension_mask_4_5,
        phys_device_certification,
        phys_write_locking,
        phys_factory_reset,
        phys_descriptor,
        phys_device_message,
        phys_device_install_date,
        phys_local_op_ena,
        phys_ident_number_select,
        phys_feature_supported,
        phys_feature_enabled,
        phys_cond_status_diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_1_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_2_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_3_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_4_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_5_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_6_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_7_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_8_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_9_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_10_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_11_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_12_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_13_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_14_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_15_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_16_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_17_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_18_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_19_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_20_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_21_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_22_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_23_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_24_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_25_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_26_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_27_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_28_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_29_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_30_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_31_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_32_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_33_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_34_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_35_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_36_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_37_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_38_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_39_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_40_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_41_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_42_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_43_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_44_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_45_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_46_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_47_Status,
        phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag,
        phys_DIAG_EVENT_SWITCH_Status_Link_48_Status,
        phys_diag_event_switch_slot,
        phys_diag_event_switch_index,
        func1_AI_blk_reserve,
        func1_AI_blk_object,
        func1_AI_blk_parent_class,
        func1_AI_blk_class,
        func1_AI_blk_object_dev_rev,
        func1_AI_blk_object_dev_rev_comp,
        func1_AI_blk_dd_rev,
        func1_AI_blk_profile,
        func1_AI_blk_profile_rev,
        func1_AI_blk_execution_time,
        func1_AI_blk_num_parameters,
        func1_AI_blk_index_view_1,
        func1_AI_blk_num_view_lists,
        func1_AI_st_rev,
        func1_AI_tag_desc,
        func1_AI_strategy,
        func1_AI_alert_key,
        func1_AI_target_mode,
        func1_AI_actual_mode,
        func1_AI_permitted_mode,
        func1_AI_normal_mode,
        func1_AI_current_state_alarm_sum,
        func1_AI_unacknowledged_state_alarm_sum,
        func1_AI_unreported_state_alarm_sum,
        func1_AI_disabled_state_alarm_sum,
        func1_AI_batch_id,
        func1_AI_batch_unit,
        func1_AI_batch_operation,
        func1_AI_batch_phase,
        func1_AI_out_value,
        func1_AI_out_status,
        func1_AI_pv_upper_range_value,
        func1_AI_pv_lower_range_value,
        func1_AI_out_upper_range_value,
        func1_AI_out_lower_range_value,
        func1_AI_out_scale_unit,
        func1_AI_out_scale_decimal_point,
        func1_AI_lin_type,
        func1_AI_channel,
        func1_AI_pv_ftime,
        func1_AI_fsafe_type,
        func1_AI_fsafe_value,
        func1_AI_alarm_hys,
        func1_AI_hi_hi_lim,
        func1_AI_hi_lim,
        func1_AI_lo_lim,
        func1_AI_lo_lo_lim,
        func1_AI_simulate_status,
        func1_AI_simulate_value,
        func1_AI_simulation_enabled,
        func1_AI_out_unit_text,
        func2_AI_blk_reserve,
        func2_AI_blk_object,
        func2_AI_blk_parent_class,
        func2_AI_blk_class,
        func2_AI_blk_object_dev_rev,
        func2_AI_blk_object_dev_rev_comp,
        func2_AI_blk_dd_rev,
        func2_AI_blk_profile,
        func2_AI_blk_profile_rev,
        func2_AI_blk_execution_time,
        func2_AI_blk_num_parameters,
        func2_AI_blk_index_view_1,
        func2_AI_blk_num_view_lists,
        func2_AI_st_rev,
        func2_AI_tag_desc,
        func2_AI_strategy,
        func2_AI_alert_key,
        func2_AI_target_mode,
        func2_AI_actual_mode,
        func2_AI_permitted_mode,
        func2_AI_normal_mode,
        func2_AI_current_state_alarm_sum,
        func2_AI_unacknowledged_state_alarm_sum,
        func2_AI_unreported_state_alarm_sum,
        func2_AI_disabled_state_alarm_sum,
        func2_AI_batch_id,
        func2_AI_batch_unit,
        func2_AI_batch_operation,
        func2_AI_batch_phase,
        func2_AI_out_value,
        func2_AI_out_status,
        func2_AI_pv_upper_range_value,
        func2_AI_pv_lower_range_value,
        func2_AI_out_upper_range_value,
        func2_AI_out_lower_range_value,
        func2_AI_out_scale_unit,
        func2_AI_out_scale_decimal_point,
        func2_AI_lin_type,
        func2_AI_channel,
        func2_AI_pv_ftime,
        func2_AI_fsafe_type,
        func2_AI_fsafe_value,
        func2_AI_alarm_hys,
        func2_AI_hi_hi_lim,
        func2_AI_hi_lim,
        func2_AI_lo_lim,
        func2_AI_lo_lo_lim,
        func2_AI_simulate_status,
        func2_AI_simulate_value,
        func2_AI_simulation_enabled,
        func2_AI_out_unit_text,
        func3_AI_blk_reserve,
        func3_AI_blk_object,
        func3_AI_blk_parent_class,
        func3_AI_blk_class,
        func3_AI_blk_object_dev_rev,
        func3_AI_blk_object_dev_rev_comp,
        func3_AI_blk_dd_rev,
        func3_AI_blk_profile,
        func3_AI_blk_profile_rev,
        func3_AI_blk_execution_time,
        func3_AI_blk_num_parameters,
        func3_AI_blk_index_view_1,
        func3_AI_blk_num_view_lists,
        func3_AI_st_rev,
        func3_AI_tag_desc,
        func3_AI_strategy,
        func3_AI_alert_key,
        func3_AI_target_mode,
        func3_AI_actual_mode,
        func3_AI_permitted_mode,
        func3_AI_normal_mode,
        func3_AI_current_state_alarm_sum,
        func3_AI_unacknowledged_state_alarm_sum,
        func3_AI_unreported_state_alarm_sum,
        func3_AI_disabled_state_alarm_sum,
        func3_AI_batch_id,
        func3_AI_batch_unit,
        func3_AI_batch_operation,
        func3_AI_batch_phase,
        func3_AI_out_value,
        func3_AI_out_status,
        func3_AI_pv_upper_range_value,
        func3_AI_pv_lower_range_value,
        func3_AI_out_upper_range_value,
        func3_AI_out_lower_range_value,
        func3_AI_out_scale_unit,
        func3_AI_out_scale_decimal_point,
        func3_AI_lin_type,
        func3_AI_channel,
        func3_AI_pv_ftime,
        func3_AI_fsafe_type,
        func3_AI_fsafe_value,
        func3_AI_alarm_hys,
        func3_AI_hi_hi_lim,
        func3_AI_hi_lim,
        func3_AI_lo_lim,
        func3_AI_lo_lo_lim,
        func3_AI_simulate_status,
        func3_AI_simulate_value,
        func3_AI_simulation_enabled,
        func3_AI_out_unit_text,
        func4_TOT_blk_reserve,
        func4_TOT_blk_object,
        func4_TOT_blk_parent_class,
        func4_TOT_blk_class,
        func4_TOT_blk_object_dev_rev,
        func4_TOT_blk_object_dev_rev_comp,
        func4_TOT_blk_dd_rev,
        func4_TOT_blk_profile,
        func4_TOT_blk_profile_rev,
        func4_TOT_blk_execution_time,
        func4_TOT_blk_num_parameters,
        func4_TOT_blk_index_view_1,
        func4_TOT_blk_num_view_lists,
        func4_TOT_st_rev,
        func4_TOT_tag_desc,
        func4_TOT_strategy,
        func4_TOT_alert_key,
        func4_TOT_target_mode,
        func4_TOT_actual_mode,
        func4_TOT_permitted_mode,
        func4_TOT_normal_mode,
        func4_TOT_current_state_alarm_sum,
        func4_TOT_unacknowledged_state_alarm_sum,
        func4_TOT_unreported_state_alarm_sum,
        func4_TOT_disabled_state_alarm_sum,
        func4_TOT_batch_id,
        func4_TOT_batch_unit,
        func4_TOT_batch_operation,
        func4_TOT_batch_phase,
        func4_TOT_total_value,
        func4_TOT_total_status,
        func4_TOT_unit_tot,
        func4_TOT_channel,
        func4_TOT_set_tot,
        func4_TOT_mode_tot,
        func4_TOT_fail_tot,
        func4_TOT_preset_tot,
        func4_TOT_alarm_hys,
        func4_TOT_hi_hi_lim,
        func4_TOT_hi_lim,
        func4_TOT_lo_lim,
        func4_TOT_lo_lo_lim,
        func5_TOT_blk_reserve,
        func5_TOT_blk_object,
        func5_TOT_blk_parent_class,
        func5_TOT_blk_class,
        func5_TOT_blk_object_dev_rev,
        func5_TOT_blk_object_dev_rev_comp,
        func5_TOT_blk_dd_rev,
        func5_TOT_blk_profile,
        func5_TOT_blk_profile_rev,
        func5_TOT_blk_execution_time,
        func5_TOT_blk_num_parameters,
        func5_TOT_blk_index_view_1,
        func5_TOT_blk_num_view_lists,
        func5_TOT_st_rev,
        func5_TOT_tag_desc,
        func5_TOT_strategy,
        func5_TOT_alert_key,
        func5_TOT_target_mode,
        func5_TOT_actual_mode,
        func5_TOT_permitted_mode,
        func5_TOT_normal_mode,
        func5_TOT_current_state_alarm_sum,
        func5_TOT_unacknowledged_state_alarm_sum,
        func5_TOT_unreported_state_alarm_sum,
        func5_TOT_disabled_state_alarm_sum,
        func5_TOT_batch_id,
        func5_TOT_batch_unit,
        func5_TOT_batch_operation,
        func5_TOT_batch_phase,
        func5_TOT_total_value,
        func5_TOT_total_status,
        func5_TOT_unit_tot,
        func5_TOT_channel,
        func5_TOT_set_tot,
        func5_TOT_mode_tot,
        func5_TOT_fail_tot,
        func5_TOT_preset_tot,
        func5_TOT_alarm_hys,
        func5_TOT_hi_hi_lim,
        func5_TOT_hi_lim,
        func5_TOT_lo_lim,
        func5_TOT_lo_lo_lim,
        func6_AI_blk_reserve,
        func6_AI_blk_object,
        func6_AI_blk_parent_class,
        func6_AI_blk_class,
        func6_AI_blk_object_dev_rev,
        func6_AI_blk_object_dev_rev_comp,
        func6_AI_blk_dd_rev,
        func6_AI_blk_profile,
        func6_AI_blk_profile_rev,
        func6_AI_blk_execution_time,
        func6_AI_blk_num_parameters,
        func6_AI_blk_index_view_1,
        func6_AI_blk_num_view_lists,
        func6_AI_st_rev,
        func6_AI_tag_desc,
        func6_AI_strategy,
        func6_AI_alert_key,
        func6_AI_target_mode,
        func6_AI_actual_mode,
        func6_AI_permitted_mode,
        func6_AI_normal_mode,
        func6_AI_current_state_alarm_sum,
        func6_AI_unacknowledged_state_alarm_sum,
        func6_AI_unreported_state_alarm_sum,
        func6_AI_disabled_state_alarm_sum,
        func6_AI_batch_id,
        func6_AI_batch_unit,
        func6_AI_batch_operation,
        func6_AI_batch_phase,
        func6_AI_out_value,
        func6_AI_out_status,
        func6_AI_pv_upper_range_value,
        func6_AI_pv_lower_range_value,
        func6_AI_out_upper_range_value,
        func6_AI_out_lower_range_value,
        func6_AI_out_scale_unit,
        func6_AI_out_scale_decimal_point,
        func6_AI_lin_type,
        func6_AI_channel,
        func6_AI_pv_ftime,
        func6_AI_fsafe_type,
        func6_AI_fsafe_value,
        func6_AI_alarm_hys,
        func6_AI_hi_hi_lim,
        func6_AI_hi_lim,
        func6_AI_lo_lim,
        func6_AI_lo_lo_lim,
        func6_AI_simulate_status,
        func6_AI_simulate_value,
        func6_AI_simulation_enabled,
        func6_AI_out_unit_text,
        trans1_blk_reserve,
        trans1_blk_object,
        trans1_blk_parent_class,
        trans1_blk_class,
        trans1_blk_object_dev_rev,
        trans1_blk_object_dev_rev_comp,
        trans1_blk_dd_rev,
        trans1_blk_profile,
        trans1_blk_profile_rev,
        trans1_blk_execution_time,
        trans1_blk_num_parameters,
        trans1_blk_index_view_1,
        trans1_blk_num_view_lists,
        trans1_st_rev,
        trans1_tag_desc,
        trans1_strategy,
        trans1_alert_key,
        trans1_target_mode,
        trans1_actual_mode,
        trans1_permitted_mode,
        trans1_normal_mode,
        trans1_current_state_alarm_sum,
        trans1_unacknowledged_state_alarm_sum,
        trans1_unreported_state_alarm_sum,
        trans1_disabled_state_alarm_sum,
        trans1_calibr_factor,
        trans1_low_flow_cutoff,
        trans1_measurement_mode,
        trans1_flow_direction,
        trans1_zero_point,
        trans1_zero_point_adjust,
        trans1_zero_point_unit,
        trans1_nominal_size,
        trans1_nominal_size_units,
        trans1_volume_flow_value,
        trans1_volume_flow_status,
        trans1_volume_flow_units,
        trans1_volume_flow_lo_limit,
        trans1_volume_flow_hi_limit,
        trans1_mass_flow_value,
        trans1_mass_flow_status,
        trans1_mass_flow_units,
        trans1_mass_flow_lo_limit,
        trans1_mass_flow_hi_limit,
        trans1_pv_density_value,
        trans1_pv_density_status,
        trans1_density_units,
        trans1_density_lo_limit,
        trans1_density_hi_limit,
        trans1_temperature_value,
        trans1_temperature_status,
        trans1_temperature_units,
        trans1_temperature_lo_limit,
        trans1_temperature_hi_limit,
        trans1_model,
        trans1_tag,
        trans1_date,
        trans1_sensor_dev_id,
        trans1_final_asmbly_num,
        trans1_sensor_s_n,
        trans1_sensor_model,
        trans1_flange_rating,
        trans1_sensor_material,
        trans1_flow_damp,
        trans1_vol_flow_coef,
        trans1_dens_damp,
        trans1_temp_damp,
        trans1_pulse_1_assign,
        trans1_pulse_1_freq_factor,
        trans1_pulse_1_rate_factor,
        trans1_pulse_1_lowcut,
        trans1_totalizer_control_1,
        trans1_pulse_2_assign,
        trans1_pulse_2_freq_factor,
        trans1_pulse_2_rate_factor,
        trans1_pulse_2_lowcut,
        trans1_totalizer_control_2,
        trans1_f_total_1,
        trans1_r_total_1,
        trans1_diff_total_1,
        trans1_f_total_2,
        trans1_r_total_2,
        trans1_diff_total_2,
        trans1_slug_high_limit,
        trans1_slug_low_limit,
        trans1_slug_duration,
        trans1_dens_compensation,
        trans1_standard_temp,
        trans1_expansion_coef,
        trans1_settled_density,
        trans1_density_value,
        trans1_sensor_type,
        trans1_sk20,
        trans1_skm,
        trans1_skt,
        trans1_flow_cal_temp,
        trans1_flow_cal_freq,
        trans1_fkt,
        trans1_dens_wat,
        trans1_dens_cal_temp,
        trans1_dens_cal_freq,
        trans1_l_p_o,
        trans1_r_p_o,
        trans1_drive_freq,
        trans1_drive_output,
        trans1_phase_diff,
        trans1_sensor_status,
        trans1_self_diagnosis,
        trans1_self_diagnosis_status_entry
    }
}


/************************************************************************/
/*  Datenschreiben vom PC zum Gert                                     */
/************************************************************************/

MENU upload_variables
{
    LABEL   [menu_load_to_device];
    ITEMS
    {
        phys_tag_desc,
        phys_strategy,
        phys_alert_key,
        phys_target_mode,
        phys_descriptor,
        phys_device_message,
        phys_device_install_date,
        func1_AI_tag_desc,
        func1_AI_target_mode,
        func1_AI_out_scale_unit,
        func1_AI_channel,
        func2_AI_tag_desc,
        func2_AI_target_mode,
        func2_AI_out_scale_unit,
        func2_AI_channel,
        func3_AI_tag_desc,
        func3_AI_target_mode,
        func3_AI_out_scale_unit,
        func3_AI_channel,
        func4_TOT_tag_desc,
        func4_TOT_target_mode,
        func4_TOT_unit_tot,
        func4_TOT_channel,
        func5_TOT_tag_desc,
        func5_TOT_target_mode,
        func5_TOT_unit_tot,
        func5_TOT_channel,
        func6_AI_tag_desc,
        func6_AI_target_mode,
        func6_AI_out_scale_unit,
        func6_AI_channel,
        trans1_tag_desc,
        trans1_strategy,
        trans1_alert_key,
        trans1_target_mode,
        trans1_calibr_factor,
        trans1_low_flow_cutoff,
        trans1_measurement_mode,
        trans1_flow_direction,
        trans1_zero_point_adjust,
        trans1_nominal_size,
        trans1_nominal_size_units,
        trans1_volume_flow_units,
        trans1_volume_flow_lo_limit,
        trans1_volume_flow_hi_limit,
        trans1_mass_flow_units,
        trans1_mass_flow_lo_limit,
        trans1_mass_flow_hi_limit,
        trans1_density_units,
        trans1_density_lo_limit,
        trans1_density_hi_limit,
        trans1_temperature_units,
        trans1_temperature_lo_limit,
        trans1_temperature_hi_limit,
        trans1_tag,
        trans1_date,
        trans1_sensor_dev_id,
        trans1_final_asmbly_num,
        trans1_sensor_s_n,
        trans1_sensor_model,
        trans1_flange_rating,
        trans1_sensor_material,
        trans1_flow_damp,
        trans1_vol_flow_coef,
        trans1_dens_damp,
        trans1_temp_damp,
        trans1_pulse_1_assign,
        trans1_pulse_1_freq_factor,
        trans1_pulse_1_rate_factor,
        trans1_pulse_1_lowcut,
        trans1_pulse_2_assign,
        trans1_pulse_2_freq_factor,
        trans1_pulse_2_rate_factor,
        trans1_pulse_2_lowcut,
        trans1_slug_high_limit,
        trans1_slug_low_limit,
        trans1_slug_duration,
        trans1_dens_compensation,
        trans1_standard_temp,
        trans1_expansion_coef,
        trans1_settled_density,
        trans1_density_value,
        trans1_sensor_type,
        trans1_sk20,
        trans1_skm,
        trans1_skt,
        trans1_flow_cal_temp,
        trans1_flow_cal_freq,
        trans1_fkt,
        trans1_dens_wat,
        trans1_dens_cal_temp,
        trans1_dens_cal_freq,
        trans1_self_diagnosis
    }
}


/************************************************************************/
/*    Table: Maintenance                                                */
/************************************************************************/

MENU Table_Main_Maintenance
{
    LABEL   "Oval PA Coriolis Flowmeter" ;
    ITEMS
    {
        Tab_m_preferences,
        Tab_m_output
    }
}

MENU Tab_m_preferences
{
    LABEL       [menu_generally];
    ITEMS
    {
        phys_device_man_id,
        phys_device_id,
        phys_device_ser_num

    }
}

MENU Tab_m_output
{
    LABEL       [menu_output];
    ITEMS
    {
        SMenu_AIFB1_Process_Data,
        SMenu_AIFB2_Process_Data,
        SMenu_AIFB3_Process_Data,
        SMenu_TOTFB1_Process_Data,
        SMenu_TOTFB2_Process_Data,
        SMenu_AIFB4_Process_Data
    }
}

/************************************************************************/
/*    Table: Specialist                                                 */
/************************************************************************/

MENU Table_Main_Specialist
{
    LABEL   "Oval PA Coriolis Flowmeter";
    ITEMS
    {
        Tab_s_preferences,
        Tab_s_output
    }
}

MENU Tab_s_preferences
{
    LABEL   "Generally"     "|de|Allgemein"     "|fr|Gnralement "\
                            "|it|Generalit "   "|es|Generalmente ";
    ITEMS
    {
        phys_device_man_id,
        phys_device_id,
        phys_device_ser_num

    }
}

MENU Tab_s_output
{
    LABEL       [menu_output];
    ITEMS
    {
        SMenu_AIFB1_Process_Data,
        SMenu_AIFB2_Process_Data,
        SMenu_AIFB3_Process_Data,
        SMenu_TOTFB1_Process_Data,
        SMenu_TOTFB2_Process_Data,
        SMenu_AIFB4_Process_Data,
        SMenu_PHY,
        SMenu_AIFB1,
        SMenu_AIFB2,
        SMenu_AIFB3,
        SMenu_TOTFB1,
        SMenu_TOTFB2,
        SMenu_AIFB4,
        SMenu_HMTB
    }
}


/************************************************************************/
/*    Main Menus                                                        */
/************************************************************************/

/************************************************************************/
/*    Menu: Bar                                                         */
/************************************************************************/

MENU Menu_Main_Specialist
{
    LABEL       [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device
    }
}

MENU Menu_Main_Maintenance
{
    LABEL       [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device
    }
}

/*---------------------------------------------------------------------*/
/*    MENU: File                                                       */
/*---------------------------------------------------------------------*/

MENU Menu_File
{
    LABEL       [menu_File];
    ITEMS
    {
            std_Save,
            SEPARATOR,
            std_Eigenschaften,
            SEPARATOR,
            std_Print,
            std_PrintPreview,
            std_PrintSetup,
            std_PageSetup,
            std_Schriftfelder,
            SEPARATOR,
            std_Exit
    }
}

METHOD std_Save
{
    LABEL       [menu_File_Save];
    DEFINITION
    {
    }
}

METHOD SEPARATOR
{
    LABEL       [menu_Separator];
    DEFINITION
    {
    }
}

METHOD std_Eigenschaften
{
    LABEL       [menu_File_Properties];
    DEFINITION
    {
    }
}

METHOD std_Print
{
    LABEL       [menu_File_Print];
    DEFINITION
    {
    }
}

METHOD std_PrintPreview
{
    LABEL       [menu_File_PrintPreview];
    DEFINITION
    {
    }
}

METHOD std_PrintSetup
{
    LABEL       [menu_File_PrintSetup];
    DEFINITION
    {
    }
}

METHOD std_PageSetup
{
    LABEL       [menu_File_PageSetup];
    DEFINITION
    {
    }
}

METHOD std_Schriftfelder
{
    LABEL       [menu_File_Labels];
    DEFINITION
    {
    }
}

METHOD std_Exit
{
    LABEL       [menu_File_Exit];
    DEFINITION
    {
    }
}
/************************************************************************/
/*    Menu: Device                                                      */
/************************************************************************/

MENU Menu_S_Device
{
    LABEL       [menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC,
        Menu_Specialist
    }
}

MENU Menu_M_Device
{
    LABEL       [menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC,
                Menu_Operator


    }
}

METHOD std_LoadinDevice
{
    LABEL       [menu_Device_LoadinDevice];
    DEFINITION
    {
    }
}

METHOD std_LoadinPC
{
    LABEL       [menu_Device_LoadinPC];
    DEFINITION
    {
    }
}

METHOD std_NodeAddress
{
    LABEL       [menu_Device_NodeAddress];
    DEFINITION
    {
    }
}

/***************************************************************************/
/*****  MENU Bar     *******************************************************/
/***************************************************************************/
/*MENU Main_menu
{
    LABEL       [Main_MENU];
    ITEMS
    {
        Menu_Operator,
        Menu_Specialist
    }
}*/

MENU Menu_Operator
{
    LABEL       [Menu_Operator];
    ITEMS
    {
        SMenu_AIFB1_Process_Data,
        SMenu_AIFB2_Process_Data,
        SMenu_AIFB3_Process_Data,
        SMenu_TOTFB1_Process_Data,
        SMenu_TOTFB2_Process_Data,
        SMenu_AIFB4_Process_Data
    }
}

MENU SMenu_AIFB1_Process_Data
{
    LABEL       "AIFB1_Process_Data";
    STYLE WINDOW;
    ITEMS
    {
        func1_AI_out_value,
        func1_AI_out_status,
        func1_AI_out_scale_unit
    }
}

MENU SMenu_AIFB2_Process_Data
{
    LABEL       "AIFB2_Process_Data";
    STYLE WINDOW;
    ITEMS
    {
        func2_AI_out_value,
        func2_AI_out_status,
        func2_AI_out_scale_unit
    }
}

MENU SMenu_AIFB3_Process_Data
{
    LABEL       "AIFB3_Process_Data";
    STYLE WINDOW;
    ITEMS
    {
        func3_AI_out_value,
        func3_AI_out_status,
        func3_AI_out_scale_unit
    }
}

MENU SMenu_AIFB4_Process_Data
{
    LABEL       "AIFB4_Process_Data";
    STYLE WINDOW;
    ITEMS
    {
        func6_AI_out_value,
        func6_AI_out_status,
        func6_AI_out_scale_unit
    }
}

MENU SMenu_TOTFB1_Process_Data
{
    LABEL       "TOTFB1_Process_Data";
    STYLE WINDOW;
    ITEMS
    {
        func4_TOT_total_value,
        func4_TOT_total_status,
        func4_TOT_unit_tot
    }
}

MENU SMenu_TOTFB2_Process_Data
{
    LABEL       "TOTFB2_Process_Data";
    STYLE WINDOW;
    ITEMS
    {
        func5_TOT_total_value,
        func5_TOT_total_status,
        func5_TOT_unit_tot
    }
}

MENU Menu_Specialist
{
    LABEL       [Menu_Specialist];
    ITEMS
    {
        SMenu_PHY,
        SMenu_AIFB1,
        SMenu_AIFB2,
        SMenu_AIFB3,
        SMenu_TOTFB1,
        SMenu_TOTFB2,
        SMenu_AIFB4,
        SMenu_HMTB
    }
}

/*------------- PHYSICAL BLOCK  ---------------------------------------------*/
MENU SMenu_PHY
{
    LABEL   "PHYSICAL Block";
    STYLE WINDOW;
    ITEMS
    {
/*      phys_blk,    */
         phys_blk_reserve,
         phys_blk_object,
         phys_blk_parent_class,
         phys_blk_class,
         phys_blk_object_dev_rev,
         phys_blk_object_dev_rev_comp,
         phys_blk_dd_rev,
         phys_blk_profile,
         phys_blk_profile_rev,
         phys_blk_execution_time,
         phys_blk_num_parameters,
         phys_blk_index_view_1,
         phys_blk_num_view_lists,
        phys_st_rev,
        phys_tag_desc,
        phys_strategy,
        phys_alert_key,
        phys_target_mode,
/*      phys_mode_blk      */
         phys_actual_mode,
         phys_permitted_mode,
         phys_normal_mode,
/*      phys_alarm_sum,    */
         phys_current_state_alarm_sum,
         phys_unacknowledged_state_alarm_sum,
         phys_unreported_state_alarm_sum,
         phys_disabled_state_alarm_sum,
        phys_software_rev,
        phys_hardware_rev,
        phys_device_man_id,
        phys_device_id,
        phys_device_ser_num,
        phys_diagnosis,
        phys_diagnosis_mask,
        phys_diagnosis_extension_0_3,
        phys_diagnosis_extension_4_5,
        phys_diagnosis_extension_mask_0_3,
        phys_diagnosis_extension_mask_4_5,
        phys_device_certification,
        phys_write_locking,
        phys_factory_reset,
        phys_descriptor,
        phys_device_message,
        phys_device_install_date,
        phys_local_op_ena,
        phys_ident_number_select,
/*      phys_feature,    */
         phys_feature_supported,
         phys_feature_enabled,
         phys_cond_status_diag,
/*      phys_diag_event_switch,     */
         phys_DIAG_EVENT_SWITCH_Status_Link_1_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_1_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_2_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_2_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_3_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_3_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_4_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_4_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_5_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_5_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_6_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_6_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_7_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_7_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_8_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_8_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_9_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_9_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_10_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_10_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_11_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_11_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_12_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_12_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_13_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_13_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_14_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_14_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_15_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_15_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_16_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_16_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_17_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_17_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_18_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_18_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_19_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_19_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_20_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_20_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_21_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_21_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_22_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_22_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_23_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_23_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_24_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_24_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_25_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_25_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_26_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_26_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_27_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_27_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_28_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_28_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_29_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_29_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_30_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_30_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_31_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_31_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_32_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_32_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_33_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_33_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_34_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_34_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_35_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_35_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_36_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_36_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_37_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_37_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_38_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_38_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_39_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_39_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_40_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_40_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_41_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_41_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_42_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_42_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_43_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_43_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_44_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_44_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_45_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_45_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_46_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_46_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_47_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_47_Status,
         phys_DIAG_EVENT_SWITCH_Status_Link_48_Diag,
         phys_DIAG_EVENT_SWITCH_Status_Link_48_Status,
         phys_diag_event_switch_slot,
         phys_diag_event_switch_index
    }
}
/*------------- TRANDSDUCER BLOCK 1: HMTB   ------------------------------*/
MENU SMenu_HMTB
{
    LABEL   "HMTB Block";
    STYLE WINDOW;
    ITEMS
    {
/*      trans1_blk,    */
         trans1_blk_reserve,
         trans1_blk_object,
         trans1_blk_parent_class,
         trans1_blk_class,
         trans1_blk_object_dev_rev,
         trans1_blk_object_dev_rev_comp,
         trans1_blk_dd_rev,
         trans1_blk_profile,
         trans1_blk_profile_rev,
         trans1_blk_execution_time,
         trans1_blk_num_parameters,
         trans1_blk_index_view_1,
         trans1_blk_num_view_lists,
        trans1_st_rev,
        trans1_tag_desc,
        trans1_strategy,
        trans1_alert_key,
        trans1_target_mode,
/*      trans1_mode_blk      */
         trans1_actual_mode,
         trans1_permitted_mode,
         trans1_normal_mode,
/*      trans1_alarm_sum,    */
         trans1_current_state_alarm_sum,
         trans1_unacknowledged_state_alarm_sum,
         trans1_unreported_state_alarm_sum,
         trans1_disabled_state_alarm_sum,
        trans1_calibr_factor,
        trans1_low_flow_cutoff,
        trans1_measurement_mode,
        trans1_flow_direction,
        trans1_zero_point,
        trans1_zero_point_adjust,
        trans1_zero_point_unit,
        trans1_nominal_size,
        trans1_nominal_size_units,
/*      trans1_volume_flow,  */
         trans1_volume_flow_value,
         trans1_volume_flow_status,
        trans1_volume_flow_units,
        trans1_volume_flow_lo_limit,
        trans1_volume_flow_hi_limit,
/*      trans1_mass_flow,    */
         trans1_mass_flow_value,
         trans1_mass_flow_status,
        trans1_mass_flow_units,
        trans1_mass_flow_lo_limit,
        trans1_mass_flow_hi_limit,
/*      trans1_density,    */
         trans1_pv_density_value,
         trans1_pv_density_status,
        trans1_density_units,
        trans1_density_lo_limit,
        trans1_density_hi_limit,
/*      trans1_temperature,    */
         trans1_temperature_value,
         trans1_temperature_status,
        trans1_temperature_units,
        trans1_temperature_lo_limit,
        trans1_temperature_hi_limit,
        trans1_model,
        trans1_tag,
        trans1_date,
        trans1_sensor_dev_id,
        trans1_final_asmbly_num,
        trans1_sensor_s_n,
        trans1_sensor_model,
        trans1_flange_rating,
        trans1_sensor_material,
        trans1_flow_damp,
        trans1_vol_flow_coef,
        trans1_dens_damp,
        trans1_temp_damp,
        trans1_pulse_1_assign,
        trans1_pulse_1_freq_factor,
        trans1_pulse_1_rate_factor,
        trans1_pulse_1_lowcut,
        trans1_totalizer_control_1,
        trans1_pulse_2_assign,
        trans1_pulse_2_freq_factor,
        trans1_pulse_2_rate_factor,
        trans1_pulse_2_lowcut,
        trans1_totalizer_control_2,
        trans1_f_total_1,
        trans1_r_total_1,
        trans1_diff_total_1,
        trans1_f_total_2,
        trans1_r_total_2,
        trans1_diff_total_2,
        trans1_slug_high_limit,
        trans1_slug_low_limit,
        trans1_slug_duration,
        trans1_dens_compensation,
        trans1_standard_temp,
        trans1_expansion_coef,
        trans1_settled_density,
        trans1_density_value,
        trans1_sensor_type,
        trans1_sk20,
        trans1_skm,
        trans1_skt,
        trans1_flow_cal_temp,
        trans1_flow_cal_freq,
        trans1_fkt,
        trans1_dens_wat,
        trans1_dens_cal_temp,
        trans1_dens_cal_freq,
        trans1_l_p_o,
        trans1_r_p_o,
        trans1_drive_freq,
        trans1_drive_output,
        trans1_phase_diff,
        trans1_sensor_status,
        trans1_self_diagnosis,
        trans1_self_diagnosis_status_entry
    }
}
/*------------- FUNCTION BLOCK 1: AI    ----------------------------------*/
MENU SMenu_AIFB1
{
    LABEL   "AIFB1 Block";
    STYLE WINDOW;
    ITEMS
    {
/*      func1_AI_blk,    */
         func1_AI_blk_reserve,
         func1_AI_blk_object,
         func1_AI_blk_parent_class,
         func1_AI_blk_class,
         func1_AI_blk_object_dev_rev,
         func1_AI_blk_object_dev_rev_comp,
         func1_AI_blk_dd_rev,
         func1_AI_blk_profile,
         func1_AI_blk_profile_rev,
         func1_AI_blk_execution_time,
         func1_AI_blk_num_parameters,
         func1_AI_blk_index_view_1,
         func1_AI_blk_num_view_lists,
        func1_AI_st_rev,
        func1_AI_tag_desc,
        func1_AI_strategy,
        func1_AI_alert_key,
        func1_AI_target_mode,
/*      func1_AI_mode_blk      */
         func1_AI_actual_mode,
         func1_AI_permitted_mode,
         func1_AI_normal_mode,
/*      func1_AI_alarm_sum,    */
         func1_AI_current_state_alarm_sum,
         func1_AI_unacknowledged_state_alarm_sum,
         func1_AI_unreported_state_alarm_sum,
         func1_AI_disabled_state_alarm_sum,
/*      func1_AI_batch,     */
         func1_AI_batch_id,
         func1_AI_batch_unit,
         func1_AI_batch_operation,
         func1_AI_batch_phase,
/*      func1_AI_out,    */
         func1_AI_out_value,
         func1_AI_out_status,
/*      func1_AI_pv_scale,    */
         func1_AI_pv_upper_range_value,
         func1_AI_pv_lower_range_value,
/*      func1_AI_out_scale,    */
         func1_AI_out_upper_range_value,
         func1_AI_out_lower_range_value,
         func1_AI_out_scale_unit,
         func1_AI_out_scale_decimal_point,
        func1_AI_lin_type,
        func1_AI_channel,
        func1_AI_pv_ftime,
        func1_AI_fsafe_type,
        func1_AI_fsafe_value,
        func1_AI_alarm_hys,
        func1_AI_hi_hi_lim,
        func1_AI_hi_lim,
        func1_AI_lo_lim,
        func1_AI_lo_lo_lim,
/*      func1_AI_simulate,    */
         func1_AI_simulate_status,
         func1_AI_simulate_value,
         func1_AI_simulation_enabled,
        func1_AI_out_unit_text
    }
}
/*------------- FUNCTION BLOCK 2: AI    ----------------------------------*/

MENU SMenu_AIFB2
{
    LABEL   "AIFB2 Block";
    STYLE WINDOW;
    ITEMS
    {
/*      func2_AI_blk,    */
         func2_AI_blk_reserve,
         func2_AI_blk_object,
         func2_AI_blk_parent_class,
         func2_AI_blk_class,
         func2_AI_blk_object_dev_rev,
         func2_AI_blk_object_dev_rev_comp,
         func2_AI_blk_dd_rev,
         func2_AI_blk_profile,
         func2_AI_blk_profile_rev,
         func2_AI_blk_execution_time,
         func2_AI_blk_num_parameters,
         func2_AI_blk_index_view_1,
         func2_AI_blk_num_view_lists,
        func2_AI_st_rev,
        func2_AI_tag_desc,
        func2_AI_strategy,
        func2_AI_alert_key,
        func2_AI_target_mode,
/*      func2_AI_mode_blk      */
         func2_AI_actual_mode,
         func2_AI_permitted_mode,
         func2_AI_normal_mode,
/*      func2_AI_alarm_sum,    */
         func2_AI_current_state_alarm_sum,
         func2_AI_unacknowledged_state_alarm_sum,
         func2_AI_unreported_state_alarm_sum,
         func2_AI_disabled_state_alarm_sum,
/*      func2_AI_batch,     */
         func2_AI_batch_id,
         func2_AI_batch_unit,
         func2_AI_batch_operation,
         func2_AI_batch_phase,
/*      func2_AI_out,    */
         func2_AI_out_value,
         func2_AI_out_status,
/*      func2_AI_pv_scale,    */
         func2_AI_pv_upper_range_value,
         func2_AI_pv_lower_range_value,
/*      func2_AI_out_scale,    */
         func2_AI_out_upper_range_value,
         func2_AI_out_lower_range_value,
         func2_AI_out_scale_unit,
         func2_AI_out_scale_decimal_point,
        func2_AI_lin_type,
        func2_AI_channel,
        func2_AI_pv_ftime,
        func2_AI_fsafe_type,
        func2_AI_fsafe_value,
        func2_AI_alarm_hys,
        func2_AI_hi_hi_lim,
        func2_AI_hi_lim,
        func2_AI_lo_lim,
        func2_AI_lo_lo_lim,
/*      func2_AI_simulate,    */
         func2_AI_simulate_status,
         func2_AI_simulate_value,
         func2_AI_simulation_enabled,
        func2_AI_out_unit_text
    }
}

/*------------- FUNCTION BLOCK 3: AI    ----------------------------------*/

MENU SMenu_AIFB3
{
    LABEL   "AIFB3 Block";
    STYLE WINDOW;
    ITEMS
    {
/*      func3_AI_blk,    */
         func3_AI_blk_reserve,
         func3_AI_blk_object,
         func3_AI_blk_parent_class,
         func3_AI_blk_class,
         func3_AI_blk_object_dev_rev,
         func3_AI_blk_object_dev_rev_comp,
         func3_AI_blk_dd_rev,
         func3_AI_blk_profile,
         func3_AI_blk_profile_rev,
         func3_AI_blk_execution_time,
         func3_AI_blk_num_parameters,
         func3_AI_blk_index_view_1,
         func3_AI_blk_num_view_lists,
        func3_AI_st_rev,
        func3_AI_tag_desc,
        func3_AI_strategy,
        func3_AI_alert_key,
        func3_AI_target_mode,
/*      func3_AI_mode_blk      */
         func3_AI_actual_mode,
         func3_AI_permitted_mode,
         func3_AI_normal_mode,
/*      func3_AI_alarm_sum,    */
         func3_AI_current_state_alarm_sum,
         func3_AI_unacknowledged_state_alarm_sum,
         func3_AI_unreported_state_alarm_sum,
         func3_AI_disabled_state_alarm_sum,
/*      func3_AI_batch,     */
         func3_AI_batch_id,
         func3_AI_batch_unit,
         func3_AI_batch_operation,
         func3_AI_batch_phase,
/*      func3_AI_out,    */
         func3_AI_out_value,
         func3_AI_out_status,
/*      func3_AI_pv_scale,    */
         func3_AI_pv_upper_range_value,
         func3_AI_pv_lower_range_value,
/*      func3_AI_out_scale,    */
         func3_AI_out_upper_range_value,
         func3_AI_out_lower_range_value,
         func3_AI_out_scale_unit,
         func3_AI_out_scale_decimal_point,
        func3_AI_lin_type,
        func3_AI_channel,
        func3_AI_pv_ftime,
        func3_AI_fsafe_type,
        func3_AI_fsafe_value,
        func3_AI_alarm_hys,
        func3_AI_hi_hi_lim,
        func3_AI_hi_lim,
        func3_AI_lo_lim,
        func3_AI_lo_lo_lim,
/*      func3_AI_simulate,    */
         func3_AI_simulate_status,
         func3_AI_simulate_value,
         func3_AI_simulation_enabled,
        func3_AI_out_unit_text
    }
}

/*------------- FUNCTION BLOCK 4: TOT   ----------------------------------*/

MENU SMenu_TOTFB1
{
    LABEL   "TOTFB1 Block";
    STYLE WINDOW;
    ITEMS
    {
/*      func4_TOT_tag_desc,    */
         func4_TOT_blk_reserve,
         func4_TOT_blk_object,
         func4_TOT_blk_parent_class,
         func4_TOT_blk_class,
         func4_TOT_blk_object_dev_rev,
         func4_TOT_blk_object_dev_rev_comp,
         func4_TOT_blk_dd_rev,
         func4_TOT_blk_profile,
         func4_TOT_blk_profile_rev,
         func4_TOT_blk_execution_time,
         func4_TOT_blk_num_parameters,
         func4_TOT_blk_index_view_1,
         func4_TOT_blk_num_view_lists,
        func4_TOT_st_rev,
        func4_TOT_tag_desc,
        func4_TOT_strategy,
        func4_TOT_alert_key,
        func4_TOT_target_mode,
/*      func4_TOT_mode_blk      */
         func4_TOT_actual_mode,
         func4_TOT_permitted_mode,
         func4_TOT_normal_mode,
/*      func4_TOT_alarm_sum,    */
         func4_TOT_current_state_alarm_sum,
         func4_TOT_unacknowledged_state_alarm_sum,
         func4_TOT_unreported_state_alarm_sum,
         func4_TOT_disabled_state_alarm_sum,
/*      func4_TOT_batch,     */
         func4_TOT_batch_id,
         func4_TOT_batch_unit,
         func4_TOT_batch_operation,
         func4_TOT_batch_phase,
/*      func4_TOT_total,    */
         func4_TOT_total_value,
         func4_TOT_total_status,
        func4_TOT_unit_tot,
        func4_TOT_channel,
        func4_TOT_set_tot,
        func4_TOT_mode_tot,
        func4_TOT_fail_tot,
        func4_TOT_preset_tot,
        func4_TOT_alarm_hys,
        func4_TOT_hi_hi_lim,
        func4_TOT_hi_lim,
        func4_TOT_lo_lim,
        func4_TOT_lo_lo_lim
    }
}

/*------------- FUNCTION BLOCK 5: TOT   ----------------------------------*/
MENU SMenu_TOTFB2
{
    LABEL   "TOTFB2 Block";
    STYLE WINDOW;
    ITEMS
    {
/*      func5_TOT_tag_desc,    */
         func5_TOT_blk_reserve,
         func5_TOT_blk_object,
         func5_TOT_blk_parent_class,
         func5_TOT_blk_class,
         func5_TOT_blk_object_dev_rev,
         func5_TOT_blk_object_dev_rev_comp,
         func5_TOT_blk_dd_rev,
         func5_TOT_blk_profile,
         func5_TOT_blk_profile_rev,
         func5_TOT_blk_execution_time,
         func5_TOT_blk_num_parameters,
         func5_TOT_blk_index_view_1,
         func5_TOT_blk_num_view_lists,
        func5_TOT_st_rev,
        func5_TOT_tag_desc,
        func5_TOT_strategy,
        func5_TOT_alert_key,
        func5_TOT_target_mode,
/*      func5_TOT_mode_blk      */
         func5_TOT_actual_mode,
         func5_TOT_permitted_mode,
         func5_TOT_normal_mode,
/*      func5_TOT_alarm_sum,    */
         func5_TOT_current_state_alarm_sum,
         func5_TOT_unacknowledged_state_alarm_sum,
         func5_TOT_unreported_state_alarm_sum,
         func5_TOT_disabled_state_alarm_sum,
/*      func5_TOT_batch,     */
         func5_TOT_batch_id,
         func5_TOT_batch_unit,
         func5_TOT_batch_operation,
         func5_TOT_batch_phase,
/*      func5_TOT_total,    */
         func5_TOT_total_value,
         func5_TOT_total_status,
        func5_TOT_unit_tot,
        func5_TOT_channel,
        func5_TOT_set_tot,
        func5_TOT_mode_tot,
        func5_TOT_fail_tot,
        func5_TOT_preset_tot,
        func5_TOT_alarm_hys,
        func5_TOT_hi_hi_lim,
        func5_TOT_hi_lim,
        func5_TOT_lo_lim,
        func5_TOT_lo_lo_lim
    }
}

/*------------- FUNCTION BLOCK 6: AI    ----------------------------------*/

MENU SMenu_AIFB4
{
    LABEL   "AIFB4 Block";
    STYLE WINDOW;
    ITEMS
    {
/*      func6_AI_blk,    */
         func6_AI_blk_reserve,
         func6_AI_blk_object,
         func6_AI_blk_parent_class,
         func6_AI_blk_class,
         func6_AI_blk_object_dev_rev,
         func6_AI_blk_object_dev_rev_comp,
         func6_AI_blk_dd_rev,
         func6_AI_blk_profile,
         func6_AI_blk_profile_rev,
         func6_AI_blk_execution_time,
         func6_AI_blk_num_parameters,
         func6_AI_blk_index_view_1,
         func6_AI_blk_num_view_lists,
        func6_AI_st_rev,
        func6_AI_tag_desc,
        func6_AI_strategy,
        func6_AI_alert_key,
        func6_AI_target_mode,
/*      func6_AI_mode_blk      */
         func6_AI_actual_mode,
         func6_AI_permitted_mode,
         func6_AI_normal_mode,
/*      func6_AI_alarm_sum,    */
         func6_AI_current_state_alarm_sum,
         func6_AI_unacknowledged_state_alarm_sum,
         func6_AI_unreported_state_alarm_sum,
         func6_AI_disabled_state_alarm_sum,
/*      func6_AI_batch,     */
         func6_AI_batch_id,
         func6_AI_batch_unit,
         func6_AI_batch_operation,
         func6_AI_batch_phase,
/*      func6_AI_out,    */
         func6_AI_out_value,
         func6_AI_out_status,
/*      func6_AI_pv_scale,    */
         func6_AI_pv_upper_range_value,
         func6_AI_pv_lower_range_value,
/*      func6_AI_out_scale,    */
         func6_AI_out_upper_range_value,
         func6_AI_out_lower_range_value,
         func6_AI_out_scale_unit,
         func6_AI_out_scale_decimal_point,
        func6_AI_lin_type,
        func6_AI_channel,
        func6_AI_pv_ftime,
        func6_AI_fsafe_type,
        func6_AI_fsafe_value,
        func6_AI_alarm_hys,
        func6_AI_hi_hi_lim,
        func6_AI_hi_lim,
        func6_AI_lo_lim,
        func6_AI_lo_lo_lim,
/*      func6_AI_simulate,    */
         func6_AI_simulate_status,
         func6_AI_simulate_value,
         func6_AI_simulation_enabled,
        func6_AI_out_unit_text
    }
}

